<?php
class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
    protected function _initAutoload()
    {
        $autoloader = new Zend_Application_Module_Autoloader(array(
            'namespace' => 'Default_',
            'basePath'  => dirname(__FILE__),
        ));
        return $autoloader;
    }
    
    protected function _initDoctype()
    {
        $this->bootstrap('view');
        $view = $this->getResource('view');
        $view->doctype('XHTML1_STRICT');
    }
    
    protected function _initConstants()  
    {
        // 0 = Inactiva, 1 = Inicia en 30 minutos, 2 = Activa
        Zend_Registry::set('STATUS_UPDATE', 0); 
        Zend_Registry::set('PATH_SERVER', '/home/claudio/public_html/test.expressauto.cl/public/');
        Zend_Registry::set('URL_SERVER', 'http://test.expressauto.cl/');
        Zend_Registry::set('OTHERS_PHP_CLASSES', '/home/claudio/apps/external/');
        Zend_Registry::set('LIBRARY', '/home/claudio/apps/zend/library/');
        Zend_Registry::set('NOMBRE_EMPRESA', 'Expressauto S.p.A.');
        Zend_Registry::set('FIRMA_EMPRESA', 'Expressauto S.p.A.');
        Zend_Registry::set('MAIL_FROM', 'system@webcode.cl');
        Zend_Registry::set('MAIL_SUPERADMIN', 'claudiosalazarb@gmail.com');
        Zend_Registry::set('NOMBRE_SUPERADMIN', 'Claudio Salazar');
        
        Zend_Registry::set('FORMAT_DATE', 'yyyy-MM-dd');
        
        Zend_Registry::set('MAX_SIZE_IMG_UPLOAD', 4 * 1024 * 1024);
        Zend_Registry::set('ACCEPTED_IMG_FORMAT', array('jpg', 'png', 'JPG', 'PNG'));
        
        Zend_Registry::set('MAX_SIZE_FILE_UPLOAD', 48 * 1024 * 1024);
        Zend_Registry::set('ACCEPTED_FILE_FORMAT', array('pdf', 'xls', 'doc', 'dwg', 'dxf', 'jpg', 'jpeg', 'png'));
        
    }
  
    protected function _initLocale()
    {
        $locale = new Zend_Locale('es_CL');
        Zend_Locale::setDefault($locale);
        Zend_Registry::set('Zend_Locale', $locale);
        $traduccion = new Zend_Translate('array', APPLICATION_PATH . '/langs/es.php', 'es');
        Zend_Form::setDefaultTranslator($traduccion);
    }
    
    protected function _initPaginacion()
    {
        $config_paginacion = array(
            'cant_items'         => 15,
            'cant_pages'         => 5,
            'cant_items_extra'   => 10,
            'cant_pages_extra'   => 5
        );
        Zend_Registry::set('paginacion', $config_paginacion);
    }

    protected function _initMail()
    {
        $config = array(
            'auth'      => 'login',
            'username'  => 'no-responder@expressauto.cl',
            'password'  => '8289Q3',
            'ssl'       => 'tls',
            'port'      => 587
        );

        $transport = new Zend_Mail_Transport_Smtp('smtp.gmail.com', $config);
        Zend_Mail::setDefaultTransport($transport);

        Zend_Registry::set('smtp-fromName', 'ExpressAuto Spa.');
        Zend_Registry::set('smtp-fromEmail', 'no-responder@expressauto.cl');
    }

    protected function _initDompdf()
    {
        require_once('dompdf/dompdf_config.inc.php');
        $autoloader = Zend_Loader_Autoloader::getInstance();
        $autoloader->pushAutoloader('DOMPDF_autoload', '');

        $documentRoot = 'http://localhost:13000';
        Zend_Registry::set('documentRoot', $documentRoot);
    }

    protected function _initRouter()
    {   
        $frontController = Zend_Controller_Front::getInstance();
        $router = $frontController->getRouter();

        $router->addRoute(
            'vista-simple-registros',
            new Zend_Controller_Router_Route('/:controller/:action/:id',
                array('controller' => ':controller', 'action' => ':action')
            ));

        $router->addRoute(
            'vista-diferenciada-registros',
            new Zend_Controller_Router_Route('/:controller/:action/:id/:type_user',
                array('controller' => ':controller', 'action' => ':action')
            ));

        $router->addRoute(
            'crear-registro-asociado',
            new Zend_Controller_Router_Route('/:controller/:action/:id/:type_user/:from_id',
                array('controller' => ':controller', 'action' => ':action')
            ));

        $router->addRoute(
            'crear-registro-con-referencia',
            new Zend_Controller_Router_Route('/:controller/:action/:id/:type_user/:from_id/:ref_id',
                array('controller' => ':controller', 'action' => ':action')
            ));

        $router->addRoute(
            'modo-de-visualizacion',
            new Zend_Controller_Router_Route('/:controller/:action/:id/:type_user/:from_id/:ref_id/:mode_view',
                array('controller' => ':controller', 'action' => ':action')
            ));

        $router->addRoute(
            'item-cotizacion',
            new Zend_Controller_Router_Route('/item-cotizacion/:action/:id/:table/:from_id',
                array('controller' => 'item-cotizacion', 'action' => ':action')
            ));

        $router->addRoute(
            'item-nota-venta',
            new Zend_Controller_Router_Route('/item-nota-venta/:action/:id/:table/:from_id/:archive',
                array('controller' => 'item-nota-venta', 'action' => ':action')
            ));

        $router->addRoute(
            'listados-paginados',
            new Zend_Controller_Router_Route('/:controller/index/:page/:order_by/:order_type',
                array('controller' => ':controller', 'action' => 'index')
            ));

        $router->addRoute(
            'tipo-cliente',
            new Zend_Controller_Router_Route('/cliente/set-tipo/:id/:tipo',
                array('controller' => 'cliente', 'action' => 'set-tipo')
            ));
        
        $router->addRoute(
            'ver-tab',
            new Zend_Controller_Router_Route('/:controller/view/:id/:tab',
                array('controller' => ':controller', 'action' => 'view')
            ));
    }
}
