<?php
class AjaxController extends Zend_Controller_Action
{
    /**************************************************************************/
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        if (!$auth->hasIdentity()) {
            $data['sessionError'] = true;
            echo Zend_Json::encode($data);
            exit;
        }
    }
    
    public function init()
    {
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
    }
    /**************************************************************************/
   
    /****************************  OPERACIONES AJAX ***************************/
    public function getModelosAction()
    {
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
        if($this->getRequest()->isXmlHttpRequest()){
            
            $modelos = array();
            
            if($this->_getParam('id')){
                $id = (int)$this->_getParam('id');
                $marca = new Default_Model_VehiculoMarca();
                $marca->setId($id);
                $modelos = $marca->getModelosToSelect();
            }
            
            $data['filas'] = $modelos;
            $data['grupos'] = array();
            $data['error'] = false;
            echo Zend_Json::encode($data);
        }
    }
    
    public function getDetalleModeloAction()
    {
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
        if($this->getRequest()->isXmlHttpRequest()){
            
            if($this->_getParam('id')){
                $id = (int)$this->_getParam('id');
                $modelo = new Default_Model_VehiculoModelo();
                $modelo->setId($id);
                $info = $modelo->getRow()->toArray();
                $data['info'] = $info;
                $data['error'] = false;
            } else {
                $data['error'] = true;
            }
            
            
            echo Zend_Json::encode($data);
        }
    }
    /**************************************************************************/
}