<?php
class AreaTrabajoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Áreas de trabajo';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $currentPage = $this->_getParam('page', 1);
        $area = new Default_Model_AreaTrabajo();
        $order = "nombre";
        $areas = $area->fetchAll(null, $order);
        $paginador = Zend_Paginator::factory($areas);
        $paginador->setItemCountPerPage($this->paginacion['cant_items'])
                  ->setPageRange($this->paginacion['cant_pages'])
                  ->setCurrentPageNumber($currentPage);
        Zend_View_Helper_PaginationControl::setDefaultViewPartial('pagination_control.phtml');
        $this->view->areas = $paginador;
        $this->view->title = 'Áreas de trabajo';
    }

    public function getFormAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        if($this->getRequest()->isXmlHttpRequest()){

            $request = $this->getRequest();
            $form = new Default_Form_AreaTrabajo(null, $this->path);

            if($this->_request->getParam('id')) {

                $area = new Default_Model_AreaTrabajo();
                $where = $area->getAdapter()->quoteInto("id=?", (int)$this->_request->getParam('id'));
                $row = $area->fetchRow($where)->toArray();
                $form->populate($row);
                $form->setAction('/area-trabajo/edit');
                $form->submit->setLabel('Guardar cambios');
                $this->view->title = "Editar área de trabajo";

            } else {

                $this->view->title = "Crear área de trabajo";

            }
            $this->view->form = $form;
            $this->renderScript('area-trabajo/form.phtml');
        }
    }

    public function newAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $request = $this->getRequest();
        $form = new Default_Form_AreaTrabajo(null);

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $area = new Default_Model_AreaTrabajo();
                    $row = $area->createRow();
                    $row->nombre = $form->getValue('nombre');
                    $row->save();

                    $mSession->mensajes[] = 'El registro fue creado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';

                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar crear el registro.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';

                }
                $this->_redirect('/area-trabajo/index/1/nombre/ASC');
            } else {
                $form->populate($request->getPost());
            }
        }
        $this->view->title = 'Crear ára de trabajo';
        $this->view->form = $form;
        $this->renderScript('area-trabajo/form.phtml');
    }

    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $area = new Default_Model_AreaTrabajo();
        $request = $this->getRequest();
        $form = new Default_Form_AreaTrabajo(null, $this->path);

        

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $where = $area->getAdapter()->quoteInto("id=?", (int)$form->getValue('id'));
                    $row = $area->fetchRow($where);
                    $row->id = $form->getValue('id');
                    $row->nombre = $form->getValue('nombre');
                    $row->save();

                    $mSession->mensajes[] = 'El registro fue editado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';

                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar editar el registro.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                }
                $this->_redirect('/area-trabajo/index/1/nombre/ASC');

            } else {
                $form->populate($request->getPost());
            }
        }
        $id = (int)$this->_getParam('id');
        $where = $area->getAdapter()->quoteInto("id=?", $id);
        $registro = $area->fetchRow($where);
        $form->populate($registro->toArray());
        $form->setAction('/area-trabajo/edit');
        $form->submit->setLabel("guardar cambios");
        $this->view->title = 'Editar área de trabajo';
        $this->view->form = $form;
        $this->renderScript('area-trabajo/form.phtml');
    }

    public function deleteAction()
    {
        if($this->_getParam('id')){
            $mSession = new Zend_Session_Namespace('expressauto');
            if($mSession->mensajes!='') {
                $this->view->mensajes = $mSession->mensajes;
                $this->view->claseMensaje = $mSession->claseMensaje;
                $mSession->mensajes = '';
                $mSession->claseMensaje = '';
            }
            try {
                $model = new Default_Model_AreaTrabajo();
                $where = $model->getAdapter()->quoteInto("id = ?" , (int)$this->_getParam('id'));
                $model->delete($where);
                $mSession->mensajes[] = 'El área de trabajo fue eliminada de forma exitosa.';
                $mSession->claseMensaje = 'confirmacion';
                $this->_redirect('/area-trabajo/index/1/nombre/ASC');
            } catch (Exception $e) {
                $mSession->tipo_error = 1;
                $mSession->errores[] = $e->getMessage();
                $this->_redirect('/error/error-delete-registro');
            }
        }
    }
}