<?php
class ArticuloEgresoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Egresos de articulos';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $propietario = new Default_Model_SistemaPropietario();
        $this->view->propietario = $propietario->get();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $egreso = new Default_Model_ArticuloEgreso();
        $egresos = $egreso->getAll(
            $this->_getParam('page', 1), 
            $this->_getParam('order_by'), 
            $this->_getParam('order_type')
        );
        
        Zend_View_Helper_PaginationControl::setDefaultViewPartial('pagination_control.phtml');
        /*****************************************************************/
        $this->view->orderByOptions = $egreso->getOrderByOptions();
        $this->view->orderBy = $egreso->getOrderBy();
        $this->view->orderType = $egreso->getOrderType();
        $this->view->action = '/articulo-egreso/index/';
        $this->view->egresos = $egresos;
        $this->view->title = 'Egresos de artículos';
    }

    public function findAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $request = $this->getRequest();
        $form = new Default_Form_BusquedaArticulosEgresos();
        
        $this->view->form = $form;
    }
    
    public function newAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $request = $this->getRequest();
        $form = new Default_Form_ArticuloEgreso();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {

                    $egreso = new Default_Model_ArticuloEgreso();
                    $row = $egreso->createRow();
                    $row->creador = $this->usuario->rut;
                    $row->tipo_egreso_id = $form->getValue('tipo_egreso_id');
                    $row->articulo = $form->getValue('articulo');
                    $row->cantidad = $form->getValue('cantidad');
                    if($form->getValue('observaciones')!='') {
                        $row->observaciones = $form->getValue('observaciones');
                    } else {
                        $row->observaciones = NULL;
                    }
                    $row->save();

                    $mSession->mensajes[] = 'El retiro fue realizado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';

                    $this->_redirect('/egreso-articulo/index/1/id/DESC');

                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar realizar el egreso.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/egreso-articulo/index/1/id/DESC');
                }
            } else {
                $form->populate($request->getPost());
            }
        }
        $this->view->form = $form;
        $this->view->title = 'Registrar egreso de artículos';
        $this->renderScript('articulo-egreso/form.phtml');
    }

    public function viewAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $mSession = new Zend_Session_Namespace('expressauto');

            if($mSession->mensajes!='') {
                $this->view->mensajes = $mSession->mensajes;
                $this->view->claseMensaje = $mSession->claseMensaje;
                $mSession->mensajes = '';
                $mSession->claseMensaje = '';
            }

            $egreso = new Default_Model_VistaEgresosArticulos();

            $id = (int)$this->_getParam('id');
            $where = $egreso->getAdapter()->quoteInto("id=?", $id);
            $row = $egreso->fetchRow($where);
            $this->view->title = "Egreso de artículos Nº $id";

            if(false==$row) {
                $this->_forward('index','egreso-articulo');
            } else {
                $this->view->egreso = $row;
                $this->renderScript('egreso-articulo/view-simple.phtml');
            }
        }
    }
}