<?php
class AutorizacionesDocumentosController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        $auth = Zend_Auth::getInstance();
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Autorizaciones documentos';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $autorizacion = new Default_Model_AutorizacionDocumento();
        $this->view->autorizaciones =  $autorizacion->getAll();
        $this->view->title = 'Autorizaciones pendientes';
    }
    
    public function autorizarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $autorizacion = new Default_Model_AutorizacionDocumento();
        
        $id = (int)$this->_getParam('id');
        
        try {
            
            $autorizacion->setId($id);
            $autorizacion->autorizar($this->usuario->rut);
            $this->_redirect('/autorizaciones-documentos');
            
        } catch(Exception $e){
            
            $mSession->mensajes[] = "Ocurrió un error al intentar autorizar el documento";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = "error";
            $this->_redirect('/autorizaciones-documentos');
        }
    }
    
    public function rechazarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $autorizacion = new Default_Model_AutorizacionDocumento();
        
        $id = (int)$this->_getParam('id');
        
        try {
            
            $autorizacion->setId($id);
            $autorizacion->rechazar($this->usuario->rut);
            $this->_redirect('/autorizaciones-documentos');
            
        } catch(Exception $e){
            
            $mSession->mensajes[] = "Ocurrió un error al intentar autorizar el documento";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = "error";
            $this->_redirect('/autorizaciones-documentos');
        }
    }
}