<?php
class ConversionModeloController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->paginacion = Zend_Registry::get('paginacion');
        $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $response = $this->getResponse();
        $response->insert('header' , $this->view->render("header.phtml"));
        //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $this->view->pageTitle = "iMecanix - Gestión integral de talleres mecánicos";
        $this->view->title = 'Conversión de modelos';
        
        $vehiculoAnt = new Default_Model_VehiculoAnt();
        $marca = new Default_Model_VehiculoMarca();
        $this->view->vehiculosAnt = $vehiculoAnt->getNoAsignados();
        $this->view->marcas = $marca->getPairsToSelect();
    }
    
    public function filtrarAction()
    {
        $this->_helper->layout->disableLayout();
        if($this->getRequest()->isXmlHttpRequest()){
            try {
                
                $marca_id = $this->_getParam("marca_id");
                $modelo_id = $this->_getParam("modelo_id");
                $vehiculo = new Default_Model_Vehiculo();
                $vehiculosEncontrados = $vehiculo->filtrar($marca_id, $modelo_id);
                $this->view->vehiculosEncontrados = $vehiculosEncontrados;
                echo $this->renderScript("conversion-modelo/listado.phtml");
                
            } catch (Exception $ex) {
                echo $ex->getMessage();
            }
        }
    }
}