<?php
class DteFacturaExentaItemController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            echo 'No se ha autenticado';
            exit;
        }
    }
    
    public function init()
    {
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
    }

    public function getFormAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $form = new Default_Form_DteFacturaExentaItem();
            
            if($this->_request->getParam('id')) {
                
                $item = new Default_Model_DteFacturaExentaItem();
                $where = $item->getAdapter()->quoteInto("id=?", (int)$this->_getParam('id'));
                $row = $item->fetchRow($where)->toArray();
                $form->populate($row);
                $form->setAction('/dte-factura-exenta-item/edit');
                $form->submit->setLabel('Guardar');

            } elseif($this->_request->getParam('from_id')) {
                $form->factura_id->setValue($this->_getParam('from_id'));
            }
            $this->view->title = "Formulario ítem factura exenta";
            $this->view->form = $form;
            $this->renderScript('partes-comunes/form-items.phtml');
        }
    }

    public function newAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_DteFacturaExentaItem();
        
        $this->view->title = "Formulario ítem factura exenta";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try { 
                    $item = new Default_Model_DteFacturaExentaItem();
                    $item->crear($form->getValues());
                    $this->view->estado = 1;
                    
                    $this->renderScript('partes-comunes/mensaje-add-items.phtml');

                } catch (Exception $e) {
                    echo $e->getMessage();
                }
            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            } 
        }
    }

    public function editAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_DteFacturaExentaItem();
        $item = new Default_Model_DteFacturaExentaItem();
        
        $this->view->title = "Formulario ítem factura exenta";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $id = (int)$form->getValue('id');
                    $item->editar($form->getValues(), $id);
                    
                    $this->view->estado = 1;
                    $this->renderScript('partes-comunes/mensaje-add-items.phtml');

                } catch (Exception $e) {

                    echo $e->getMessage();
                }
            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
    }

    public function deleteAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            try {
                $item = new Default_Model_DteFacturaExentaItem();
                $item->eliminar($this->_getParam('data'));

            } catch (Exception $e){

                return $e->getMessage();
            }
        }
    }
}