<?php
class ErrorController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Gestión de errores';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }

    public function errorAction()
    {
        $this->view->title = "Error";

        // Grab the error object from the request
        $errors = $this->_getParam('error_handler');

        // $errors will be an object set as a parameter of the request object,
        // type is a property
        switch ($errors->type) {
            case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
            case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:

                // 404 error -- controller or action not found
                $this->getResponse()->setHttpResponseCode(404);
                $this->view->message = 'Page not found';
                break;
            default:
                // application error
                $this->getResponse()->setHttpResponseCode(500);
                $this->view->message = 'Application error';
                break;
        }

        // pass the environment to the view script so we can conditionally
        // display more/less information
        $this->view->env       = $this->getInvokeArg('env');

        // pass the actual exception object to the view
        $this->view->exception = $errors->exception;

        // pass the request to the view
        $this->view->request   = $errors->request;
    }

    public function errorDeleteRegistroAction()
    {
            
        $mSession = new Zend_Session_Namespace('expressauto');

        $this->view->error = $mSession->error;
        $mSession->error   = null;

        $this->view->title = 'Error de operación';
        $this->view->pageTitle = 'Gestión de errores';
        $this->renderScript('error/error-delete-registro.phtml');
    }

    public function errorNewRegistroAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        $this->view->errores        = $mSession->errores;
        $this->view->tipo_error     = $mSession->tipo_error;
        $mSession->errores          = null;
        $mSession->tipo_error       = null;

        $this->view->title = 'Error de operación';
        $this->view->pageTitle = 'Gestión de errores';
        $this->renderScript('error/error-new-registro.phtml');
    }
}
