<?php
class InformeProduccionDiariaController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        $action = $this->getRequest()->getActionName();
        if($action != 'export-pdf' AND $action != 'create-pdf'){
            $auth = Zend_Auth::getInstance();
            if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
                $this->_redirect('/sistema-acceso/logout');
            }
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Informes de producción diaria';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->preferencias = Default_Model_OrdenCompra::getPrefs();
        $this->view->propietario = Default_Model_SistemaPropietario::get();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $empleado = new Default_Model_Empleado();
        $this->view->empleados = array(); //$empleado->getParaInforme();
        //$informe = new Default_Model_InformeProduccionDiaria();
        //
        $this->view->empleados = array(); //$empleados;
        $this->view->title = 'Informes de producción diaria';
    }
    
    public function crearAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $request = $this->getRequest();
        $form = new Default_Form_InformeProduccionDiaria();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {
                    
                    $informe = new Default_Model_InformeProduccionDiaria();
                    $id = $informe->crear($form->getValues(), $this->usuario->id);
                    $this->_redirect('/informe-produccion-diaria/fill/' . $id);
                    
                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar crear el informe de producción diaria.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/informe-produccion-diaria/index/1/id/DESC');
                }
            } else {
                $form->populate($request->getPost());
            }
        }
        if($this->_getParam('from_id')){
            $presupuesto_id = (int)$this->_getParam('from_id');
            
            $presupuesto = new Default_Model_Presupuesto();
            $presupuesto->setId($presupuesto_id);
            $form->presupuesto_id->setValue($presupuesto_id);
            $form->cliente_id->setValue($presupuesto->getClienteId());
        }
        $form->usuario_id->setValue($this->usuario->id);
        $this->view->title = 'Crear informe de producción diaria';
        $this->view->form = $form;
        $this->renderScript('cotizacion/form.phtml');
    }
}