<?php
class ItemCotizacionController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->_helper->layout->disableLayout();
    }

    public function getFormAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            if($this->_getParam('id') &&
               $this->_helper->validateRecordExists('items_cotizaciones','id', $this->_getParam('id'))) {

                $table = $this->_getParam('table');
                $request = $this->getRequest();
                $form = new Default_Form_ItemCotizacion($table);

                if($table=='articulos'){

                    $form->buscador->setLabel('Buscar artículo');
                    $form->buscador->setAttrib('onkeypress', 'ajaxSearchArticulo($(this), "#codigo", "#valor_neto", "#nombre", "#descripcion")');
                }

                if($table=='servicios'){
                    $form->vehiculo->setRequired(true);
                    $form->buscador->setLabel('Buscar servicio');
                    $form->buscador->setAttrib('onkeypress', 'ajaxSearchServicio($(this), "#codigo", "#valor_neto", "#nombre", "#descripcion")');
                }

                $id = (int)$this->_getParam('id');
                $item = new Default_Model_ItemCotizacion();
                $item->setId($id);
                $form->populate($item->getRow()->toArray());
                $form->setAction('/item-cotizacion/edit/0/' . $table . '/0');
                $form->submit->setLabel('Guardar cambios');
                $form->valor_neto->setAttrib('disabled','disabled');
                
                echo $form;
                
            } elseif($this->_getParam('from_id') && 
                     $this->_getParam('table') &&
                     $this->_helper->validateRecordExists('cotizaciones','id', $this->_getParam('from_id'))) {

                $table = $this->_getParam('table');

                $request = $this->getRequest();
                $form = new Default_Form_ItemCotizacion($table);
                $form->valor_neto->setAttrib('disabled','disabled');
                
                if($table=='articulos'){

                    $form->buscador->setLabel('Buscar artículo');
                    $form->buscador->setAttrib('onkeypress', 'ajaxSearchArticulo($(this), "#codigo", "#valor_neto", "#nombre", "#descripcion")');
                }
                
                if($table=='servicios'){
                    $form->vehiculo->setRequired(true);
                    $form->buscador->setLabel('Buscar servicio');
                    $form->buscador->setAttrib('onkeypress', 'ajaxSearchServicio($(this), "#codigo", "#valor_neto", "#nombre", "#descripcion")');
                }
                
                if($table=='productos'){

                    $form->buscador->setLabel('Buscar producto');
                    $form->buscador->setAttrib('onkeypress', 'ajaxSearchProducto($(this), "#codigo", "#valor_neto", "#nombre", "#descripcion")');
                }

                $form->cotizacion_id->setValue($this->_getParam('from_id'));
                echo $form;
            }
        }
    }

    public function newAction()
    {
        if($this->_getParam('table')) {

            $table = $this->_getParam('table');
            $request = $this->getRequest();
            $form = new Default_Form_ItemCotizacion($table);

            if($table=='servicios') {
                $form->vehiculo->setRequired(true);
            }
            
            if ($this->getRequest()->isPost()) {
                if ($form->isValid($request->getPost())) {
                    try { 
                        $item = new Default_Model_ItemCotizacion();
                        $item->crear($form->getValues());
                        
                        $form->reset();
                        $form->cotizacion_id->setValue($form->getValue('cotizacion_id'));
                        
                        $aviso = '<div id="aviso-form" class="confirmacion"><ul>';
                        $aviso .= '<li>El ítem fue agregado de forma satisfactoria. </li>';
                        $aviso .= '</ul></div>';
                        echo $aviso.$form;
                        
                    } catch (Exception $e) {
                        $aviso = '<div id="aviso-form" class="error"><ul><li>Ocurrió un error el intentar agregar el ítem</li></ul></div>';
                    }
                } else {
                    $form->populate($request->getPost());
                    if($table=='articulos'){
                        $form->buscador->setLabel('Buscar artículo');
                        $form->buscador->setAttrib('onkeypress', 'ajaxSearchArticulo($(this), "#codigo", "#neto", "#descripcion")');
                    }
                    if($table=='servicios'){
                        $form->vehiculo->setRequired(true);
                        $form->buscador->setLabel('Buscar servicio');
                        $form->buscador->setAttrib('onkeypress', 'ajaxSearchServicio($(this), "#codigo", "#neto", "#descripcion")');
                    }
                    if($table=='productos'){
                        $form->buscador->setLabel('Buscar producto');
                        $form->buscador->setAttrib('onkeypress', 'ajaxSearchProducto($(this), "#codigo", "#neto", #descripcion")');
                    }
                    echo $form;
                }
            }
        }
    }

    public function editAction()
    {
        if($this->_getParam('table')) {

            $table = $this->_getParam('table');
            $request = $this->getRequest();
            $form = new Default_Form_ItemCotizacion($table);
            
            $item = new Default_Model_ItemCotizacion();
            
            if($table=='servicios') {
                $form->vehiculo->setRequired(true);
            }

            if ($this->getRequest()->isPost()) {
                if ($form->isValid($request->getPost())) {

                    try {

                        $id = (int)$form->getValue('id');
                        $item->editar($form->getValues(), $id);
                        $aviso = '<div id="aviso-form" class="confirmacion"><ul>';
                        $aviso .= '<li>El ítem fue editado de forma satisfactoria. </li>';
                        $aviso .= '</ul></div>';

                        echo $aviso;

                    } catch (Exception $e) {

                        $aviso = '<div id="aviso-form" class="error"><ul><li>Ocurrió un error el intentar editar el ítem</li></ul></div>';
                    }
                } else {
                    $form->populate($request->getPost());
                    echo $form;
                }
            }
        }
    }

    public function deleteAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            try {
                $item = new Default_Model_ItemCotizacion();
                $item->eliminar($this->_getParam('data'));

            } catch (Exception $e){

                return $e->getMessage();
            }
        }
    }

    private function _calcularDescuento($tipo, $descuento, $neto)
    {
        if(!isset($tipo) OR !isset($descuento) OR !isset($neto)){
            return false;
        }

        if($tipo=='MONTO') {
            return $descuento;
        }

        if($tipo=='PORCENTAJE'){
            $monto = round($neto * ($descuento/100));
            return $monto;
        }
    }
}