<?php
class ItemNotaVentaController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->_helper->layout->disableLayout();
    }

    public function deleteAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->viewRenderer->setNoRender();
            $data = $this->_getParam('data');

            try {
                
                $itemNota = new Default_Model_ItemNotaVenta();
                $itemNota->eliminar($data);
                return true;
                
            } catch (Exception $e) {
                echo $e->getMessage();
            }
        }
    }

    public function addItemsCotizacionAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $this->_helper->viewRenderer->setNoRender();
            
            $nota_id = $this->_getParam('id');
            $data = $this->_getParam('data');

            try {
                
                $itemNota = new Default_Model_ItemNotaVenta();
                $itemNota->addFromCotizacion($data, $nota_id);
                $this->view->estado = 1;
                $this->renderScript('partes-comunes/mensaje-add-items.phtml');
                
            } catch (Exception $e) {
                
                $this->view->estado = 2;
                $this->view->error = $e->getMessage();
                $this->renderScript('partes-comunes/mensaje-add-items.phtml');
                
            }
        }
    }
}