<?php
class ItemSolicitudTallerController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            echo 'No se ha autenticado';
            exit;
        }
    }
    
    public function init()
    {
        $this->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        $this->_helper->layout->disableLayout();
        
    }

    public function getFormAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $form = new Default_Form_ItemSolicitudTaller();
            
            if($this->_getParam('id')) {

                $item = new Default_Model_ItemSolicitudTaller();
                $id = (int)$this->_request->getParam('id');
                $item->setId($id);
                $form->populate($item->getRow()->toArray());
                $form->setAction('/item-solicitud-taller/edit');
                
            } elseif($this->_getParam('from_id')) {

                $form->solicitud_id->setValue($this->_request->getParam('from_id'));
            }
            $this->view->title = "Formulario ítem solicitud taller";
            $this->view->form = $form;
            $this->renderScript('solicitud-taller/form-item.phtml');
        }
    }

    public function newAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_ItemSolicitudTaller();

        $this->view->title = "Formulario ítem solicitud taller";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $item = new Default_Model_ItemSolicitudTaller();
                    $item->crear($form->getValues());
                    $this->view->estado = 1;
                    $this->renderScript('partes-comunes/form-items.phtml');

                } catch (Exception $e) {

                    echo $e->getMessage();
                }
            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
    }

    public function editAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_ItemSolicitudTaller();

        $this->view->title = "Formulario ítem solicitud taller";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $id = (int)$form->getValue('id');
                    $item = new Default_Model_ItemSolicitudTaller();
                    $item->editar($form->getValues(), $id);
                    $this->view->estado = 2;
                    $this->renderScript('partes-comunes/form-items.phtml');

                } catch (Exception $e) {

                    echo $e->getMessage();
                }
            } else {
                $form->setAction('/item-solicitud-taller/edit');
                $form->submit->setLabel('Guardar');
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
    }

    public function deleteAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->viewRenderer->setNoRender();
            
            try {
            
                $item = new Default_Model_ItemSolicitudTaller();
                $item->eliminar($this->_getParam('data'));
                
            } catch (Exception $e){
                
                return $e->getMessage();
            
            }
        }
    }
}