<?php
class LcContactoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->_helper->layout->disableLayout();
    }
    
    public function indexAction()
    {
        $modelContacto = new Default_Model_LcContacto();
        $order = "nombre";
        $contactos = $modelContacto->fetchAll(null, $order);
        $this->view->contactos = $contactos;
    }
    
    public function getListAction()
    {
        $this->_helper->viewRenderer->setNoRender();
        $modelContacto = new Default_Model_LcContacto();
        
        $value = $this->_getParam('value');
        $where = null;
        
        if($value!=null && $value!='') {
            $where = "nombre LIKE '%".$value."%'";
            $where .= " OR apellidos LIKE '%".$value."%'";
            $where .= " OR empresa LIKE '%".$value."%'";
            $where .= " OR etiquetas LIKE '%".$value."%'";
        }
        
        $order = "nombre";
        $contactos = $modelContacto->fetchAll($where, $order)->toArray();
        $contactosOrdenados = Zend_Json_Encoder::encode($contactos);
        echo $contactosOrdenados;
    }
    
    public function viewAction()
    {
        $id = (int)$this->_getParam('id');
        $data = $this->_getDataView($id);
        $this->view->contacto       = $data['contacto'];
        $this->view->telefonos      = $data['telefonos'];
        $this->view->mails          = $data['mails'];
        $this->view->direcciones    = $data['direcciones'];
    }
    
    public function newAction()
    {
        $this->renderScript('lc-contacto/form.phtml');
    }
    
    public function editAction()
    {
        $id = (int)$this->_getParam('id');
        $data = $this->_getDataView($id);
        $this->view->contacto       = $data['contacto'];
        $this->view->telefonos      = $data['telefonos'];
        $this->view->mails          = $data['mails'];
        $this->view->direcciones    = $data['direcciones'];
        $this->renderScript('lc-contacto/form.phtml');
    }
    
    private function _getDataView($id)
    {
        $data = array();
        $modelContacto = new Default_Model_LcContacto();
        $where = $modelContacto->getAdapter()->quoteInto("id=?", $id);
        $data['contacto'] = $modelContacto->fetchRow($where);
        $whereParams = $modelContacto->getAdapter()->quoteInto("contacto_id=?", $id);
        $modelTelefono = new Default_Model_LcTelefono();
        $data['telefonos'] = $modelTelefono->fetchAll($whereParams);
        $modelMail = new Default_Model_LcMail();
        $data['mails'] = $modelMail->fetchAll($whereParams);
        $modelDireccion = new Default_Model_LcDireccion();
        $data['direcciones'] = $modelDireccion->fetchAll($whereParams);
        return $data;
    }
}