<?php
class ParametrosController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Parámetros del sistema';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $preferencia = new Default_Model_Preferencia();
        $preferencias = $preferencia->getAll($this->_getParam('page', 1));
        Zend_View_Helper_PaginationControl::setDefaultViewPartial('pagination_control.phtml');
        /*****************************************************************/
        $this->view->preferencias = $preferencias;
        $this->view->title = 'Preferencias';
    }

    public function getFormAction()
    {
        $preferencia = new Default_Model_Parametro();
        $where = $preferencia->getAdapter()->quoteInto("id=?", $this->_request->getParam('id'));
        $row = $preferencia->fetchRow($where)->toArray();

        $request = $this->getRequest();
        $form = new Default_Form_Preferencia(null, $this->path, $row['tipo']);
        $form->populate($row);
            
        $this->view->preferencia = $row;
        $this->view->title = "Editar parámetro";
        $this->view->form = $form;
        $this->renderScript('parametros/form.phtml');
    }

    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $preferencia = new Default_Model_Preferencia();
        $request = $this->getRequest();
        $form = new Default_Form_Parametro();
        
        if ($this->getRequest()->isPost()) {
            
            $id = (int)$this->_getParam('id');
            $preferencia->setId($id);
            $form->valor->addValidator($preferencia->getValidador());
            
            if ($form->isValid($request->getPost())) {
                try {
                    
                    $preferencia->editar($form->getValue('valor'), $form->getValue('id'));
                    $mSession->mensajes[] = 'El parámetro fue guardado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    
                } catch (Exception $e) {
                    
                    $mSession->mensajes[] = 'Ocurrió un error al intentar guardar los cambios.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    
                }
                $this->_redirect('/parametros/index');
            } else {
                $form->populate($request->getPost());
            }
        }
        
        $id = (int)$this->_getParam('id');
        $preferencia->setId($id);
        $form->populate($preferencia->getRow()->toArray());
        $this->view->title = 'Editar parámetro';
        $this->view->form = $form;
        $this->view->preferencia = $preferencia->getRow();
        $this->renderScript('parametros/form.phtml');
    }
}