<?php
class PresupuestoRepuestoExternoCotizadoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Presupuestos';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        
        $this->view->propietario = Default_Model_SistemaPropietario::get();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }

    public function agregarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $request = $this->getRequest();
        $form = new Default_Form_PresupuestoRepuestoExternoCotizado();
        $id = (int)$this->_getParam('id');
        $this->view->title = "Agregar cotización de repuesto externo al presupuesto ";
        $this->view->titleBreadcrumb = "Formulario cotización externo externo";
        
        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {
                    $item = new Default_Model_PresupuestoRepuestoExternoCotizado();
                    $item->crear($form->getValues());
                    $mSession->mensajes[] = "La cotización del repuesto externo fue agregada de forma satisfactoria. "
                                          . "¿Desea agregar otra cotización de este repuesto o prefiere <a href=\"/presupuesto/view/" 
                                          . $form->getValue('presupuesto_id') ."/repuestos-externos\">Volver al presupuesto</a>?";
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/presupuesto-repuesto-externo-cotizado/agregar/' . $form->getValue('presupuesto_repuesto_externo_id'));
                } catch(Exception $e){
                    $mSession->mensajes[] = "Ocurrió un error al intentar agregar la cotización del repuesto externo al presupuesto";
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/presupuesto-repuesto-externo-cotizado/agregar/' . $id);
                }
            } else {
                $form->populate($request->getPost());
            }
        } 
            
        try {
            
            $modelRepuestoExterno = new Default_Model_PresupuestoRepuestoExterno();
            $modelRepuestoExterno->setId($id);
            $rowPresupuesto = $modelRepuestoExterno->getPresupuesto();
            
            $form->presupuesto_repuesto_externo_id->setValue($id);
            $form->setAction('/presupuesto-repuesto-externo-cotizado/agregar/' . $id);
            $form->cancel->setAttrib('onclick', "javascript:goTo('/presupuesto/view/$rowPresupuesto->id/repuestos-externos');");
            $form->presupuesto_id->setValue($rowPresupuesto->id);
            
            $this->view->form = $form;
            $this->view->presupuesto = $rowPresupuesto;
            
        } catch(Exception $e) {
            $mSession->mensajes[] = "Ocurrió un error al requerir la información del repuesto externo";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = 'error';
            $this->_redirect('/presupuesto/index/1/id/DESC');
        }
        
        $this->renderScript('presupuesto/form-item.phtml');
    }
    
    public function editarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $request = $this->getRequest();
        $form = new Default_Form_PresupuestoRepuestoExternoCotizado();
        $id = (int)$this->_getParam('id');
        
        $this->view->title = "Editar cotización de repuesto externo del presupuesto ";
        $this->view->titleBreadcrumb = "Formulario cotización repuesto externo ";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $id = $form->getValue('id');
                    $item = new Default_Model_PresupuestoRepuestoExternoCotizado();
                    $item->editar($form->getValues(), $id);
                    $mSession->mensajes[] = "La cotización del repuesto externo fue editada de forma satisfactoria";
                    $mSession->claseMensaje = "confirmacion";
                    $this->_redirect('/presupuesto/view/' . $form->getValue('presupuesto_id') . '/repuestos-externos');

                } catch (Exception $e) {
                    $mSession->mensajes[] = "Ocurrió un error al intentar editar el repuesto externo del presupuesto";
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/presupuesto-repuesto-externo/agregar/' . $form->getValue('presupuesto_id') . '/repuestos-externos');
                }
                
            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
        
        try {
            
            $repuestoExternoCotizado = new Default_Model_PresupuestoRepuestoExternoCotizado();
            $repuestoExternoCotizado->setId($id);
            $rowRepuestoExternoCotizado = $repuestoExternoCotizado->getRow();
            $rowPresupuesto = $repuestoExternoCotizado->getPresupuesto();
            $form->populate($rowRepuestoExternoCotizado->toArray());
            $form->presupuesto_id->setValue($rowPresupuesto->id);
            $form->submit->setLabel('Guardar cambios');
            $form->setAction('/presupuesto-repuesto-externo-cotizado/editar/' . $id);
            $form->cancel->setAttrib('onclick', "javascript:goTo('/presupuesto/view/$rowPresupuesto->id/repuestos-externos');");
            $this->view->form = $form;
            $this->view->presupuesto = $rowPresupuesto;
            
        } catch(Exception $e) {
            $mSession->mensajes[] = "Ocurrió un error al requerir la información de la cotización de repuesto externo a editar";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = 'error';
            $this->_redirect('/presupuesto/view/' . $id . '/repuestos-externos');
        }
        
        $this->renderScript('presupuesto/form-item.phtml');
    }
    
     public function eliminarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
            
        try {

            $id = (int)$this->_getParam('id');
            
            $repuesto = new Default_Model_PresupuestoRepuestoExternoCotizado();
            $repuesto->setId($id);
            $repuesto->eliminar();

        } catch (Exception $e) {

            $mSession->mensajes[] = "Ocurrió un error al intentar eliminar la cotización del repuesto externo";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = "error";

        }

        $this->_redirect('/presupuesto/view/' . (int)$this->_getParam('from_id') . '/repuestos-externos');
    }
    
 /*   
    public function getFormAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $form = new Default_Form_PresupuestoRepuestoCotizado();
            
            if($this->_request->getParam('id')) {

                $id = (int)$this->_getParam('id');
                
                $item = new Default_Model_PresupuestoRepuestoCotizado();
                $item->setId($id);
                $form->populate($item->getRow()->toArray());
                $form->setAction('/presupuesto-repuesto-cotizado/edit');
                $form->submit->setLabel('Guardar');

            } elseif($this->_request->getParam('from_id')) {
                $form->presupuesto_repuesto_id->setValue($this->_request->getParam('from_id'));
            }
            $this->view->title = "Formulario cotización de repuesto";
            $this->view->form = $form;
            $this->renderScript('partes-comunes/form-items.phtml');
        }
    }

    public function newAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_PresupuestoRepuestoCotizado();
        
        $this->view->title = "Formulario cotización de repuesto";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $item = new Default_Model_PresupuestoRepuestoCotizado();
                    $item->crear($form->getValues());
                    $this->view->estado = 1;
                    $this->renderScript('partes-comunes/form-items.phtml');

                } catch (Exception $e) {
                    echo $e->getMessage();
                }
            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
    }

    public function editAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_PresupuestoRepuestoCotizado();

        $this->view->title = "Formulario cotización de repuesto";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $id = $form->getValue('id');
                    $item = new Default_Model_PresupuestoRepuestoCotizado();
                    $item->editar($form->getValues(), $id);
                    $this->view->estado = 2;
                    $this->renderScript('partes-comunes/form-items.phtml');

                } catch (Exception $e) {
                    echo $e->getMessage();
                }
            } else {
                $form->populate($request->getPost());
                $form->setAction('/presupuesto-repuesto-cotizado/edit');
                $form->submit->setLabel('Guardar');
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-simple.phtml');
            }
        }
    }
*/
    
    public function selectAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();
            
            $id = (int)$this->_getParam('id');
            $repuestoExternoCotizado = new Default_Model_PresupuestoRepuestoExternoCotizado();
            $repuestoExternoCotizado->setId($id);
            $repuestoExternoCotizado->setSeleccion(1);
            return true;
        }
    }
    
    public function unselectAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();
            
            $id = (int)$this->_getParam('id');
            $repuestoExternoCotizado = new Default_Model_PresupuestoRepuestoExternoCotizado();
            $repuestoExternoCotizado->setId($id);
            $repuestoExternoCotizado->setSeleccion(0);
            return true;
        }
    }
}