<?php
class PresupuestoServicioExternoCotizadoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Presupuestos';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        
        $this->view->propietario = Default_Model_SistemaPropietario::get();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }
    
    public function agregarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $request = $this->getRequest();
        $form = new Default_Form_PresupuestoServicioExternoCotizado();
        $id = (int)$this->_getParam('id');
        $this->view->title = "Agregar cotización de servicio externo al presupuesto ";
        $this->view->titleBreadcrumb = "Formulario cotización servicio externo";
        
        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {
                    $item = new Default_Model_PresupuestoServicioExternoCotizado();
                    $item->crear($form->getValues());
                    $mSession->mensajes[] = "La cotización del servicio externo fue agregada de forma satisfactoria. "
                                          . "¿Desea agregar otra cotización de este servicio o prefiere <a href=\"/presupuesto/view/" 
                                          . $form->getValue('presupuesto_id') ."/servicios-externos\">Volver al presupuesto</a>?";
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/presupuesto-servicio-externo-cotizado/agregar/' . $form->getValue('presupuesto_servicio_externo_id'));
                } catch(Exception $e){
                    $mSession->mensajes[] = "Ocurrió un error al intentar agregar la cotización del servicio externo al presupuesto";
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/presupuesto-servicio-externo-cotizado/agregar/' . $id);
                }
            } else {
                $form->populate($request->getPost());
            }
        } 
            
        try {
            
            $modelServicioExterno = new Default_Model_PresupuestoServicioExterno();
            $modelServicioExterno->setId($id);
            $rowPresupuesto = $modelServicioExterno->getPresupuesto();
            
            $form->presupuesto_servicio_externo_id->setValue($id);
            $form->setAction('/presupuesto-servicio-externo-cotizado/agregar/' . $id);
            $form->cancel->setAttrib('onclick', "javascript:goTo('/presupuesto/view/$rowPresupuesto->id/servicios-externos');");
            $form->presupuesto_id->setValue($rowPresupuesto->id);
            
            $this->view->form = $form;
            $this->view->presupuesto = $rowPresupuesto;
            
        } catch(Exception $e) {
            $mSession->mensajes[] = "Ocurrió un error al requerir la información del servicio externo";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = 'error';
            $this->_redirect('/presupuesto/index/1/id/DESC');
        }
        
        $this->renderScript('presupuesto/form-item.phtml');
    }

    public function editarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $request = $this->getRequest();
        $form = new Default_Form_PresupuestoServicioExternoCotizado();
        $id = (int)$this->_getParam('id');
        
        $this->view->title = "Editar cotización de servicio externo del presupuesto ";
        $this->view->titleBreadcrumb = "Formulario cotización servicio externo ";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $id = $form->getValue('id');
                    $item = new Default_Model_PresupuestoServicioExternoCotizado();
                    $item->editar($form->getValues(), $id);
                    $mSession->mensajes[] = "La cotización del servicio externo fue editada de forma satisfactoria";
                    $mSession->claseMensaje = "confirmacion";
                    $this->_redirect('/presupuesto/view/' . $form->getValue('presupuesto_id') . '/servicios-externos');

                } catch (Exception $e) {
                    $mSession->mensajes[] = "Ocurrió un error al intentar editar el servicio externo del presupuesto";
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/presupuesto-servicio-externo/agregar/' . $form->getValue('presupuesto_id') . '/servicios-externos');
                }
                
            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
        
        try {
            
            $servicioExternoCotizado = new Default_Model_PresupuestoServicioExternoCotizado();
            $servicioExternoCotizado->setId($id);
            $rowServicioExternoCotizado = $servicioExternoCotizado->getRow();
            $rowPresupuesto = $servicioExternoCotizado->getPresupuesto();
            $form->populate($rowServicioExternoCotizado->toArray());
            $form->presupuesto_id->setValue($rowPresupuesto->id);
            $form->submit->setLabel('Guardar cambios');
            $form->setAction('/presupuesto-servicio-externo-cotizado/editar/' . $id);
            $form->cancel->setAttrib('onclick', "javascript:goTo('/presupuesto/view/$rowPresupuesto->id/servicios-externos');");
            $this->view->form = $form;
            $this->view->presupuesto = $rowPresupuesto;
            
        } catch(Exception $e) {
            $mSession->mensajes[] = "Ocurrió un error al requerir la información de la cotización de servicio externo a editar";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = 'error';
            $this->_redirect('/presupuesto/view/' . $id . '/servicios-externos');
        }
        
        $this->renderScript('presupuesto/form-item.phtml');
    }

    public function eliminarAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
            
        try {

            $id = (int)$this->_getParam('id');
            
            $servicio = new Default_Model_PresupuestoServicioExternoCotizado();
            $servicio->setId($id);
            $servicio->eliminar();

        } catch (Exception $e) {

            $mSession->mensajes[] = "Ocurrió un error al intentar eliminar la cotización del servicio externo";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = "error";

        }

        $this->_redirect('/presupuesto/view/' . (int)$this->_getParam('from_id') . '/servicios-externos');
    }
    
    public function selectAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();
            
            $id = (int)$this->_getParam('id');
            $servicioExternoCotizado = new Default_Model_PresupuestoServicioExternoCotizado();
            $servicioExternoCotizado->setId($id);
            $servicioExternoCotizado->setSeleccion(1);
            return true;
        }
    }
    
    public function unselectAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();
            
            $id = (int)$this->_getParam('id');
            $servicioExternoCotizado = new Default_Model_PresupuestoServicioExternoCotizado();
            $servicioExternoCotizado->setId($id);
            $servicioExternoCotizado->setSeleccion(0);
            return true;
        }
    }
}