<?php
class RemBeneficioImponibleController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Remuneraciones - Beneficios imponibles';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $beneficio = new Default_Model_RemBeneficioImponible();
        $beneficios = $beneficio->getAll();
        $this->view->action = '/rem-beneficio-imponible/index/';
        $this->view->beneficios = $beneficios;
        $this->view->title = 'Beneficios imponibles';
    }

    public function newAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        $request = $this->getRequest();
        $form = new Default_Form_RemBeneficioImponible();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {
                    
                    $beneficio = new Default_Model_RemBeneficioImponible();
                    $beneficio->crear($form->getValues());
                    $mSession->mensajes[] = 'El beneficio imponible fue creado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/rem-beneficio-imponible/index/1/nombre/ASC');

                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar crear el beneficio imponible';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/rem-beneficio-imponible/index/1/nombre/ASC');
                }
            } else {
                $form->populate($request->getPost());
            }
        }
        $this->view->form = $form;
        $this->renderScript('partes-comunes/form-simple.phtml');
    }

    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        $beneficio = new Default_Model_RemBeneficioImponible();
        $request = $this->getRequest();
        $form = new Default_Form_RemBeneficioImponible();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {
                    
                    $beneficio->editar($form->getValues(), $form->getValue('id'));
                    $mSession->mensajes[] = 'El beneficio imponible fue editado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/rem-beneficio-imponible/index/1/nombre/ASC');

                } catch (Exception $e) {
                    
                    $mSession->mensajes[] = 'Ocurrió un error al intentar editar el beneficio imponible';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/rem-beneficio-imponible/index/1/nombre/ASC');
                }
                
            } else {
                $form->populate($request->getPost());
            }
        }
        
        $id = (int)$this->_getParam('id');
        $beneficio->setId($id);
        $form->populate($beneficio->getRow()->toArray());
        $form->setAction('/rem-beneficio-imponible/edit');
        $form->submit->setLabel("Guardar cambios");
        $this->view->form = $form;
        $this->renderScript('partes-comunes/form-simple.phtml');
    }

    public function deleteAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $id = (int)$this->_getParam('id');

        try {

            $beneficio = new Default_Model_RemBeneficioImponible();
            $beneficio->setId($id);
            $beneficio->eliminar();
            $mSession->mensajes[] = 'El beneficio imponible fue eliminado de forma exitosa.';
            $mSession->claseMensaje = 'confirmacion';
            $this->_redirect('/rem-beneficio-imponible/index/1/nombre/ASC');

        } catch (Exception $e) {

            $mSession->mensajes[] = 'Ocurrió un error al intentar eliminar el beneficio imponible';
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = 'error';
            $this->_redirect('/rem-beneficio-imponible/index/1/nombre/ASC');
        }
        
    }
}