<?php
class RemCargaFamiliarController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Remuneraciones - Cargas Familiares';
        
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }

    public function newAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $request = $this->getRequest();
        $form = new Default_Form_RemCargaFamiliar();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                 try {

                    $carga = new Default_Model_RemCargaFamiliar();
                    $carga->crear($form->getValues(), $this->usuario->id);
                   
                    $mSession->mensajes[] = 'La carga familiar fue registrada de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/rem-empleado/view/' . $form->getValue('empleado_id'));
                    
                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar registrar la carga familiar.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/rem-empleado/index/1/nombre/ASC');
                }
            } else {
                $form->populate($request->getPost());
            }
        }
        
        $form->empleado_id->setValue((int)$this->_getParam('from_id'));
        $this->view->form = $form;
        $this->renderScript('rem-carga-familiar/form.phtml');
    }
    
    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $carga = new Default_Model_RemCargaFamiliar();
        $request = $this->getRequest();
        $form = new Default_Form_RemCargaFamiliar();
        $form->id->setRequired(true);
        $form->setAction('/rem-carga-familiar/edit');
        $form->submit->setLabel('Guardar cambios');
        
        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {
                    
                    $carga->editar($form->getValues(), $form->getValue('id'), $this->usuario->id);
                    $mSession->mensajes[] = 'La carga familiar fue editada de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/rem-empleado/view/' . $form->getValue('empleado_id'));

                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar editar la carga familiar.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/rem-empleado/index/1/id/DESC');
                }
            } else {
                $form->populate($request->getPost());
            }
        } 
        
        $id = (int)$this->_getParam('id');
        $carga->setid($id);
        $form->populate($carga->getRow()->toArray());
        $form->id->setValue($id);
        $this->view->form = $form;
        $this->renderScript('rem-carga-familiar/form.phtml');
    }
    
    public function deleteAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $id = (int)$this->_getParam('id');
        $empleado_id = (int)$this->_getParam('from_id');
        
        try {
            
            $carga = new Default_Model_RemCargaFamiliar();
            $carga->setId($id);
            $carga->eliminar();
            $mSession->mensajes[] = 'La carga familiar fue eliminada de forma exitosa.';
            $mSession->claseMensaje = 'confirmacion';
            $this->_redirect('/rem-empleado/view/' . $empleado_id);

        } catch (Exception $e) {

            $mSession->mensajes[] = 'Ocurrió un error al intentar eliminar el anticipo.';
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = 'error';
            $this->_redirect('/rem-anticipo/view/' . $empleado_id);
        }
    }
}