<?php
class RemTramoAsigFamController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Remuneraciones - Tramos de asignación familiar';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $tramo = new Default_Model_RemTramoAsigFam();
        $this->view->tramos = $tramo->getAll();
        $this->view->title = 'Tramos de Asignación Familiar';
    }
    
    public function newAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $request = $this->getRequest();
        $form = new Default_Form_RemTramoAsigFam();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                try {
                    
                    $tramo = new Default_Model_RemTramoAsigFam();
                    $tramo->crear($form->getValues());
                    $mSession->mensajes[] = 'El tramo fue creado de forma satisfactoria.';
                    $mSession->claseMensaje = 'confirmacion';

                    $this->_redirect('/rem-tramo-asig-fam');
                    
                } catch (Exception $e) {

                    $mSession->mensajes[] = 'Ocurrió un error al intentar crear el tramo';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/rem-tramo-asig-fam');
                }
            } else {
                $form->populate($request->getPost());
            }
        }
        $this->view->form = $form;
        $this->renderScript('partes-comunes/form-simple.phtml');
    }

    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $tramo = new Default_Model_RemTramoAsigFam();
        $request = $this->getRequest();
        $form = new Default_Form_RemTramoAsigFam();
        
        if ($this->getRequest()->isPost()) {
            if($form->isValid($request->getPost())) {
                try {
                    
                    $tramo->editar($form->getValues(), $form->getValue('id'));
                    $mSession->mensajes[] = 'El tramo fue editado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    
                } catch (Exception $e) {
                    
                    $mSession->mensajes[] = 'Ocurrió un error al intentar editar el tramo.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    
                }
                $this->_redirect('/rem-tramo-asig-fam');
            } else {
                $form->populate($request->getPost());
            }
        }
        
        $id = (int)$this->_getParam('id');
        $tramo->setId($id);
        $form->populate($tramo->getRow()->toArray());
        $form->submit->setLabel('Editar tramo');
        $form->setAction('/rem-tramo-asig-fam/edit');
        $this->view->form = $form;
        $this->renderScript('partes-comunes/form-simple.phtml');
    }
    
    public function deleteAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $id = (int)$this->_getParam('id');
        
        try {

            $tramo = new Default_Model_RemTramoAsigFam();
            $tramo->setId($id);
            $tramo->eliminar();
            
            $mSession->mensajes[] = "El tramo fue eliminado de forma satisfactoria";
            $mSession->claseMensaje = "confirmacion";
            
        } catch(Exception $e){
            
            $mSession->mensajes[] = "Ocurrió un error al intentar eliminar el tramo";
            $mSession->mensajes[] = $e->getMessage();
            $mSession->claseMensaje = "error";
            
        }
        $this->_redirect('/rem-tramo-asig-fam');
    }
}