<?php
class RemuneracionesConfigController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Condiciones generales';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function basicasAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $condicion = new Default_Model_CondicionGeneral();
        $order = "nombre";
        $this->view->condiciones = $condicion->fetchAll(null, $order);
        $this->view->title = 'Condiciones generales documentos';
    }

    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $condicion = new Default_Model_CondicionGeneral();
        
        $request = $this->getRequest();
        $form = new Default_Form_CondicionGeneral();

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {
                
                try {
                    $condicion->editar($form->getValue('condiciones'), $form->getValue('id'));
                    $mSession->mensajes[] = 'La condiciones generales fueron editadas de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    $this->_redirect('/condiciones-generales');
                    
                } catch (Exception $e) {
                    $mSession->mensajes[] = 'Ocurrió un error al intentar guardar los cambios.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    $this->_redirect('/condiciones-generales');
                }
                
            } else {
                $form->populate($request->getPost());
            } 
        }
        
        $id = (int)$this->_getParam('id');
        $condicion->setId($id);
        $row = $condicion->getRow();
        $form->submit->setLabel("Guardar cambios");
        $form->populate($row->toArray());
        $form->condiciones->setLabel(utf8_encode($row->nombre));
        $this->view->form = $form;
        $this->renderScript('partes-comunes/form-simple.phtml');
    }
}