<?php
class SistemaAccesoController extends Zend_Controller_Action
{
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if($mSession->error!='') {
            $this->view->error = $mSession->error;
            $mSession->error = '';
        }

        $this->_helper->layout->setLayout('acceso');
        $this->view->title = "iMecanix :: Acceso usuarios";
        
        $request = $this->getRequest();
        $form = new Default_Form_Acceso();
        
        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $usuario = new Default_Model_SistemaUsuario();
                    $data = $form->getValues();
                    $auth = Zend_Auth::getInstance();
                    $authAdapter = new Zend_Auth_Adapter_DbTable($usuario->getAdapter(),'sistema_usuarios');
                    $authAdapter->setIdentityColumn('usuario')
                                ->setCredentialColumn('clave');
                    $authAdapter->setIdentity($data['usuario'])
                                ->setCredential(md5($data['clave']));
                    
                    $result = $auth->authenticate($authAdapter);

                    if ($result->isValid()) {
                        
                        $mSession->sistema = "expressauto";
                        
                        $storage = new Zend_Auth_Storage_Session();
                        $storage->write($authAdapter->getResultRowObject());
                        $usuario = Zend_Auth::getInstance()->getIdentity();
                        $this->_redirect('/');
                        
                    } else {
                        $mSession->error = 'El usuario o contraseña no es válido';
                        $this->_redirect('/sistema-acceso');
                    }
                } catch(Exception $e) {
                    echo $e->getMessage();
                }
            } else {
                $form->populate($request->getPost());
            }
        } 
        $this->view->form = $form;
    }
    
    public function logoutAction()
    {
        Zend_Auth::getInstance()->clearIdentity();
        $this->_redirect('/sistema-acceso');
    }

    public function javascriptDisabledAction()
    {
        $this->_helper->layout->setLayout('javascript-error');
        $this->view->title = "Javascript Desactivado";
    }
    
    public function exitAction()
    {
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
        $this->renderScript('sistema-acceso/exit.phtml');
    }
}