<?php
class SistemaPreferenciasController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Preferencias del sistema';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->paginacion = Zend_Registry::get('paginacion');
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
        }
    }
    
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $preferencia = new Default_Model_SistemaPreferencia();
        $this->view->preferencias = $preferencia->getAll();
        $this->view->title = 'Preferencias';
    }

    public function editAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }

        $preferencia = new Default_Model_SistemaPreferencia();
        $request = $this->getRequest();
        $form = new Default_Form_SistemaPreferencia();
        
        if ($this->getRequest()->isPost()) {
            
            $id = (int)$this->_getParam('id');
            $preferencia->setId($id);
            $form->valor->addValidator($preferencia->getValidador());
            
            if ($form->isValid($request->getPost())) {
                try {
                    
                    $preferencia->editar($form->getValue('valor'), $form->getValue('id'));
                    $mSession->mensajes[] = 'El parámetro fue guardado de forma exitosa.';
                    $mSession->claseMensaje = 'confirmacion';
                    
                } catch (Exception $e) {
                    
                    $mSession->mensajes[] = 'Ocurrió un error al intentar guardar los cambios.';
                    $mSession->mensajes[] = $e->getMessage();
                    $mSession->claseMensaje = 'error';
                    
                }
                $this->_redirect('/sistema-preferencias');
            } else {
                $form->populate($request->getPost());
            }
        }
        
        $id = (int)$this->_getParam('id');
        $preferencia->setId($id);
        $row = $preferencia->getRow();
        $form->populate($row->toArray());
        
        if($row->validador=='Int') { $form->valor->setValue((int)$row->valor);} 
        
        $form->valor->setLabel(utf8_encode($row->label));
        $form->valor->setAttrib('title', utf8_encode($row->descripcion));
        $this->view->title = 'Editar parámetro';
        $this->view->form = $form;
        $this->view->preferencia = $preferencia->getRow();
        $this->renderScript('partes-comunes/form-simple.phtml');
    }
}