<?php
class AjaxController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            echo 'No se ha autenticado';
        }
    }
    
    public function indexAction()
    {
        $this->_redirect('/start/');
    }

    public function getModelosVehiculosAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();

        // recojo el id que viene vía POST
        $marca_id = (int)$this->_request->getPost('id');

        if($marca_id!='') {
            $modelo = new ModeloVehiculo();
            $modelos = $modelo->getRowsByMarca($marca_id);

            $result = '<option value="">-- Seleccionar --</option>';

            foreach($modelos as $row){
                $result .= '<option value="'. $row->id .'">'. $row->nombre . '</option>' ;
            }
        } else {
            $result = '<option value="">-- Seleccionar --</option>';   
        }
        echo $result;
    }

    public function getServiciosPautaMantencionAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
        $pauta = (int)$this->_request->getPost('id');
        $form = new ItemsPautasMantencionForm();
        echo $form;
    }

    public function getProveedoresAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
        $proveedor = new Proveedor();
        $proveedores = $proveedor->getAll();

        if($proveedores!=false) {

            $data = '<table class="ajax_window_table">';
            $data .= '<caption>Proveedores encontrados : '.count($proveedores).'</caption>';
            $data .= '<thead>';
            $data .= '<tr>';
            $data .= '<th>Razón Social</th>';
            $data .= '<th>R.U.T.</th>';
            $data .= '</tr>';
            $data .= '</thead>';
            $data .= '<tbody>';

            foreach($proveedores as $row) {
                $data .= '<tr id="'.$row->rut.'"><td>'.$row->razon_social.'</td><td>'.$this->view->formatRut($row->rut).'</td></tr>';
            }

            $data .= '</tbody>';
            $data .= '</table>';

            $result = $data;
            
        } else {
            $result = '<p>No se han registrado proveedores.</p>';
        }

        echo $result;
    }

    public function getClientesAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
        $cliente = new Cliente();
        $clientes = $cliente->getAll();

        if($clientes!=false) {

            $data = '<table class="ajax_window_table">';
            $data .= '<caption>Clientes encontrados : '.count($clientes).'</caption>';
            $data .= '<thead>';
            $data .= '<tr>';
            $data .= '<th>Razón Social</th>';
            $data .= '<th>R.U.T.</th>';
            $data .= '</tr>';
            $data .= '</thead>';
            $data .= '<tbody>';

            foreach($clientes as $row) {
                $data .= '<tr id="'.$row->rut.'"><td>'.$row->razon_social.'</td><td>'.$this->view->formatRut($row->rut).'</td></tr>';
            }

            $data .= '</tbody>';
            $data .= '</table>';

            $result = $data;

        } else {
            $result = '<p>No se han registrado clientes.</p>';
        }

        echo $result;
    }

    public function getContactosAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
        $contacto = new ContactoAgenda();
        $contactos = $contacto->getAll();

        if($contactos!=false) {

            $data = '<table class="ajax_window_table">';
            $data .= '<caption>Contactos encontrados : '.count($contactos).'</caption>';
            $data .= '<thead>';
            $data .= '<tr>';
            $data .= '<th>Nombre</th>';
            $data .= '</tr>';
            $data .= '</thead>';
            $data .= '<tbody>';

            foreach($contactos as $row) {
                $data .= '<tr id="'.$row->nombre.'"><td>'.$row->nombre.'</td></tr>';
            }

            $data .= '</tbody>';
            $data .= '</table>';

            $result = $data;

        } else {
            $result = '<p>No se han registrado contactos.</p>';
        }

        echo $result;
    }


    public function getArticulosCategoriaAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();

        // recojo el id que viene vía POST
        $categoria_id = (int)$this->_request->getPost('id');
        
        if($categoria_id!='') {

            $articulo = new ArticuloInventario();
            $articulos = $articulo->getRowsByCategoriaToOrdenCompra($categoria_id);
            if($articulos!=false) {

                $data = '<table class="ajax_window_table">';
                $data .= '<caption>Artículos encontrados : '.count($articulos).'</caption>';
                $data .= '<thead>';
                $data .= '<tr>';
                $data .= '<th>Código</th>';
                $data .= '<th>Artículo</th>';
                $data .= '</tr>';
                $data .= '</thead>';
                $data .= '<tbody>';

                foreach($articulos as $articulo){
                    $data .= '<tr id="'.$articulo->codigo.'"><td>'.$articulo->codigo.'</td><td>'.$articulo->nombre.'</td></tr>';
                }

                $data .= '</tbody>';
                $data .= '</table>';

                $result = $data;

            } else {

                $result = '<p>No hay artículos en esta categoría, por favor seleccione otra.</p>';
            
            
            }
        } else {
            $result = 'No ha seleccionado una categoría, por favor seleccionela.';
        }

        echo $result;
    }

    public function getArticulosCategoriaToOrdenCompraAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();

        // recojo el id que viene vía POST
        $categoria_id = (int)$this->_request->getPost('id');

        if($categoria_id!='') {

            $articulo = new ArticuloInventario();
            $articulos = $articulo->getRowsByCategoria($categoria_id);
            if($articulos!=false) {

                $data = '<table class="ajax_window_table">';
                $data .= '<caption>Seleccione el artículo</caption>';
                $data .= '<thead>';
                $data .= '<tr>';
                $data .= '<th>Código</th>';
                $data .= '<th>Artículo</th>';
                $data .= '<th>Último Precio de compra</th>';
                $data .= '</tr>';
                $data .= '</thead>';
                $data .= '<tbody style="height:120px;">';

                foreach($articulos as $articulo){
                    $data .= '<tr id="'.$articulo->id.'"><td>'.$articulo->codigo.'</td><td>'.$articulo->nombre.'</td><td>'.$articulo->ultimoPrecio.'</td></tr>';
                }

                $data .= '</tbody>';
                $data .= '</table>';

                $result = $data;

            } else {

                $result = '<p>No hay artículos en esta categoría, por favor seleccione otra.</p>';


            }
        } else {
            $result = 'No ha seleccionado una categoría, por favor seleccionela.';
        }

        echo $result;
    }

    public function getSelectCategoriasAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();

        $categoria_id = new Zend_Form_Element_Select('categoria_id');
        $categoria_id->setlabel('Categoría artículo')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addMultiOption('','-- Seleccionar categoría --')
               ->addMultiOptions(CategoriaArticulo::getPairsToSelect())
               ->setDecorators(array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso'))
                ));
        $cantidad = new Zend_Form_Element_Text('cantidad');
        $cantidad->setLabel('Cantidad a comprar')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addValidator('Int')
               ->setDecorators(array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso'))
                ));

        $precio = new Zend_Form_Element_Text('precio');
        $precio->setLabel('Valor unitario neto de compra')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addValidator('Int')
               ->setDecorators(array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso'))
                ));

        echo $categoria_id.$cantidad.$precio;
    }

    public function getFormNewItemAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
    }

    public function putItemOrdenFromArticuloAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
        
        // recibo los valores para insertar en la orden
        $articulo_id = (int)$this->_request->getPost('id');
        $cantidad = (int)$this->_request->getPost('c');
        $orden_id = (int)$this->_request->getPost('oc');
        $precio = (int)$this->_request->getPost('p');

        $articulo = new ArticuloInventario();
        $articuloToItem = $articulo->fetchRow('id='.$articulo_id);

        $detalle = 'Código ' . $articuloToItem->codigo . ' - ' . $articuloToItem->nombre;

        $item = new ItemOrdenCompra();
        $row = $item->createRow();
        $row->orden_id = $orden_id;
        $row->cantidad = $cantidad;
        $row->valor = $precio;
        $row->descripcion = $detalle;
        $row->save();
        return true;
    }
}