<?php
class AjaxModeloVehiculoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            echo 'No se ha autenticado';
        }
    }

    public function getListByMarcaAction()
    {
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();

        if($this->_getParam('marca_id') AND
           $this->_helper->validateRecordExists('marcas_vehiculos','id', $this->_getParam('marca_id'))){

            $marca_id = (int)$this->_getParam('marca_id');

            $modeloVehiculo = new Default_Model_ModeloVehiculo();
            $where = $modeloVehiculo->getAdapter()->quoteInto("marca_id=?", $marca_id);
            $modelos =$modeloVehiculo->fetchAll($where)->toArray();

            if($modelos) {

                $result = '';

                foreach($modelos as $row){
                    $result .= '<option value="'. $row['id'] .'">'. $row['nombre'];

                    if($row['version']!='0'){
                        $result .= ' / ' . $row['version'];
                    }

                    if($row['years']!='0'){
                        $result .= ' / ' . $row['years'];
                    }

                    $result .= '</option>' ;
                }

            } else {

                $result = '<option>No se han ingresado modelos para ésta marca</option>' ;

            }
            echo $result;
        }
    }  
}