<?php
class CostoTrabajoController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/acceso/logout');
        }
    }
    
    public function init()
    {
        $this->view->pageTitle = 'Costeo de TRabajos';
        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();

        $this->view->propietario = Default_Model_SistemaPropietario::get();
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render("header.phtml"));
            //$response->insert('tools', $this->view->render("busquedas-rapidas.phtml"));
        }
    }

    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('expressauto');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }


        $this->view->title = "Costeo de trabajos";
          
    }

    public function detalleAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->layout->disableLayout();
        
            if($this->_getParam('id') AND
                $this->_helper->validateRecordExists('presupuestos','id', $this->_getParam('id'))){

                $id = $this->_getParam('id');

                $presupuesto = new Default_Model_Presupuesto();
                $where = $presupuesto->getAdapter()->quoteInto("id=?", $id);
                $row = $presupuesto->fetchRow($where);

                $vehiculo = new Default_Model_VistaVehiculos();
                $whereVehiculo = $vehiculo->getAdapter()->quoteInto("patente=?", $row->vehiculo);
                $rowVehiculo = $vehiculo->fetchRow($whereVehiculo);
                
                $repuestosProveedor = new Default_Model_PresupuestoRepuesto();
                $where_repuestos = $repuestosProveedor->getAdapter()->quoteInto("presupuesto_id=?", $id);
                $rowsRepuestosProveedor = $repuestosProveedor->fetchAll($where_repuestos);

                $servicioTercero = new Default_Model_PresupuestoServicioTercero();
                $where_servicios = $servicioTercero->getAdapter()->quoteInto("presupuesto_id=?", $id);
                $rowsServiciosTerceros = $servicioTercero->fetchAll($where_servicios);

                $manoObra = new Default_Model_PresupuestoManoObra();
                $where_manoObra = $manoObra->getAdapter()->quoteInto("presupuesto_id=?", $id);
                $rowsManoObra = $manoObra->fetchAll($where_manoObra);
                
                $cobroInsumos = new Default_Model_CobroInsumo();

                $this->view->title = "Presupuesto Nº $id";
                $this->view->presupuesto = $row;
                $this->view->vehiculo = $rowVehiculo;
                $this->view->repuestosProveedor = $rowsRepuestosProveedor;
                $this->view->serviciosTerceros = $rowsServiciosTerceros;
                $this->view->manosObras = $rowsManoObra;
                $this->view->cobroInsumos = $cobroInsumos->fetchAll();
            }
        }
    }
}
