<?php
class ExportPdfController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/acceso/logout');
        }
    }
    
    public function init()
    {
        $this->_helper->layout->setLayout('pdf');
        $this->documentRoot = $this->view->documentRoot = Zend_Registry::get('documentRoot');
        $propietario = new Default_Model_Propietario();
        $this->view->propietario = $propietario->fetchRow()->toArray();
    }

    public function indexAction()
    {
        
        if($this->_getParam('documento') AND
           $this->_getParam('id') AND
           $this->_helper->validateDocToPdf($this->_getParam('documento'))){

            $documento = $this->_getParam('documento');
            $id = (int)$this->_getParam('id');
            $name = $documento . '-' . $id .'.pdf';
            
            $pdf = new App_Pdf($documento, $id);
            $pdf->setName($name);
            $pdf->download();

        } else {
            echo 'El documento que intenta exportar no existe.';
        }
    }
    
    public function cotizacionAction()
    {
        if($this->_getParam('id') AND
           $this->_helper->validateRecordExists('vista_cotizaciones','id', $this->_getParam('id'))){

            $mSession = new Zend_Session_Namespace('expressauto');

            if($mSession->mensajes!='') {
                $this->view->mensajes = $mSession->mensajes;
                $this->view->claseMensaje = $mSession->claseMensaje;
                $mSession->mensajes = '';
                $mSession->claseMensaje = '';
            }
            
            $id = (int)$this->_getParam('id');
            $cotizacion = new Default_Model_VistaCotizaciones();
            $where = $cotizacion->getAdapter()->quoteInto("id=?", $id);
            $row = $cotizacion->fetchRow($where)->toArray();

            if(false!==$row AND $row['estado']=='EMITIDA') {

                $item = new Default_Model_ItemCotizacion();
                $where_items = $item->getAdapter()->quoteInto("cotizacion_id=?",$id);
                $items = $item->fetchAll($where_items)->toArray();
                
                $this->view->title = "Cotización Nº $id";
                $this->view->cotizacion = $row;
                $this->view->items = $items;
                $this->view->condiciones_generales = Default_Model_CondicionGeneral::getTexto('COTIZACION');
            } 
        }
    }

    public function ordenCompraAction()
    {
        if($this->_getParam('id') AND
           $this->_helper->validateRecordExists('vista_ordenes_compras','id', $this->_getParam('id'))){

            $mSession = new Zend_Session_Namespace('expressauto');

            if($mSession->mensajes!='') {
                $this->view->mensajes = $mSession->mensajes;
                $this->view->claseMensaje = $mSession->claseMensaje;
                $mSession->mensajes = '';
                $mSession->claseMensaje = '';
            }

            $id = (int)$this->_getParam('id');
            $orden = new Default_Model_VistaOrdenesCompras();
            $where = $orden->getAdapter()->quoteInto("id=?", $id);
            $row = $orden->fetchRow($where)->toArray();

            if(false!==$row AND $row['estado']=='EMITIDA') {

                $item = new Default_Model_ItemOrdenCompra();
                $where_items = $item->getAdapter()->quoteInto("orden_id=?",$id);
                $items = $item->fetchAll($where_items)->toArray();

                $this->view->title = "Orden de Compra Nº $id";
                $this->view->orden = $row;
                $this->view->items = $items;
                $this->view->condiciones_generales = Default_Model_CondicionGeneral::getTexto('ORDEN_COMPRA');
            }
        }
    }
}