<?php
class ItemCotizacionController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        $mSession = new Zend_Session_Namespace('expressauto');
        
        if (!$auth->hasIdentity() || $mSession->sistema!=="expressauto") {
            $this->_redirect('/sistema-acceso/logout');
        }
    }
    
    public function init()
    {
        $this->_helper->layout->disableLayout();
    }

    public function getFormAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $form = new Default_Form_ItemCotizacion();
            
            if($this->_getParam('id')) {
                
                $id = (int)$this->_getParam('id');
                
                $item = new Default_Model_ItemCotizacion();
                $item->setId($id);
                $form->populate($item->getRow());
                $form->setAction('/item-cotizacion/edit');

            } elseif($this->_request->getParam('from_id')) {
                $form->cotizacion_id->setValue($this->_request->getParam('from_id'));
            }
            
            $this->view->title = "Formulario ítem cotización";
            $this->view->form = $form;
            $this->renderScript('cotizacion/form-item.phtml');
        }
    }

    public function newAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_ItemCotizacion();
        
        $this->view->title = "Formulario ítem cotización";

        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {

                    $item = new Default_Model_ItemCotizacion();
                    $item->crear($form->getValues());
                    $this->view->estado = 1;
                    $this->renderScript('partes-comunes/form-items.phtml');

                } catch (Exception $e) {
                    echo $e->getMessage();
                }

            } else {
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
    }

    public function editAction()
    {
        $request = $this->getRequest();
        $form = new Default_Form_ItemCotizacion();
        
        $this->view->title = "Formulario ítem cotización";
        
        if ($this->getRequest()->isPost()) {
            if ($form->isValid($request->getPost())) {

                try {
                    $id = (int)$form->getValue('id');
                    $item = new Default_Model_ItemCotizacion();
                    $item->editar($form->getValues(), $id);
                    $this->view->estado = 2;
                    $this->renderScript('partes-comunes/form-items.phtml');

                } catch (Exception $e) {
                    echo $e->getMessage();
                }
            } else {
                $form->setAction('/item-cotizacion/edit');
                $form->submit->setLabel('Guardar');
                $form->populate($request->getPost());
                $this->view->form = $form;
                $this->renderScript('partes-comunes/form-items.phtml');
            }
        }
    }

    public function deleteAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            
            $this->_helper->viewRenderer->setNoRender();
            $data = $this->_getParam('data');

            try {
                
                $item = new Default_Model_ItemCotizacion();
                $item->eliminar($data);
                return true;
                
            } catch(Exception $e){
                echo $e->getMessage();
            }
        }
    }
}