<?php
class Default_Form_Acceso extends Zend_Form 
{ 
    public function __construct($options = null) 
    { 
        parent::__construct($options);
        
        $this->setMethod('post');
        $this->setLegend('Acceso usuarios');
        
        $usuario = new Zend_Form_Element_Text('usuario');
        $usuario->setRequired(true)
                ->addFilter('StripTags') 
                ->addFilter('StringTrim')
                ->setAttrib('class', 'form-control')
                ->setAttrib('placeholder', 'Usuario');
              
        $clave = new Zend_Form_Element_Password('clave');
        $clave->setRequired(true)
              ->setAttrib('placeholder', 'Contraseña')  
              ->setAttrib('class', 'form-control')  
              ->addFilter('StripTags');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Ingresar')
               ->setAttrib('class', 'btn');
        
        $this->addElements(array($usuario, $clave, $submit));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'form-group')),
            'Errors'
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-vertical', 
                'name'      => 'acceso',
                'action'    => '/sistema-acceso/index'
            ));
    } 
}