<?php
class Default_Form_ArticuloCategoria extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $padre_id = new Zend_Form_Element_Select('padre_id');
        $padre_id->setLabel('Categoría Padre')
                 ->setRequired(true)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addMultiOption('0','Ninguna')
                 ->addMultiOptions(Default_Model_ArticuloCategoria::getPairsToSelect());
              
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre categoría')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');
              
        $descripcion = new Zend_Form_Element_Textarea('descripcion');
        $descripcion->setLabel('Descripción')
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib('rows', '3');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $id, $padre_id, $nombre,
                $descripcion, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'padre_id', 'nombre', 'descripcion'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));
        
        $this->setAttribs(array(
            'class'     => 'form-horizontal',
            'name'      => 'categoria-articulo',
            'action'    => '/articulo-categoria/new'
        ));
    } 
} 
