<?php
class Default_Form_BusquedaArticulos extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $codigo_proveedor = new Zend_Form_Element_Text('codigo_proveedor');
        $codigo_proveedor->setLabel('Código proveedor')
                         ->setRequired(false)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim');
        
        $codigo_referencia = new Zend_Form_Element_Text('codigo_referencia');
        $codigo_referencia->setLabel('Código de referencia')
                         ->setRequired(false)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim');

        $categoria_id = new Zend_Form_Element_Text('categoria_id');
        $categoria_id->setLabel('ID Categoría')
                     ->setRequired(false)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->setAttrib('class', 'input-small show-list')
                     ->setAttrib('data-url', '/articulo-categoria/get-listado-popup')
                     ->setAttrib('data-title', 'Seleccionar categoría');

        $fabricante_id = new Zend_Form_Element_Select('fabricante_id');
        $fabricante_id->setLabel('Marca / Fabricante')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addMultiOption('','-- Seleccionar --')
               ->addMultiOptions(Default_Model_ArticuloFabricante::getPairsToSelect());

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre del artículo')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');
        
        $descripcion = new Zend_Form_Element_Textarea('descripcion');
        $descripcion->setLabel('Descripción')
                    ->setRequired(false)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib('rows','4');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');
        
        $this->addElements(
            array(
                $codigo_proveedor, $codigo_referencia,
                $categoria_id, $fabricante_id, $nombre,
                $descripcion, $submit
            ));


        $this->addDisplayGroup(
            array(
                'categoria_id', 'nombre', 'fabricante_id'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'codigo_proveedor', 'codigo_referencia'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'descripcion'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
            

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));
        
        $this->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'bsucar-articulo',
                'action'    => '/articulo/find'
            ));
    } 
} 