<?php
class Default_Form_BusquedaArticulosIngresos extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $articulo_id = new Zend_Form_Element_Text('articulo_id');
        $articulo_id->setLabel('ID artículo')
                    ->setRequired(false)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib('class', 'input-small show-list')
                    ->setAttrib('data-url', '/articulo/get-listado-popup')
                    ->setAttrib('data-title', 'Seleccionar artículo');

        $tipo_id = new Zend_Form_Element_Select('tipo_id');
        $tipo_id->setLabel('Tipo')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('','-- Todos --')
                ->addMultiOptions(Default_Model_ArticuloTipoIngreso::getPairsToSelect());

        $almacen_id = new Zend_Form_Element_Select('almacen_id');
        $almacen_id->setLabel('Almacén')
                   ->setRequired(false)
                   ->addMultiOption('', '-- Todos --')
                   ->addMultiOptions(Default_Model_ArticuloAlmacen::getPairsToSelect());
        
        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $realizado_por = new Zend_Form_Element_Select('realizado_por');
        $realizado_por->setLabel('Realizado por')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todos --')
                ->addMultiOptions(Default_Model_SistemaUsuario::getPairsToSelect());
        
        $revisado_por = new Zend_Form_Element_Select('revisado_por');
        $revisado_por->setLabel('Revisado por')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todos --')
                ->addMultiOptions(Default_Model_SistemaUsuario::getPairsToSelect());

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');
        
        $this->addElements(
            array(
                $articulo_id, $tipo_id, $almacen_id, $desde, $hasta,
                $realizado_por, $revisado_por, $submit
            ));

        $this->addDisplayGroup(
            array(
                'articulo_id', 'tipo_id', 'almacen_id'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'desde', 'hasta'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'realizado_por', 'revisado_por'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );
        
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-articulo-ingreso',
                'action'    => '/articulo-ingreso/find'
            ));

    } 
} 
