<?php
class Default_Form_BusquedaArticulosSolicitudesCompras extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $codigo_referencia = new Zend_Form_Element_Text('codigo_referencia');
        $codigo_referencia->setLabel('Código de referencia')
                          ->setRequired(false)
                          ->addFilter('StripTags')
                          ->addFilter('StringTrim')
                          ->addValidator('Int');
        
        $codigo_proveedor = new Zend_Form_Element_Text('codigo_proveedor');
        $codigo_proveedor->setLabel('Código proveedor')
                         ->setRequired(false)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim')
                         ->addValidator('Int');
        
        $marca = new Zend_Form_Element_Text('marca');
        $marca->setLabel('Marca / Fabricante')
              ->setRequired(false)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');
        
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre del artículo')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');
        
        $prioridad = new Zend_Form_Element_Select('prioridad');
        $prioridad->setLabel('Prioridad')
                   ->setRequired(false)
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim')
                   ->addMultiOption('BAJA', 'BAJA')
                   ->addMultiOption('MEDIA', 'MEDIA')
                   ->addMultiOption('ALTA', 'ALTA');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        $this->addElements(array(
            $codigo_referencia, $codigo_proveedor, $marca,
            $nombre,  $prioridad, $submit
        ));
        
        $this->addDisplayGroup(
            array(
                'nombre', 'codigo_referencia', 'codigo_proveedor',  
            ),
            'infoInputs'  
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'marca', 'prioridad'
            ),
            'infoInputs2'  
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));

        $this->setAttribs(array(
            'class'     => 'form-inline',
            'name'      => 'buscar-articulo-solicitud-compra',
            'action'    => '/articulo-solicitud-compra/find'
        ));
    } 
} 
