<?php
class Default_Form_BusquedaClientes extends Zend_Form 
{ 
    public function __construct($options = null)
    {
        parent::__construct($options);

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');
             
        $direccion = new Zend_Form_Element_Text('direccion');
        $direccion->setLabel('Dirección')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
         
        $ciudad = new Zend_Form_Element_Text('ciudad');
        $ciudad->setLabel('Ciudad')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');

        $telefono = new Zend_Form_Element_Text('telefono');
        $telefono->setLabel('Teléfono')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 

        $mail = new Zend_Form_Element_Text('mail');
        $mail->setLabel('Email')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator('EmailAddress');
        
        $preferencia_repuestos = new Zend_Form_Element_Select('preferencia_repuestos');
        $preferencia_repuestos->setLabel('Preferencia de repuestos')
                              ->setRequired(false)
                              ->addFilter('StripTags')
                              ->addFilter('StringTrim')
                              ->addMultiOption("", "-- Seleccionar --")
                              ->addMultiOptions(Default_Model_TipoRepuesto::getPairsToSelect());
        
        $preferencia_recepcion_cotizaciones = new Zend_Form_Element_Select('preferencia_recepcion_cotizaciones');
        $preferencia_recepcion_cotizaciones->setLabel('Preferencia recepción de cotizaciones')
                                           ->setRequired(false)
                                           ->addFilter('StripTags')
                                           ->addFilter('StringTrim')
                                           ->addMultiOption("Mail", "Mail")
                                           ->addMultiOption("Teléfono", "Teléfono");
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        $this->addElements(
            array(
                $nombre, $direccion,
                $ciudad, $telefono, $mail, 
                $submit, $preferencia_repuestos, 
                $preferencia_recepcion_cotizaciones
            ));

        $this->addDisplayGroup(
            array(
                'nombre', 'direccion', 'ciudad'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'span3'))
            )
        );

        $this->addDisplayGroup(
            array(
                'telefono', 'mail', 'preferencia_repuestos'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'preferencia_recepcion_cotizaciones'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));

        $this->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-cliente',
                'action'    => '/cliente/find'
            ));

    } 
} 
