<?php
class Default_Form_BusquedaClientesReservas extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $hecha_por = new Zend_Form_Element_Text('hecha_por');
        $hecha_por->setLabel('Hecha por')
                  ->setRequired(false)
                  ->addFilter('StripTags')
                  ->addFilter('StringTrim');

        $vehiculo = new Zend_Form_Element_Text('vehiculo');
        $vehiculo->setLabel('Patente Vehículo')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->setAttrib('class', 'input-small');

        $tipo = new Zend_Form_Element_Select('tipo');
        $tipo->setLabel('Tipo servicio')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addMultiOption('', '-- Seleccionar --')
               ->addMultiOption('REV GENERAL', 'REVISION GENERAL')
               ->addMultiOption('MANT PROGRAMADO', 'MANTENIMIENTO PROGRAMADO')
               ->addMultiOption('REPARACIONES', 'REPARACIONES')
               ->addMultiOption('OTRO', 'OTRO MOTIVO');

        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class', 'btn btn-primary');
        
        $this->addElements(
            array(
                $hecha_por, $vehiculo, $tipo,
                $desde, $hasta, $submit
            ));

        $this->addDisplayGroup(
            array('hecha_por','vehiculo', 'tipo'),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array('desde', 'hasta'),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(array('submit'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $submit->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-reserva',
                'action'    => '/reserva/find'
            ));

    } 
} 
