<?php
class Default_Form_BusquedaDatosFacturacion extends Zend_Form
{ 
    public function __construct($options = null)
    {
        parent::__construct($options);

        $razon_social = new Zend_Form_Element_Text('razon_social');
        $razon_social->setLabel('Razón social')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
             
        $direccion = new Zend_Form_Element_Text('direccion');
        $direccion->setLabel('Dirección')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
         
        $comuna = new Zend_Form_Element_Text('comuna');
        $comuna->setLabel('Comuna')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
        
        $ciudad = new Zend_Form_Element_Text('ciudad');
        $ciudad->setLabel('Ciudad')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
        
        $telefono = new Zend_Form_Element_Text('telefono');
        $telefono->setLabel('Teléfono')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
              
        $giro = new Zend_Form_Element_Text('giro');
        $giro->setLabel('Giro')
             ->setRequired(false)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        $this->addElements(
            array(
                $razon_social, $direccion,
                $comuna, $ciudad, $telefono, $giro,
                $submit
            ));

        $this->addDisplayGroup(
            array(
                'razon_social', 'direccion'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'telefono', 'comuna'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'ciudad', 'giro'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
            'class'     => 'form-inline',
            'name'      => 'buscar-datos-facturacion',
            'action'    => '/datos-facturacion/find'
        ));

    } 
} 
