<?php
class Default_Form_BusquedaDteGuiasDespachos extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $cliente = new Zend_Form_Element_Text('cliente');
        $cliente->setLabel('ID Cliente')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->setAttrib('class', 'show-list input-small')
                ->setAttrib('data-url', '/cliente/get-listado-popup')
                ->setAttrib('data-title', 'Seleccionar cliente');
        
        $rut = new Zend_Form_Element_Text('rut');
        $rut->setLabel('R.U.T. Facturación')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addFilter('Alnum')
                ->setAttrib('class', 'show-list input-small')
                ->setAttrib('data-url', '/datos-facturacion/get-listado-popup')
                ->setAttrib('data-title', 'Seleccionar datos de facturación');

        $contacto = new Zend_Form_Element_Text('contacto');
        $contacto->setLabel('Nombre contacto')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');
        
        $rut_solicitante = new Zend_Form_Element_Text('rut_solicitante');
        $rut_solicitante->setLabel('RUT solicitante')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');
        
        $referencia = new Zend_Form_Element_Text('referencia');
        $referencia->setLabel('Referencia')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');
        
        $tipo_traslado = new Zend_Form_Element_Select('tipo_traslado');
        $tipo_traslado->setLabel('Tipo de traslado')
                      ->setRequired(false)
                      ->addMultiOption('', '-- Seleccionar --')
                      ->addMultiOptions(Default_Model_DteGuiaDespachoTipo::getPairsToSelect());
        
        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Emitidas desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Emitidas hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class', 'btn btn-primary');
        
        $this->addElements(
            array(
                $cliente,  $rut, $contacto, 
                $rut_solicitante, $referencia, 
                $tipo_traslado, $desde, $hasta,
                $submit
            ));
        
        $this->addDisplayGroup(
            array(
                'cliente', 'rut', 'contacto'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements', 
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(
            array(
                'rut_solicitante', 'referencia', 'tipo_traslado'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements', 
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(
            array(
                'desde', 'hasta'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements', 
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(array('submit'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
            'class'     => 'form-inline',
            'name'      => 'buscar-dte-guia-despacho',
            'action'    => '/dte-guia-despacho/find'
        ));

    } 
} 
