<?php
class Default_Form_BusquedaDteNotasCredito extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $cliente = new Zend_Form_Element_Text('cliente');
        $cliente->setLabel('ID Cliente')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->setAttrib('class', 'show-list input-small')
                ->setAttrib('data-url', '/cliente/get-listado-popup')
                ->setAttrib('data-title', 'Seleccionar cliente');
        
        $rut = new Zend_Form_Element_Text('rut');
        $rut->setLabel('R.U.T. Facturación')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addFilter('Alnum')
                ->setAttrib('class', 'show-list input-small')
                ->setAttrib('data-url', '/datos-facturacion/get-listado-popup')
                ->setAttrib('data-title', 'Seleccionar datos de facturación');
        
        $ref_detalle = new Zend_Form_Element_Text('ref_detalle');
        $ref_detalle->setLabel('Motivo anulación')
                    ->setRequired(false)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim');
        
        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Emitidas desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Emitidas hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class', 'btn btn-primary');

        $this->addElements(
            array(
                $cliente, $rut, $ref_detalle, 
                $desde, $hasta, $submit
            ));
        
        $this->addDisplayGroup(
            array(
                'cliente', 'rut', 'ref_detalle'
            ),
            'infoInputs'   
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array(
            'FormElements', 
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(
            array(
                'desde', 'hasta'
            ),
            'infoInputs2'   
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(array(
            'FormElements', 
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(array('submit'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-dte-nota-credito',
                'action'    => '/dte-nota-credito/find'
            ));

    } 
} 
