<?php
class Default_Form_BusquedaDtrFacturasExentas extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $proveedor = new Zend_Form_Element_Text('proveedor');
        $proveedor->setLabel('RUT Proveedor')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addFilter('Alnum')
                ->setAttrib('class', 'show-list input-small')
                ->setAttrib('data-url', '/proveedor/get-listado-popup')
                ->setAttrib('data-title', 'Seleccionar proveedor');
        
        $entregada_por = new Zend_Form_Element_Select('entregada_por');
        $entregada_por->setLabel('Entregada / Rendida por')
                      ->setRequired(false)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->addMultiOption('', '-- Seleccionar --')
                      ->addMultiOptions(Default_Model_RemEmpleado::getPairsToSelect());
        
        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Emitidas desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Emitidas hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class', 'btn btn-primary');

        $this->addElements(
            array(
                $proveedor, $entregada_por, $desde, $hasta, $submit
            ));
        
        $this->addDisplayGroup(
            array(
                'proveedor','entregada_por'
            ),
            'infoInputs'   
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array(
            'FormElements', 
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(
            array(
                'desde','hasta'
            ),
            'infoInputs2'   
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(array(
            'FormElements', 
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(array('submit'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-dtr-factura-exenta',
                'action'    => '/dtr-factura-exenta/find'
            ));

    } 
} 
