<?php
class Default_Form_BusquedaMarcasVehiculos extends Zend_Form
{
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre modelo')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

       
        
        $this->addElements(
            array(
                $nombre, $submit
            )
        );

        $this->addDisplayGroup(
            array(
                'nombre'
            ),
            'infoInputs'  
        );


        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('Htmltag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-marca-vehiculo',
                'action'    => '/marca-vehiculo/find'
            ));
    } 
} 
