<?php
class Default_Form_BusquedaModelosVehiculos extends Zend_Form
{
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $marca_id = new Zend_Form_Element_Select('marca_id');
        $marca_id->setLabel('Marca')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addMultiOption('','-- Seleccionar --')
               ->addMultiOptions(Default_Model_MarcaVehiculo::getPairsToSelect());
              
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre modelo')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $version = new Zend_Form_Element_Text('version');
        $version->setLabel('Versión')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $cilindrada = new Zend_Form_Element_Text('cilindrada');
        $cilindrada->setLabel('Cilindrada')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $years = new Zend_Form_Element_Text('years');
        $years->setLabel('Años durante los que se fabricó')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $tipo_combustible = new Zend_Form_Element_Select('tipo_combustible');
        $tipo_combustible->setLabel('Tipo combustible')
                         ->setRequired(false)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim')
                         ->addMultiOption('','-- Seleccionar --')
                         ->addMultiOption('GASOLINA','GASOLINA')
                         ->addMultiOption('DIESEL','DIESEL')
                         ->addMultiOption('ETANOL','ETANOL')
                         ->addMultiOption('ALCOHOL','ALCOHOL');

        $traccion = new Zend_Form_Element_Select('traccion');
        $traccion->setLabel('Tracción')
                 ->setRequired(false)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addMultiOption('','-- Seleccionar --')
                 ->addMultiOption('4x2','4x2')
                 ->addMultiOption('4x4','4x4');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

       
        
        $this->addElements(
            array(
                $marca_id, $nombre, $version, 
                $years, $tipo_combustible, $traccion,
                $cilindrada,  $submit
            )
        );

        $this->addDisplayGroup(
            array(
                'marca_id', 'nombre', 'version'
            ),
            'infoInputs'  
        );


        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('Htmltag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'cilindrada', 'years'
            ),
            'infoInputs2'  
        );


        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('Htmltag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'tipo_combustible', 'traccion'
            ),
            'infoInputs3'  
        );


        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('Htmltag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-modelo-vehiculo',
                'action'    => '/modelo-vehiculo/find'
            ));
    } 
} 
