<?php
class Default_Form_BusquedaOrdenesCompra extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $proveedor = new Zend_Form_Element_Text('proveedor');
        $proveedor->setLabel('R.U.T. Proveedor')
                  ->setRequired(false)
                  ->addFilter('StripTags')
                  ->setAttrib('class','input-small')    
                  ->addFilter('StringTrim')
                  ->setAttrib('class', 'show-list input-small')
                  ->setAttrib('data-url', '/proveedor/get-listado-popup')
                  ->setAttrib('data-title', 'Seleccionar proveedor');

        $atencion_a = new Zend_Form_Element_Text('atencion_a');
        $atencion_a->setLabel('Atención a')
                   ->setRequired(false)
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim');

        $emitida_por = new Zend_Form_Element_Text('emitida_por');
        $emitida_por->setLabel('Emitida por')
                    ->setRequired(false)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim');

        $condiciones_pago = new Zend_Form_Element_Text('condiciones_pago');
        $condiciones_pago->setLabel('Condiciones de pago')
                         ->setRequired(false)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim');

        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Emitidas desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('E mitidas hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
            

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        $this->addElements(
            array(
                $proveedor, $atencion_a, $emitida_por,
                $condiciones_pago,  $desde, $hasta, 
                $submit
            ));

        $this->addDisplayGroup(
            array(
                'proveedor', 'atencion_a'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array(
            'FormElements',
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(
            array(
                'emitida_por',  'condiciones_pago'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(array(
            'FormElements',
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));
        
        $this->addDisplayGroup(
            array(
                'desde', 'hasta'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(array(
            'FormElements',
            'Fieldset',
            array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
        ));

        $this->addDisplayGroup(array('submit'), 'submitButtons');

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-orden-compra',
                'action'    => '/orden-compra/find'
            ));
    } 
} 
