<?php
class Default_Form_BusquedaOrdenesServicio extends Zend_Form 
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $vehiculo = new Zend_Form_Element_Text('vehiculo');
        $vehiculo->setLabel('Patente vehículo')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $asignada_a = new Zend_Form_Element_Select('asignada_a');
        $asignada_a->setLabel('Asignada a')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todos --')
                ->addMultiOptions(Default_Model_Empleado::getEmpleadosTaller());
        
        $control_calidad = new Zend_Form_Element_Select('control_calidad');
        $control_calidad->setLabel('Control de calidad hecho por')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todos --')
                ->addMultiOptions(Default_Model_Empleado::getEmpleadosTaller());
        
        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        
        $this->addElements(
            array(
                $vehiculo, $asignada_a, $control_calidad,
                $desde, $hasta, $submit
                ));
        
        $this->addDisplayGroup(
            array(
                'vehiculo', 'asignada_a', 'control_calidad'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                  'desde', 'hasta'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-recepcion-vehiculo',
                'action'    => '/recepcion-vehiculo/find'
            ));
    } 
} 
