<?php
class Default_Form_BusquedaPagosRecibidos extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $cliente = new Zend_Form_Element_Text('cliente');
        $cliente->setLabel('ID Cliente')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->setAttrib('placeholder', '-- Todos --')
                ->setAttrib('class', 'show-list input-small')
                ->setAttrib('data-url', '/cliente/get-listado-popup')
                ->setAttrib('data-title', 'Seleccionar cliente');

        $forma_id = new Zend_Form_Element_Select('forma_id');
        $forma_id->setLabel('Forma de pago')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todas --')
                ->addMultiOptions(Default_Model_PagoRecibidoForma::getPairsToSelect());
        
        $tipo = new Zend_Form_Element_Select('tipo');
        $tipo->setLabel('Tipo de operación')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todas --')
                ->addMultiOption('PAGO', 'PAGO')
                ->addMultiOption('ABONO', 'ABONO');

        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Recibidos desde el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Hasta el')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setAttrib('class', 'show-calendar input-small');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        $this->addElements(
            array(
                $cliente, $forma_id, $tipo, 
                $desde, $hasta, $submit
            ));

        $this->addDisplayGroup(
            array(
                'cliente', 'tipo', 'forma_id'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            ));
        
        $this->addDisplayGroup(
            array(
                'desde', 'hasta'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            ));


        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $submit->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));    
        
        $this->setAttribs(array(
            'class'     => 'form-inline',
            'name'      => 'buscar-pago-recibido',
            'action'    => '/pago-recibido/find'
        ));

    } 
} 
