<?php
class Default_Form_BusquedaPautasMantenimiento extends Zend_Form 
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $creada_por = new Zend_Form_Element_Select('creada_por');
        $creada_por->setLabel('Creada por')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todos --')
                ->addMultiOptions(Default_Model_SistemaUsuario::getPairsToSelect());
        
        $marca_id = new Zend_Form_Element_Select('marca_id');
        $marca_id->setLabel('Marca asociada')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todas --')
                ->addMultiOptions(Default_Model_MarcaVehiculo::getPairsToSelect());
        
        $modelo_referencia = new Zend_Form_Element_Text('modelo_referencia');
        $modelo_referencia->setLabel('Modelo de referencia')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        
        $this->addElements(
            array(
                $marca_id, $creada_por,
                $modelo_referencia, $submit
                ));
        
        $this->addDisplayGroup(
            array(
                'marca_id', 'creada_por'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                  'modelo_referencia'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-pauta-mantenimiento',
                'action'    => '/pauta-mantenimiento/find'
            ));
    } 
} 
