<?php
class Default_Form_BusquedaProveedores extends Zend_Form 
{ 
    public function __construct($options = null)
    {
        parent::__construct($options);

        $validador_rut = new App_Validate_ValidRut();
        
        $razon_social = new Zend_Form_Element_Text('razon_social');
        $razon_social->setLabel('Nombre o Razón social')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');

        $nombre_fantasia = new Zend_Form_Element_Text('nombre_fantasia');
        $nombre_fantasia->setLabel('Nombre de fantasía')
              ->setRequired(false)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');
             
        $direccion = new Zend_Form_Element_Text('direccion');
        $direccion->setLabel('Dirección')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
         
        $comuna = new Zend_Form_Element_Text('comuna');
        $comuna->setLabel('Comuna')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->setAttrib('class', 'autocomplete')
              ->setDescription('/ajax-aux/comunas');
        
        $ciudad = new Zend_Form_Element_Text('ciudad');
        $ciudad->setLabel('Ciudad')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->setAttrib('class', 'autocomplete')
              ->setDescription('/ajax-aux/ciudades');
        
        $telefono = new Zend_Form_Element_Text('telefono');
        $telefono->setLabel('Teléfono')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
              
        $giro = new Zend_Form_Element_Text('giro');
        $giro->setLabel('Giro')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
              
        $web = new Zend_Form_Element_Text('web');
        $web->setLabel('Sitio Web')
            ->setRequired(false)
            ->addFilter('StripTags') 
            ->addFilter('StringTrim');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        $this->addElements(
            array(
                $razon_social, $direccion, 
                $comuna, $ciudad, $telefono, $giro,
                $web, $submit, $nombre_fantasia
            ));

        $this->addDisplayGroup(
            array(
                'razon_social', 'nombre_fantasia', 'direccion'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'comuna', 'ciudad', 'telefono'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'giro', 'web'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));

        $this->setAttribs(array(
            'class'     => 'form-inline',
            'name'      => 'buscar-proveedor',
            'action'    => '/proveedor/find'
        ));
    } 
} 
