<?php
class Default_Form_BusquedaVehiculos extends Zend_Form 
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $cliente = new Zend_Form_Element_Select('cliente');
        $cliente->setLabel('Cliente')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('', '-- Todos los clientes --')
                ->addMultiOptions(Default_Model_Cliente::getPairsToSelect());

        $marca_id = new Zend_Form_Element_Select('marca_id');
        $marca_id->setLabel('Marca')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addMultiOption('','-- Todas las marcas --')
               ->addMultiOptions(Default_Model_MarcaVehiculo::getPairsToSelect());

        $modelo = new Zend_Form_Element_Text('modelo');
        $modelo->setLabel('Modelo')
               ->setRequired(false)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $version = new Zend_Form_Element_Text('version');
        $version->setLabel('Versión')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $cilindrada = new Zend_Form_Element_Text('cilindrada');
        $cilindrada->setLabel('Cilindrada')
                ->setRequired(false)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');
        
        $tipo_combustible = new Zend_Form_Element_Select('tipo_combustible');
        $tipo_combustible->setLabel('Tipo combustible')
                         ->setRequired(false)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim')
                         ->addMultiOption('','-- Todos --')
                         ->addMultiOption('GASOLINA','GASOLINA')
                         ->addMultiOption('DIESEL','DIESEL')
                         ->addMultiOption('ETANOL','ETANOL')
                         ->addMultiOption('ALCOHOL','ALCOHOL');

        $traccion = new Zend_Form_Element_Select('traccion');
        $traccion->setLabel('Tracción')
                 ->setRequired(false)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addMultiOption('','-- Todas --')
                 ->addMultiOption('4x2','4x2')
                 ->addMultiOption('4x4','4x4');

        $transmision = new Zend_Form_Element_Select('transmision');
        $transmision->setLabel('Transmisión')
                 ->setRequired(false)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addMultiOption('','-- Todas --')
                 ->addMultiOption('MANUAL','MANUAL')
                 ->addMultiOption('AUTOMATICA','AUTOMATICA');

        $aire_acondicionado = new Zend_Form_Element_Select('aire_acondicionado');
        $aire_acondicionado->setLabel('Aire Acondicionado')
                 ->setRequired(false)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addMultiOption('','-- Todos --')
                 ->addMultiOption('SI','SI')
                 ->addMultiOption('NO','NO');

        $color = new Zend_Form_Element_Text('color');
        $color->setLabel('Color carrocería')
            ->setRequired(false)
            ->addFilter('StripTags') 
            ->addFilter('StringTrim');
             
        $anio = new Zend_Form_Element_Text('anio');
        $anio->setLabel('Año')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator('Int');
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Realizar búsqueda')
               ->setAttrib('class','btn btn-primary');

        
        $this->addElements(
            array(
                $cliente, $marca_id,
                $modelo, $version, $cilindrada,
                $tipo_combustible, $traccion, 
                $anio, $color, $submit,
                $transmision, $aire_acondicionado
                ));
        
        $this->addDisplayGroup(
            array(
                'cliente', 'anio', 
                'color'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                  'marca_id', 'modelo', 'version'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'aire_acondicionado', 'cilindrada', 'tipo_combustible'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'traccion', 
                'transmision'
            ),
            'infoInputs4'
        );

        $infoInputs4 = $this->getDisplayGroup('infoInputs4');
        $infoInputs4->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            )
        );

        $this->addDisplayGroup(
            array('submit'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-inline',
                'name'      => 'buscar-vehiculo',
                'action'    => '/vehiculo/find'
            ));
    } 
} 
