<?php
class Default_Form_CajaChica extends Zend_Form
{ 
    public function __construct($options = null)
    {
        parent::__construct($options);

        $descripcionMontoMinimo = 'Este parámetro permitirá, si el usuario lo desea, '
                                . 'generar una alerta cuando el saldo disponible sea '
                                . 'inferior al monto indicado en este campo.';

        $descripcionDescripcion = "Referencia acerca del uso que se le dará "
                                . "a esta caja chica. ";

        $id = new Zend_Form_Element_Hidden('id');
        $id->addFilter('StripTags')
           ->addFilter('StringTrim')
           ->addValidator('Int');
        
        $responsable = new Zend_Form_Element_Select('responsable');
        $responsable->setLabel('Asignada a')
                    ->setRequired(true)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->addMultiOption('', '-- Seleccionar --')
                    ->addMultiOptions(Default_Model_Empleado::getEmpleadosCajaChica());

        $monto_minimo = new Zend_Form_Element_Text('monto_minimo');
        $monto_minimo->setRequired(true)
                     ->setLabel('Monto mínimo')
                     ->setAttrib('class', 'help input-small')
                     ->setAttrib('title', $descripcionMontoMinimo)
                     ->addValidator('Int');
             
        $descripcion = new Zend_Form_Element_Textarea('descripcion');
        $descripcion->setLabel('Descripción')
                    ->setRequired(false)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib('class', 'help')
                    ->setAttrib('rows', '3')
                    ->setAttrib('title', $descripcionDescripcion);
             
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');

        $this->addElements(
            array(
                $responsable, $descripcion, $id,
                $monto_minimo, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'responsable','monto_minimo', 'descripcion'
            ),
            'infoInputs',
            array('legend' => 'Formulario caja chica')    
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));

        $this->setAttribs(array(
            'class'     => 'form-horizontal',
            'name'      => 'caja-chica',
            'action'    => '/caja-chica/new'
        ));

    } 
} 
