<?php
class Default_Form_CalculoSueldoEmpleado extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);

        $campos = array();
        $nombres_bonos_fijos = array();

        $sueldo_base = new Zend_Form_Element_Hidden('sueldo_base');
        $sueldo_base->setRequired(true)
                    ->addValidator('Int');
        $campos[] = $sueldo_base;

        $afp = new Zend_Form_Element_Text('afp');
        $afp->setLabel('% AFP')
            ->setRequired(true)
            ->addValidator('Float')
            ->addFilter('StripTags')
            ->addFilter('StringTrim');
        $campos[] = $afp;

        $salud = new Zend_Form_Element_Text('salud');
        $salud->setLabel('% Salud')
              ->setRequired(true)
              ->addValidator('Float')
              ->addFilter('StripTags')
              ->addFilter('StringTrim');
        $campos[] = $salud;

        $seguro_accidentes = new Zend_Form_Element_Text('seguro_accidentes');
        $seguro_accidentes->setLabel('% Seguro accidentes')
                          ->setRequired(true)
                          ->addValidator('Float')
                          ->addFilter('StripTags')
                          ->addFilter('StringTrim');
        $campos[] = $seguro_accidentes;
        
        
        $liquido = new Zend_Form_Element_Text('liquido');
        $liquido->setLabel('Monto líquido acordado')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addValidator('Int');
        $campos[] = $liquido;

        $efecto_sc = new Zend_Form_Element_Checkbox('efecto_sc');
        $efecto_sc->setLabel('¿Considerar efecto semana corrida?');
        
        $campos[] = $efecto_sc;

        $confirmar = new Zend_Form_Element_Checkbox('confirmar');
        $confirmar->setLabel('He revisado la información y los montos son los correctos. ')
                  ->setRequired(true);
        $campos[] = $confirmar;
        
        $bono = new Default_Model_TipoBonoFijo();
        $bonos = $bono->fetchAll();
        
        foreach($bonos as $row){

            if($row->imponible=='SI'){
                $nombre = $row->nombre . ' (Imp.)';
            } else {
                $nombre = $row->nombre;
            }
            
            $campo[$row->nombre_var] = new Zend_Form_Element_Text($row->nombre_var);
            $campo[$row->nombre_var]->setLabel($nombre);
            $campo[$row->nombre_var]->setRequired(true)
                                ->addValidator('Int');
            $campos[] = $campo[$row->nombre_var];
            $nombre_bonos_fijos[] = $row->nombre_var;
            
        }

        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Continuar');
        $submit->setAttribs(array('class' => 'ui-button ui-state-default submit-inputs ui-corner-all'));

        $campos[] = $submit;

        $this->addElements($campos);

        $this->addDisplayGroup(
            array('liquido','efecto_sc', 'sueldo_base'),
            'sueldoLiquido',
            array('legend' => 'Sueldo líquido')
        );

        $sueldoLiquido = $this->getDisplayGroup('sueldoLiquido');
        $sueldoLiquido->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            ));

        $this->addDisplayGroup(
            $nombre_bonos_fijos,
            'bonosFijos',
            array('legend' => 'Bonos Fijos')
        );

        $bonosFijos = $this->getDisplayGroup('bonosFijos');
        $bonosFijos->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            ));

        $this->addDisplayGroup(
            array('afp', 'salud', 'seguro_accidentes'),
            'descPrevisionales',
            array('legend' => 'Descuentos previsionales')
        );

        $descPrevisionales = $this->getDisplayGroup('descPrevisionales');
        $descPrevisionales->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                 array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            ));

         $this->addDisplayGroup(
            array('confirmar', 'submit'),
            'buttons'
        );

        $sueldoLiquido = $this->getDisplayGroup('buttons');
        $sueldoLiquido->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido',
                'name'      => 'f-calculo-sueldo',
                'action'    => $path . '/save'
            ));

    } 
} 
