<?php
class Default_Form_CambiarClaveCajaChica extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/')
    { 
        parent::__construct($options);

        $optionsUsuario = array('table' => 'empleados', 'field' => 'rut');
        $validadorUsuario = new Zend_Validate_Db_RecordExists($optionsUsuario);

        $validadorClave = new Zend_Validate_Alnum(false);

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));
        
        $usuario = new Zend_Form_Element_Hidden('usuario');
        $usuario->setRequired(true)
                ->addValidator($validadorUsuario);

        $clave_actual = new Zend_Form_Element_Text('clave_actual');
        $clave_actual->setLabel('Ingrese su clave actual')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->setErrorMessages(array('Por favor ingrese su clave actual'));
              
        $clave_nueva = new Zend_Form_Element_Text('clave_nueva');
        $clave_nueva->setLabel('Ingrese su nueva clave')
                    ->setRequired(true)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->addValidator('StringLength', false, array(6,10))
                    ->addValidator($validadorClave);

        $clave_nueva2 = new Zend_Form_Element_Text('clave_nueva2');
        $clave_nueva2->setLabel('Reingrese su nueva clave')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->addValidator('Identical', false, array('token' => 'clave_nueva'));
            
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Guardar cambios')
               ->setAttrib('class','usuario')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $clave_actual, $clave_nueva, $clave_nueva2,
                $usuario, $submit, $cancel, $back
            ));

        $this->addDisplayGroup(
            array(
                'clave_actual', 'clave_nueva', 'clave_nueva2'
            ),
            'infoInputs',
            array('legend' => 'Cambiar clave de acceso al sistema')
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back', 'usuario'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'cambiar-clave-caja-chica',
                'action'    => $path . '/cambiar-clave'
            ));
    } 
} 
