<?php
class Default_Form_ComboPromocion extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $categoria_id = new Zend_Form_Element_Select('categoria_id');
        $categoria_id->setLabel('Categoría Padre')
                  ->addFilter('StripTags')
                  ->addFilter('StringTrim')
                  ->addMultiOption('','Ninguna')
                  ->addMultiOptions(Default_Model_CategoriaServicio::getPairsToSelect());
              
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre categoría')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty');

        $fecha_inicio = new Zend_Form_Element_Text('fecha_inicio');
        $fecha_inicio->setLabel('Fecha inicio')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty')
              ->addValidator('Date');

        $fecha_termino = new Zend_Form_Element_Text('fecha_termino');
        $fecha_termino->setLabel('Fecha término')
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('Date');

        $cantidad = new Zend_Form_Element_Text('cantidad');
        $cantidad->setLabel('Cantidad')
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('Int');
              
        $descripcion = new Zend_Form_Element_Textarea('descripcion');
        $descripcion->setLabel('Descripción')
              ->addFilter('StripTags')
              ->addFilter('StringTrim');
        /*
        $valor = new Zend_Form_Element_Text('valor');
        $valor->setLabel('Precio Venta Neto')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addValidator('Int');

         *
         */
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('crear combo / promoción');
        
        $this->addElements(
            array(
                $id, $categoria_id, $nombre, $fecha_inicio,
                $fecha_termino, $cantidad, $descripcion,
                $submit
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(
                 array(
                    'class'     => 'normal',
                    'name'      => 'combo_promocion',
                    'action'    => $path . '/new'
                ))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));

        $id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));
    
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));

    } 
} 
