<?php
class Default_Form_ConsultaFacturaProveedor extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    {

        parent::__construct($options);

        $numero = new Zend_Form_Element_Text('numero');
        $numero->setLabel('Nº Factura')
                  ->setRequired(false)
                  ->addFilter('StripTags')
                  ->addFilter('StringTrim')
                  ->addValidator('Int');

        $proveedor = new Zend_Form_Element_Text('proveedor');
        $proveedor->setLabel('R.U.T. Proveedor')
                  ->setRequired(false)
                  ->addFilter('StripTags')
                  ->addFilter('StringTrim');

        $f_inicio= new Zend_Form_Element_Text('f_inicio');
        $f_inicio->setLabel('A partir de')
                ->setRequired(false);

        $f_termino= new Zend_Form_Element_Text('f_termino');
        $f_termino->setLabel('Hasta')
                ->setRequired(false);


        $pago = new Zend_Form_Element_Select('pago');
        $pago->setLabel('Estado de pago')
             ->addFilter('StripTags')
             ->addFilter('StringTrim')
             ->setRequired(false)
             ->addMultiOption('0','Todas')
             ->addMultiOption('1','Pagadas')
             ->addMultiOption('2','Impagas')
             ->addMultiOption('3','Vencidas');
                

        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Buscar');
        $submit->setAttribs(array('class' => 'ui-button ui-state-default submit-inputs ui-corner-all'));
        
        $this->addElements(
            array(
                $proveedor, $numero, 
                $f_inicio, $f_termino,
                $pago, $submit
            ));

        $this->addDisplayGroup(
            array('proveedor', 'numero'),
            'infoInputs', 
            array('legend'=>'Busque por uno más de los siguientes criterios'));

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
            array('HtmlTag',array('tag'=>'div','style'=>'width:50%;float:left;'))
            ));

        $this->addDisplayGroup(
            array('f_inicio','f_termino'),
            'dateInputs',
            array('legend' => 'Limite a un rango de fechas'

            ));

        $dateInputs = $this->getDisplayGroup('dateInputs');
        $dateInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
            array('HtmlTag', array('tag'=>'div','style'=>'width:48%;float:right;'))
                )
            );

        $this->addDisplayGroup(
            array('pago', 'submit'),
            'pagoInput',
            array('legend' => 'Filtre la búsqueda según el estado de pago de las facturas')
        );

        $pagoInput = $this->getDisplayGroup('pagoInput');
        $pagoInput->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','style'=>'width:50%;float:left;'))
            )
        );

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(
                array(
                    'class'     => 'inline',
                    'name'      => 'consulta_factura_proveedor',
                    'action'    => $path . '/find'
                ));

    } 
} 
