<?php
class Default_Form_ConsultaSolicitudCompra extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    {
        parent::__construct($options);

        $empleado = new Zend_Form_Element_Select('empleado');
        $empleado->setLabel('Creada por')
                  ->setRequired(false)
                  ->addMultiOption('','-- Seleccionar');

        $estado = new Zend_Form_Element_Select('estado');
        $estado->setLabel('Estado')
               ->setRequired(false)
               ->addMultiOption('','-- Seleccionar');

        $motivo = new Zend_Form_Element_Text('motivo');
        $motivo->setLabel('Motivo')
                ->setRequired(false);

        $item   = new Zend_Form_Element_Text('item');
        $item->setLabel('Ítem solicitado')
             ->setRequired(false);

        $codigo = new Zend_Form_Element_Text('codigo');
        $codigo->setLabel('Código')
               ->setRequired(false);

        $descripcion = new Zend_Form_Element_Text('descripcion');
        $descripcion->setLabel('Descripción')
                    ->setRequired(false);

        $f_inicio= new Zend_Form_Element_Text('f_inicio');
        $f_inicio->setLabel('A partir de')
                ->setRequired(false);

        $f_termino= new Zend_Form_Element_Text('f_termino');
        $f_termino->setLabel('Hasta')
                ->setRequired(false);
                
        $buscar = new Zend_Form_Element_Button('buscar');
        $buscar->setLabel('Buscar');
        $buscar->setAttribs(array('class' => 'ui-button ui-state-default submit-inputs ui-corner-all'));
        
        $this->addElements(
            array(
                $empleado, $estado, $motivo,
                $item, $codigo, $descripcion,
                $f_inicio, $f_termino,
                $buscar
            ));

        $this->addDisplayGroup(
            array(
                'empleado', 'estado',
                'motivo', 'item',
                'codigo', 'descripcion',
                'buscar'),
            'generalInputs',
            array(
                'legend' => 'Busque por uno o más de los siguientes criterios'
            )
        );

        $generalInputs = $this->getDisplayGroup('generalInputs');
        $generalInputs->setDecorators(array(
            'FormElements',
            'Fieldset',
            array('HtmlTag',array('tag'=>'div','style'=>'width:50%;float:left;'))
        ));

        $this->addDisplayGroup(
            array('f_inicio','f_termino'), 'dateInputs', array(
                'legend' => 'Limite a un rango de fechas'
            ));

        $dateInputs = $this->getDisplayGroup('dateInputs');
        $dateInputs->setDecorators(array(
            'FormElements',
            'Fieldset',
            array('HtmlTag', array('tag'=>'div','style'=>'width:48%;float:right;'))
        ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(
                array(
                    'class'     => 'inline',
                    'name'      => 'consulta_solicitud_compra',
                    'action'    => $path
                ));
    } 
} 
