<?php
class Default_Form_CostoArticulo extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/costo-articulo')
    { 
        parent::__construct($options);

        $validador_rut = new App_Validate_ValidRut();

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));

        $proveedor = new Zend_Form_Element_Text('proveedor');
        $proveedor->setLabel('R.U.T. Proveedor')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->addValidator($validador_rut);

        $tipo_documento = new Zend_Form_Element_Select('tipo_id');
        $tipo_documento->setLabel('Tipo de documento')
                       ->setRequired(true)
                       ->addFilter('StripTags')
                       ->addFilter('StringTrim')
                       ->addMultiOption('','-- Seleccionar --')
                       ->addMultiOptions(Default_Model_TipoDocumento::getPairsToSelect());

        $numero_documento = new Zend_Form_Element_Text('numero_documento');
        $numero_documento->setLabel('Nº Documento')
                         ->setRequired(true)
                         ->addFilter('StripTags')
                         ->addFilter('StringTrim')
                         ->addValidator('Int');

        $costo = new Zend_Form_Element_Text('costo_neto_real');
        $costo->setLabel('Costo unitario neto')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->addValidator('Int');

        $accion = new Zend_Form_Element_Radio('accion');
        $accion->setLabel('¿Que desea hacer a continuación?')
               ->setMultiOptions(
                    array(
                        '1' => 'Ingresar otro artículo relacionado a éste documento',
                        '2' => 'Ingresar otro artículo no relacionado a éste documento',
                        '3' => 'Volver al listado de ingresos'
                        ))
               ->setRequired(true);

        $test = new Zend_Form_Element_Checkbox('test');
        $test->setLabel('Test');
        
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Ingresar costo')
               ->setAttrib('class','costo-articulo')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $proveedor, $tipo_documento, $numero_documento,
                $costo, $accion, $submit, $cancel, $back, $test
            ));

        $this->addDisplayGroup(
            array(
                'proveedor', 'tipo_id', 'numero_documento', 'costo_neto_real', 'accion', 'test'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'costo-articulo',
                'action'    => $path . '/costo'
            ));

    } 
} 
