<?php
class Default_Form_CostoItem extends Zend_Form
{ 
    public function __construct($options = null) 
    { 
        parent::__construct($options);

        $validadorFloat = new App_Validate_Float();
        $validador_rut = new App_Validate_ValidRut();
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $precio_compra = new Zend_Form_Element_Text('precio_compra');
        $precio_compra->setLabel('Precio de compra c/IVA')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->setAttrib('class', 'input-small')
                      ->addvalidator('Int');
        
        $proveedor = new Zend_Form_Element_Text('proveedor');
        $proveedor->setLabel('R.U.T. Proveedor')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->setAttrib('class','input-small')    
            ->addFilter('StringTrim')
            ->setAttrib('class', 'show-list input-small')
            ->setAttrib('data-url', '/proveedor/get-listado-popup')
            ->setAttrib('data-title', 'Seleccionar proveedor')
            ->addValidator($validador_rut);
        
        $num_factura = new Zend_Form_Element_Text('num_factura');
        $num_factura->setLabel('Número factura')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->setAttrib('class', 'input-small')
                      ->addvalidator('Int');
        
        $item_id = new Zend_Form_Element_Text('item_id');
        $item_id->setLabel('ID Ítem N.V.')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->setAttrib('class', 'input-small')
                      ->addvalidator('Int');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Ingresar')
               ->setAttrib('class','btn btn-primary');
        
        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn')
               ->setAttrib('data-dismiss', 'modal');
        
        $this->addElements(
            array(
                $id, $precio_compra, $proveedor, 
                $num_factura, $item_id, $submit, $cancel
            ));
            
        $this->addDisplayGroup(
            array(
                'item_id', 'precio_compra', 'proveedor', 'num_factura'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            ));
        
        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));
             
        $this->setAttribs(array(
            'class'     => 'form-vertical ajax',
            'name'      => 'item',
            'action'    => '/item-orden-compra/new'
        ));
    } 
} 
