<?php
class Default_Form_CuentaCliente extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $cliente_id = new Zend_Form_Element_Select('cliente_id');
        $cliente_id->setLabel('Cliente')
                   ->setRequired(true)
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim')
                   ->addValidator('NotEmpty')
                   ->addMultiOption('','-- Seleccionar --')
                   ->addMultiOptions(Default_Model_Cliente::getPairsToSelect());
           
        $monto_linea_credito = new Zend_Form_Element_Text('monto_linea_credito');
        $monto_linea_credito->setLabel('Monto linea de crédito')
                            ->setRequired(true)
                            ->setValue('0')
                            ->addFilter('StripTags')
                            ->addFilter('StringTrim')
                            ->addValidator('NotEmpty');
            
        $plazo_pago_max = new Zend_Form_Element_Text('plazo_pago_max');
        $plazo_pago_max->setLabel('Plazo máximo de pago (días)')
                       ->setRequired(true)
                       ->setValue('0')
                       ->addFilter('StripTags')
                       ->addFilter('StringTrim')
                       ->addValidator('NotEmpty');
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('crear cuenta cliente');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('cancelar');
        
        $this->addElements(
            array(
                $id, $cliente_id, $monto_linea_credito,
                $plazo_pago_max, $submit, $cancel
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(
                 array(
                    'class'     => 'normal',
                    'name'      => 'cuenta_cliente',
                    'action'    => $path . '/new'
                ))
             ->setElementDecorators(
                 array(
                    array('ViewHelper'),
                    array('Errors'),
                    array('Description'),
                    array('Label', array('separator'=>' ')),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));

        $id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));
    
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));

        $cancel->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_cancel')),
        ));
    } 
} 
