<?php
class Default_Form_CuentaCorriente extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/status/base')
    { 
        parent::__construct($options);
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int')
           ->setDecorators(array('ViewHelper'));

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));
        
        $banco = new Zend_Form_Element_Select('banco');
        $banco->setLabel('Banco')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addMultiOption('','-- Seleccionar --')
            ->addMultiOptions(Default_Model_Banco::getPairsToSelect());

        $numero_cuenta = new Zend_Form_Element_Text('numero_cuenta');
        $numero_cuenta->setLabel('Número de cuenta')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
             
        $titular = new Zend_Form_Element_Text('titular');
        $titular->setLabel('Titular')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');     
            
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Crear cuenta corriente')
               ->setAttrib('class','almacen')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $id, $banco, $numero_cuenta,
                $titular, $submit, $cancel,
                $back
            ));

        $this->addDisplayGroup(
            array(
                'banco', 'numero_cuenta', 'titular'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'cuenta-corriente',
                'action'    => $path . '/new'
            ));

    } 
} 
