<?php
class Default_Form_DescuentosProducto extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');
        
        $producto_id = new Zend_Form_Element_Hidden('producto_id');
        $producto_id->addValidator('Int')
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->addValidator('NotEmpty');

        $this->addElements(
            array(
                $id, $producto_id
            ));


        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(
                array(
                    'class'     => 'normal',
                    'name'      => 'descuentos_productos',
                    'action'    => $path . '/new'
                ))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));

        $id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));

        $producto_id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));

        $fp = new FormaPago();
        $fps = $fp->fetchAll();

        $i = 0;

        foreach($fps as $f){
            $forma_pago[$i] = new Zend_Form_Element_Text('forma_pago'.$f->id);
            $forma_pago[$i]->setLabel($f->nombre . ' (%)')
                           ->setRequired(true)
                           ->addFilter(StringTrim)
                           ->addFilter('StripTags')
                           ->addValidator('Int')
                           ->addValidator('NotEmpty')
                           ->setDecorators(array(
                                array('ViewHelper'),
                                array('Errors'),
                                array('Description'),
                                array('Label', array('separator'=>' ')),
                                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
                           ));

            

            $this->addElement($forma_pago[$i]);
            $i++;
        }

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('configurar descuentos producto')
                ->setDecorators(array(
                    array('ViewHelper'),
                    array('Description'),
                    array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
                ));

        $this->addElements(array($submit));
    } 
} 
