<?php
class Default_Form_DetalleEgresoArticulo extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/egreso-articulo')
    { 
        parent::__construct($options);

        $validador_solicitud = new Zend_Validate_Db_RecordExists(
            array(
                'table' => 'solicitudes_articulos',
                'field' => 'id'
            )
        );

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));

        $solicitud_id = new Zend_Form_Element_Text('solicitud_id');
        $solicitud_id->setLabel('Solicitud Nº')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->addValidator($validador_solicitud);
        
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Retirar stock')
               ->setAttrib('class','egreso-articulo')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
               $solicitud_id, $back,
               $submit, $cancel
            ));

        $this->addDisplayGroup(
            array( 
                'solicitud_id'
            ),
            'infoInputs',
            array('legend' => 'Ingrese la información requerida')
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'detalle-greso-articulo',
                'action'    => $path . '/new'
            ));
    } 
} 
