<?php
class Default_Form_DetallesModeloVehiculo extends Zend_Form
{
    public function __construct($options = null, $path = null, $history = '/modelo-vehiculo')
    { 
        parent::__construct($options);

        $arrayValidadorModelo = array('table' => 'modelos_vehiculos', 'field' => 'id');
        $validadorModelo = new Zend_Validate_Db_RecordExists($arrayValidadorModelo);

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));

        $id = new Zend_Form_Element_Hidden('id');
        $id->setRequired(true)
           ->addFilter('StripTags')
           ->addFilter('StringTrim')
           ->addValidator($validadorModelo);

        $modelo = new Zend_Form_Element_Text('modelo');
        $modelo->setLabel('Modelo')
               ->setAttrib("disabled", "disabled");

        $obs_lit_aceite_motor = new Zend_Form_Element_Textarea('obs_lit_aceite_motor');
        $obs_lit_aceite_motor->setLabel('Litraje aceite motor')
                             ->addFilter('StripTags')
                             ->addFilter('StringTrim')
                             ->setAttrib('style', 'height:100px;');

        $obs_lit_aceite_caja = new Zend_Form_Element_Textarea('obs_lit_aceite_caja');
        $obs_lit_aceite_caja->setLabel('Litraje aceite caja')
                            ->addFilter('StripTags')
                            ->addFilter('StringTrim')
                            ->setAttrib('style', 'height:100px;');
        
        $obs_filtro_aceite = new Zend_Form_Element_Textarea('obs_filtro_aceite');
        $obs_filtro_aceite->setLabel('Filtro aceite')
                          ->addFilter('StripTags')
                          ->addFilter('StringTrim')
                          ->setAttrib('style', 'height:100px;');

        $obs_filtro_aire = new Zend_Form_Element_Textarea('obs_filtro_aire');
        $obs_filtro_aire->setLabel('Filtro aire')
                        ->addFilter('StripTags')
                        ->addFilter('StringTrim')
                        ->setAttrib('style', 'height:100px;');

        $obs_filtro_combustible = new Zend_Form_Element_Textarea('obs_filtro_combustible');
        $obs_filtro_combustible->setLabel('Filtro combustible')
                               ->addFilter('StripTags')
                               ->addFilter('StringTrim')
                               ->setAttrib('style', 'height:100px;');

        $obs_bujias = new Zend_Form_Element_Textarea('obs_bujias');
        $obs_bujias->setLabel('Bujías')
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim')
                   ->setAttrib('style', 'height:100px;');
        
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Editar información adicional')
               ->setAttrib('class','modelo-vehiculo')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $id, $obs_lit_aceite_motor,
                $obs_lit_aceite_caja, $obs_filtro_aceite,
                $obs_filtro_aire, $obs_filtro_combustible,
                $obs_bujias, $submit, $cancel, $back,
                $modelo
            ));

        $this->addDisplayGroup(
            array(
                'modelo'
            ),
            'infoModelo'
        );

        $infoModelo = $this->getDisplayGroup('infoModelo');
        $infoModelo->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-busqueda'))
            )
        );

        $this->addDisplayGroup(
            array(
                'obs_lit_aceite_motor', 'obs_lit_aceite_caja',
                'obs_bujias'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array(
                'obs_filtro_aceite', 'obs_filtro_aire',
                'obs_filtro_combustible'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back','id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'modelo-vehiculo',
                'action'    => $path . '/edit-info-adicional'
            ));
    } 
} 
