<?php
class Default_Form_Vehiculo extends Zend_Form 
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $validadorFormatoPatente = new Zend_Validate_StringLength();
        $validadorFormatoPatente->setMin(6);
        $validadorFormatoPatente->setMax(6);
        
        $id = new Zend_form_Element_Hidden('id');
        $id->addValidator('Int');

        $patente = new Zend_Form_Element_Text('patente');
        $patente->setLabel('Placa patente')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator($validadorFormatoPatente);
        
        $vin_chassis = new Zend_Form_Element_Text('vin_chassis');
        $vin_chassis->setLabel('VIN Chassis')
                    ->setRequired(true)
                    ->addFilter('StripTags') 
                    ->addFilter('StringTrim');
        
        $numero_motor = new Zend_Form_Element_Text('numero_motor');
        $numero_motor->setLabel('Nº Motor')
                    ->setRequired(false)
                    ->addFilter('StripTags') 
                    ->addFilter('StringTrim');
              
        $color = new Zend_Form_Element_Text('color');
        $color->setLabel('Color carrocería')
            ->setRequired(true)
            ->addFilter('StripTags') 
            ->addFilter('StringTrim') 
            ->addValidator('NotEmpty');
        
        $marca = new Zend_Form_Element_Select('marca');
        $marca->setLabel('Modelo')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim') 
              ->setAttrib('class', 'updateOther')
              ->setAttrib('data-url', '/ajax/get-modelos/')
              ->setAttrib('data-target', '#modelo_id')  
              ->addMultiOption('', '-- Seleccionar --')
              ->addMultiOptions(Default_Model_VehiculoMarca::getPairsToSelect()); 
             
        $modelo_id = new Zend_Form_Element_Select('modelo_id');
        $modelo_id->setLabel('Modelo')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim') 
              ->addMultiOption('', '-- Seleccionar --'); 
         
        $anio = new Zend_Form_Element_Text('anio');
        $anio->setLabel('Año')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim') 
              ->addValidator('NotEmpty'); 
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('ingresar proveedor');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('cancelar');

        
        $this->addElements(
            array(
                $id, $patente, $marca,
                $modelo_id, $anio, $color, 
                $submit, $cancel
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(
                 array(
                    'class'     => 'normal',
                    'name'      => 'detalles_vehiculo',
                    'action'    => $path . '/new'
            ))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'input')),
            ));  
               
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'submit')),
        ));

        $cancel->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_cancel')),
        ));

    } 
} 
