<?php
class Default_Form_DocumentoCondicionGeneral extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $optionsCondicion = array('table' => 'documentos_condiciones_generales', 'field' => 'id');
        $validadorCondicion = new Zend_Validate_Db_RecordExists($optionsCondicion);

        $id = new Zend_Form_Element_Hidden('id');
        $id->setRequired(true)
           ->addValidator($validadorCondicion);
              
        $condiciones = new Zend_Form_Element_Textarea('condiciones');
        $condiciones->setLabel('Texto condiciones')
                    ->setRequired(true)
                    ->setAttrib('class', 'span6')
                    ->setAttrib('rows','8');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Guardar cambios')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(array($condiciones, $submit, $cancel, $id));

        $this->addDisplayGroup(
            array('condiciones'),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(array('submit', 'cancel', 'id'), 'submitButtons');

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'condicion-general',
                'action'    => '/documentos-condiciones-generales/edit'
            ));
    } 
} 
