<?php
class Default_Form_Empleado extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $validador_rut = new App_Validate_ValidRut();
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addFilter('StripTags')
           ->addFilter('StringTrim')
           ->addValidator($validador_rut);

        $rut = new Zend_Form_Element_Text('rut');
        $rut->setLabel('R.U.T.')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addValidator($validador_rut);

        $nombre_completo = new Zend_Form_Element_Text('nombre_completo');
        $nombre_completo->setLabel('Nombre completo')
                        ->setRequired(true)
                        ->addFilter('StripTags')
                        ->addFilter('StringTrim');

        $telefono = new Zend_Form_Element_Text('telefono');
        $telefono->setLabel('Teléfono')
                 ->setRequired(false)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim');

        $movil = new Zend_Form_Element_Text('movil');
        $movil->setLabel('Tel. Móvil')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');

        $direccion = new Zend_Form_Element_Text('direccion');
        $direccion->setLabel('Dirección')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');
        
        $ciudad = new Zend_Form_Element_Text('ciudad');
        $ciudad->setLabel('Ciudad')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');

        $mail = new Zend_Form_Element_Text('mail');
        $mail->setLabel('Email')
            ->setRequired(false)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addValidator('EmailAddress');
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $id, $rut, $nombre_completo,
                $telefono, $movil, $direccion,
                $ciudad, $mail, $submit, 
                $cancel
            ));

        $this->addDisplayGroup(
            array(
                'rut','nombre_completo', 'movil', 'ciudad',
                'direccion', 'telefono','mail'
            ),
            'requiredInputs',
            array('legend' => 'Formulario empleado')
        );

        $requiredInputs = $this->getDisplayGroup('requiredInputs');
        $requiredInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            ));

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));
        
        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));

        $this->setAttribs(array(
            'class'     => 'form-horizontal',
            'name'      => 'empleado',
            'action'    => '/empleado/new'
        ));

    } 
} 
