<?php
class Default_Form_InfoComplementariaIngresoInventario extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);
            
        $numero = new Zend_Form_Element_Text('numero');
        $numero->setLabel('Nº Documento')
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('Int')
               ->addValidator('GreaterThan', false, 1);

        $rut = new Zend_Form_Element_Text('rut');
        $rut->setLabel('R.U.T. Emisor documento')
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim');

        $costo_unitario_neto = new Zend_Form_Element_Text('costo_unitario_neto');
        $costo_unitario_neto->setLabel('Costo unitario neto')
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('Int')
               ->addValidator('GreaterThan', false, 1);
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('ingresar al inventario');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('cancelar');
        
        $this->addElements(
            array(
                $numero, $rut, $costo_unitario_neto,
                $submit, $cancel
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'normal',
                'name'      => 'info_complementaria_ingreso_inventario',
                'action'    => $path . '/info-extra-requerida'
            ))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));
    
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));

        $cancel->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_cancel')),
        ));

    } 
} 
