<?php
class Default_Form_ItemOrdenCompra extends Zend_Form
{ 
    public function __construct($options = null) 
    { 
        parent::__construct($options);

        $validadorFloat = new App_Validate_Float();

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $orden_id = new Zend_Form_Element_Hidden('orden_id');
        $orden_id->addValidator('Int');

        $codigo = new Zend_Form_Element_Text('codigo');
        $codigo->setLabel('Código')
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->setRequired(false);

        $cantidad = new Zend_Form_Element_Text('cantidad');
        $cantidad->setLabel('Cantidad')
                 ->setRequired(true)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addValidator($validadorFloat);

        $unidad_medida = new Zend_Form_Element_Select('unidad_medida');
        $unidad_medida->setLabel('Unidad de medida')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->addMultiOption('','-- Seleccionar --')
                      ->addMultiOptions(Default_Model_AuxUnidadMedida::getPairsToSelectBasic())
                      ->setValue('U');

        $precio_compra = new Zend_Form_Element_Text('precio_compra');
        $precio_compra->setLabel('Precio de compra')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->addvalidator('Int');

        $tipo_descuento = new Zend_Form_Element_Select('tipo_descuento');
        $tipo_descuento->setLabel('Tipo descuento')
                       ->setRequired(true)
                       ->addMultiOption('MONTO', '$ monto')
                       ->addMultiOption('PORCENTAJE', '% porcentaje');

        $descuento = new Zend_Form_Element_Text('descuento');
        $descuento->setLabel('Valor descuento')
                   ->setRequired(true)
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim')
                   ->setValue(0);

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre')
                 ->setRequired(true)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim');

        $descripcion = new Zend_Form_Element_Textarea('descripcion');
        $descripcion->setLabel('Descripción')
                    ->setRequired(false)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib("rows", "5")
                    ->setAttrib('style', 'width:100%;');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Agregar')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn');
        
        $this->addElements(
            array(
                $id, $orden_id, $cantidad,
                $unidad_medida, $precio_compra,
                $descripcion, $codigo, $descuento, 
                $nombre, $tipo_descuento, $submit,
                $cancel
            ));
            
        $this->addDisplayGroup(
            array(
                'codigo', 'nombre', 'unidad_medida', 'descripcion'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span6'))
            ));
        
        $this->addDisplayGroup(
            array(
                'cantidad', 'precio_compra', 'tipo_descuento' ,
                'descuento', 'id', 'orden_id'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span6'))
            ));
        
        $this->addDisplayGroup(array('submit', 'cancel','id', 'orden_id'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $id->setDecorators(array('ViewHelper'));
        $orden_id->setDecorators(array('ViewHelper'));
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
             
        $this->setAttribs(array(
            'class'     => 'form-horizontal',
            'name'      => 'item-orden-compra',
            'action'    => '/item-orden-compra/new'
        ));
    } 
} 
