<?php
class Default_Form_ItemPautaMantenimiento extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $validadorPauta = new Zend_Validate_Db_RecordExists(array(
            'table' => 'pautas_mantenimiento',
            'field' => 'id'
        ));

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $pauta_id = new Zend_Form_Element_Hidden('pauta_id');
        $pauta_id->addValidator('Int')
                 ->addValidator($validadorPauta);

        $servicio = new Zend_Form_Element_Textarea('servicio');
        $servicio->setLabel('Servicio')
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->setAttrib('rows', '3')
                 ->setAttrib('class', 'input-xlarge')
                 ->setRequired(true);

        $km_primer_servicio = new Zend_Form_Element_Text('km_primer_servicio');
        $km_primer_servicio->setLabel('Km primer servicio')
                           ->setRequired(true)
                           ->addFilter('StripTags')
                           ->addFilter('StringTrim')
                           ->addValidator('Int')
                           ->setAttrib('class', 'input-small');

        $km_ciclo_inicio = new Zend_Form_Element_Text('km_ciclo_inicio');
        $km_ciclo_inicio->setLabel('Km inicio del ciclo')
                        ->setRequired(true)
                        ->addFilter('StripTags')
                        ->addFilter('StringTrim')
                        ->addValidator('Int')
                        ->setAttrib('class', 'input-small');

        $km_ciclo_intervalo = new Zend_Form_Element_Text('km_ciclo_intervalo');
        $km_ciclo_intervalo->setLabel('Km intervalo')
                           ->setRequired(true)
                           ->addFilter('StripTags')
                           ->addFilter('StringTrim')
                           ->addValidator('Int')
                           ->setAttrib('class', 'input-small');

        $km_ciclo_fin = new Zend_Form_Element_Text('km_ciclo_fin');
        $km_ciclo_fin->setLabel('Km fin del ciclo')
                           ->setRequired(true)
                           ->addFilter('StripTags')
                           ->addFilter('StringTrim')
                           ->addValidator('Int')
                           ->setAttrib('class', 'input-small');

        $this->addElements(
            array(
                $id, $pauta_id, $servicio, 
                $km_primer_servicio, $km_ciclo_inicio,
                $km_ciclo_intervalo, $km_ciclo_fin
            ));
            
        $this->addDisplayGroup(
            array(
                'servicio', 'km_primer_servicio', 'km_ciclo_inicio', 
                'km_ciclo_intervalo', 'km_ciclo_fin', 'id', 'pauta_id'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));
        
        $id->setDecorators(array('ViewHelper'));
        $pauta_id->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));

        $this->setAttribs(array(
            'class'     => 'form-horizontal span7',
            'name'      => 'item',
            'action'    => "/pauta-mantenimiento/new-item"
        ));
    } 
} 
