<?php
class Default_Form_ItemsPautasMantencion extends Zend_Form
{
    
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);
        
        $this->setName("item_pauta_mantencion");
        $this->setAction('/pauta-mantencion/add-items/pauta/'.$this->pauta);
        $this->pauta = $pauta;

        $servicio = new ServicioPautaMantencion();
        $servicios = $servicio->getAll();
        $kilometrajes = KilometrajeMantencion::getPairsToSelect();

        $i = 0;

        foreach($servicios as $servicio){
            $check[$i] = new Zend_Form_Element_Checkbox('check'.$servicio->id);
            $check[$i]->setLabel($servicio->nombre)
                      ->setDecorators(array(
                        array('ViewHelper'),
                        array('Errors'),
                        array('Description'),
                        array('Label', array('separator'=>' ')),
                        array('HtmlTag', array('tag' => 'div', 'class'=>'campo_check')),
                    ));

            $kilometraje[$i] = new Zend_Form_Element_Select('kilometraje'.$servicio->id);
            $kilometraje[$i]->setLabel('')
                            ->setRequired(true)
                            ->addFilter('StripTags')
                            ->addFilter('StringTrim')
                            ->addValidator('NotEmpty')
                            ->addMultiOption('0','No aplica')
                            ->addMultiOptions($kilometrajes)
                            ->setDecorators(array(
                                array('ViewHelper'),
                                array('Errors'),
                                array('Description'),
                                array('Label', array('separator'=>' ')),
                                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_km')),
                            ));

            $this->addElement($check[$i]);
            $this->addElement($kilometraje[$i]);

            $i++;
        }


        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('agregar selección a la pauta');
        
        $this->addElements(array($pauta_id));


        /* alternative decoration */

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form');

        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));
    } 
} 
