<?php
class Default_Form_MargenArticulo extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/articulo/index/t/a')
    { 
        parent::__construct($options);

        $validadorFloat = new App_Validate_Float();

        $codigo = new Zend_Form_Element_Hidden('codigo');
        $codigo->addValidator('Int')
               ->setDecorators(array('ViewHelper'));

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));
     
        $margen = new Zend_Form_Element_Text('margen_sugerido');
        $margen->setLabel('% Margen')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator($validadorFloat);
        
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Guardar cambio')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $codigo, $margen, $submit, $cancel, $back
            ));

        $this->addDisplayGroup(
            array(
                'margen_sugerido'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back', 'codigo'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'margen-articulo',
                'action'    => $path . '/set-margen'
            ));
    } 
} 
