<?php
class Default_Form_OrdenServicio extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $vehiculo_id = new Zend_Form_Element_Select('vehiculo_id');
        $vehiculo_id->setLabel('Patente del vehículo')
                 ->setRequired(true)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addMultiOption('', '-- Seleccionar --');
                
        $asignada_a = new Zend_Form_Element_Select('asignada_a');
        $asignada_a->setLabel('Asignar a')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addMultiOption('','-- Seleccionar --')
               ->addMultiOptions(Default_Model_SistemaUsuario::getPairsToSelect());
        
        $requiere_prueba_ruta = new Zend_Form_Element_Select('requiere_prueba_ruta');
        $requiere_prueba_ruta->setLabel('¿Requiere prueba final de ruta?')
                             ->setRequired(true)
                             ->addFilter('StripTags')
                             ->addFilter('StringTrim')
                             ->addMultiOption('0', 'NO')
                             ->addMultiOption('1', 'SI');
        
        $requiere_control_calidad = new Zend_Form_Element_Select('requiere_control_calidad');
        $requiere_control_calidad->setLabel('¿Requiere control de calidad?')
                                 ->setRequired(true)
                                 ->addFilter('StripTags')
                                 ->addFilter('StringTrim')
                                 ->addMultiOption('0', 'NO')
                                 ->addMultiOption('1', 'SI');

        $observaciones = new Zend_Form_Element_Textarea('observaciones');
        $observaciones->setLabel('Observaciones')
                      ->addFilter('StripTags')
                      ->setAttrib('rows', '3')
                      ->addFilter('StringTrim');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $id, $vehiculo_id, $observaciones, $requiere_control_calidad,
                $requiere_prueba_ruta, $asignada_a, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'vehiculo_id', 'asignada_a', 'requiere_control_calidad', 
                'requiere_prueba_ruta', 'observaciones'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));  

        $this->setAttribs(array(
            'class'     => 'form-horizontal',
            'name'      => 'orden-servicio',
            'action'    => '/orden-servicio/new'
        ));
    } 
} 
