<?php
class Default_Form_PagoRecibidoCodigoTransaccion extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $optionsPago = array('table' => 'pagos_recibidos', 'field' => 'id');
        $validadorPago = new Zend_Validate_Db_RecordExists($optionsPago);

        $optionsCodigo = array('table' => 'pagos_recibidos_codigos_transacciones', 'field' => 'codigo_transaccion');
        $validadorCodigo = new Zend_Validate_Db_NoRecordExists($optionsCodigo);

        $pago_id = new Zend_Form_Element_Hidden('pago_id');
        $pago_id->setRequired(true)
                ->addValidator('Int')
                ->addValidator($validadorPago);

        $codigo_transaccion = new Zend_Form_Element_Text('codigo_transaccion');
        $codigo_transaccion->setLabel('Código transbank')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->addValidator('Int')
                     ->addValidator($validadorCodigo);

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Ingresar')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn')
               ->setAttrib('data-dismiss', 'modal');
        
        $this->addElements(array($pago_id, $codigo_transaccion, $submit, $cancel));
        $this->addDisplayGroup(array('codigo_transaccion'), 'infoInputs');

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'pago_id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $pago_id->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));    

        $this->setAttribs(array(
            'class'     => 'form-horizontal form-popup ajax span7',
            'name'      => 'item',
            'action'    => '/pago-recibido/new-codigo-transaccion'
        ));

    } 
} 
