<?php
class Default_Form_PagoRecibidoDocumentoTributario extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $optionsPago = array('table' => 'pagos_recibidos', 'field' => 'id');
        $validadorPago = new Zend_Validate_Db_RecordExists($optionsPago);
        
        $pago_id = new Zend_Form_Element_Hidden('pago_id');
        $pago_id->addValidator('Int')
                ->addValidator($validadorPago);

        $documento_tipo = new Zend_Form_Element_Select('documento_tipo');
        $documento_tipo->setLabel('Tipo documento')
                       ->setRequired(true)
                       ->addFilter('StripTags')
                       ->addFilter('StringTrim')
                       ->addMultiOption('', '-- Seleccionar --')
                       ->addMultiOption('BOLETA', 'BOLETA')
                       ->addMultiOption('FACTURA', 'FACTURA');
        
        $documento_id = new Zend_Form_Element_Text('documento_id');
        $documento_id->setLabel('Nº')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->setAttrib('class', 'input-small');

        $monto = new Zend_Form_Element_Text('monto');
        $monto->setLabel('Monto')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->setAttrib('class', 'input-small')   
              ->addValidator('Int');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Asignar')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn')
               ->setAttrib('data-dismiss', 'modal');
        
        $this->addElements(
            array(
                $pago_id, $documento_tipo, $documento_id,
                $monto, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'documento_tipo', 'documento_id', 'monto'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            ));


        $this->addDisplayGroup(
            array('submit', 'cancel', 'pago_id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $pago_id->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));    
        
        $this->setAttribs(array(
                'class'     => 'form-horizontal form-popup span7 ajax',
                'name'      => 'item',
                'action'    => '/pago-recibido/asociar-documento-tributario'
            ));

    } 
} 
