<?php
class Default_Form_PautaMantenimiento extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int')
           ->setDecorators(array('ViewHelper'));

        $marca_id = new Zend_Form_Element_Select('marca_id');
        $marca_id->setLabel('Marca vehículo')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addMultiOption('','-- Seleccionar --')
               ->addMultiOptions(Default_Model_VehiculoMarca::getPairsToSelect());

        $modelos_referencia = new Zend_Form_Element_Textarea('modelos_referencia');
        $modelos_referencia->setLabel('Modelos de referencia')
                           ->setRequired(true)
                           ->addFilter('StripTags')
                           ->setAttrib('rows','2')
                           ->setAttrib('class','span4')
                           ->addFilter('StringTrim');

        $observaciones = new Zend_Form_Element_Textarea('observaciones');
        $observaciones->setLabel('Observaciones')
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->setAttrib('rows','2')
                      ->setAttrib('class','span4');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear pauta')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');

        $this->addElements(
            array(
                $id, $modelos_referencia, $marca_id,
                $observaciones, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array('marca_id', 'modelos_referencia', 'observaciones'),
            'infoInputs'    
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));
        

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'pauta-mantenimiento',
                'action'    => '/pauta-mantenimiento/new'
            ));
    } 
} 
