<?php
class Default_Form_PrecioProducto extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);

        $producto_id = new Zend_Form_Element_Hidden('producto_id');
        $producto_id->addValidator('Int');
              
        $precio_actual = new Zend_Form_Element_Text('precio_actual');
        $precio_actual->setLabel('Valor unitario neto actual');

        $nuevo_precio = new Zend_Form_Element_Text('nuevo_precio');
        $nuevo_precio->setLabel('Nuevo valor unitario neto')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addValidator('Int');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('modificar precio');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('cancelar');
        
        $this->addElements(
            array(
                $producto_id, $precio_actual,
                $nuevo_precio, $submit, $cancel
            ));
        
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'normal',
                'name'      => 'precio_producto',
                'action'    => $path . '/edit'
             ))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));

        $producto_id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));
    
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));

        $cancel->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_cancel')),
        ));

    } 
} 
