<?php
class Default_Form_PreferenciasRecepcionDocumentosCliente extends Zend_Form 
{ 
    public function __construct($options = null)
    {
        parent::__construct($options);

        
        $recepcionTooltip = 'Si configura esta opción como "Enviar al mail" y '
                          . 'no ingresa uno, por defecto se marcará la opción de '
                          . '"Impreso al retirar el vehículo"';

        $id = new Zend_Form_Element_Hidden('id');
        $id->addFilter('StripTags')
           ->addFilter('StringTrim')
           ->addValidator($validador_rut);
        
        $recepcion_cotizaciones = new Zend_Form_Element_Select('recepcion_informes');
        $recepcion_cotizaciones->setLabel('¿Cómo prefiere recibir los informes de servicios?')
                               ->setRequired(true)
                               ->addFilter('StripTags')
                               ->addFilter('StringTrim')
                               ->addMultiOption("", "-- Seleccionar --")
                               ->addMultiOption("WEB", "No enviar, lo revisaré vía web")
                               ->addMultiOption("IMPRESO", "Impreso al retirar el vehículo")
                               ->addMultiOption("MAIL", "Enviar al mail")
                               ->setAttrib('class', 'tooltip')
                               ->setDescription($recepcionTooltip);
        
        $recepcion_informes = new Zend_Form_Element_Select('recepcion_informes');
        $recepcion_informes->setLabel('¿Cómo prefiere recibir los informes de servicios?')
                           ->setRequired(true)
                           ->addFilter('StripTags')
                           ->addFilter('StringTrim')
                           ->addMultiOption("", "-- Seleccionar --")
                           ->addMultiOption("WEB", "No enviar, lo revisaré vía web")
                           ->addMultiOption("IMPRESO", "Impreso al retirar el vehículo")
                           ->addMultiOption("MAIL", "Enviar al mail")
                           ->setAttrib('class', 'tooltip')
                           ->setDescription($recepcionTooltip);
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear cliente')
               ->setAttrib('class','cliente')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'))
               ->setAttrib('onclick', 'javascript:history.back();');

        $this->addElements(
            array(
                $nombre, $rut, $direccion,
                $comuna, $ciudad, $telefono,
                $mail, $web, $submit, $cancel,
                $id, $tipo_repuestos, $recepcion_informes
            ));

        $this->addDisplayGroup(
            array(
                'nombre', 'rut', 'direccion', 'comuna', 'ciudad', 'telefono'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array(
                'mail', 'web', 'tipo_repuestos', 'recepcion_informes'
            ),
            'infoInputs2'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs2');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido',
                'name'      => 'cliente',
                'action'    => '/cliente/new'
            ));

    } 
} 
