<?php
class Default_Form_PreferenciasRemCalculoSueldo extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);

        $imm = new Zend_Form_Element_Text('imm');
        $imm->setLabel('Ingreso mínimo mensual')
            ->setRequired(true)
            ->addValidator('Int');

        $esc = new Zend_Form_Element_Text('esc');
        $esc->setLabel('% Efecto semana corrida')
            ->setRequired(true)
            ->addValidator('Float');

        $afp = new Zend_Form_Element_Text('afp');
        $afp->setLabel('% Desc. AFP por defecto')
            ->setRequired(true)
            ->addValidator('Float');

        $salud = new Zend_Form_Element_Text('salud');
        $salud->setLabel('% Desc. SALUD por defecto')
              ->setRequired(true)
              ->addValidator('Float');

        $seg_acc = new Zend_Form_Element_Text('seg_acc');
        $seg_acc->setLabel('% Desc. Seguro Accidentes por defecto')
              ->setRequired(true)
              ->addValidator('Float');

        $seg_ces_empleador = new Zend_Form_Element_Text('seg_ces_empleador');
        $seg_ces_empleador->setLabel('% Seguro Cesantía empleador')
                          ->setRequired(true)
                          ->addValidator('Float');

        $seg_ces_empleado = new Zend_Form_Element_Text('seg_ces_empleado');
        $seg_ces_empleado->setLabel('% Desc. Seguro Cesantía a empleado')
                          ->setRequired(true)
                          ->addValidator('Float');
        
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Guardar preferencias');
        $submit->setAttribs(array('class' => 'ui-button ui-state-default submit-inputs ui-corner-all'));
        
        $this->addElements(
            array(
                $imm, $esc, $afp, $salud,
                $seg_acc, $seg_ces_empleado, 
                $seg_ces_empleador, $submit
            ));

        $this->addDisplayGroup(
            array(
                'imm', 'esc' ,'seg_ces_empleador','submit'
                ),
            'calculo_sueldo_1',
            array('legend'=>'Cálculo de sueldo')
        );

        $this->addDisplayGroup(
            array(
                 'afp','salud','seg_acc',
                'seg_ces_empleado'
                ),
            'calculo_sueldo_2'
        );

        $calculo_sueldo_1 = $this->getDisplayGroup('calculo_sueldo_1');
        $calculo_sueldo_1->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $calculo_sueldo_2 = $this->getDisplayGroup('calculo_sueldo_2');
        $calculo_sueldo_2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left2'))
            )
        );

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido',
                'name'      => 'preferencias-calculo-sueldo',
                'action'    => $path . '/set-preferencias-calculo-sueldo'
            ));
    } 
} 