<?php
class Default_Form_Presupuesto extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $optionsVehiculo = array('table' => 'vehiculos', 'field' => 'patente');
        $validadorVehiculo = new Zend_Validate_Db_RecordExists($optionsVehiculo);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $vehiculo = new Zend_Form_Element_Text('vehiculo');
        $vehiculo->setLabel('Vehículo')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addFilter('StringToUpper')
                ->setAttrib('class','input-small')
                ->addValidator($validadorVehiculo);

        $observaciones = new Zend_Form_Element_Textarea('observaciones');
        $observaciones->setLabel('Observaciones')
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->setAttrib('style', 'height:113px;');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear presupuesto')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array($vehiculo, $observaciones, $submit, $cancel, $id)
        );

        $this->addDisplayGroup(
            array('vehiculo','observaciones'),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            ));

        $this->addDisplayGroup(
            array('submit', 'cancel','id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        
        $this->setDecorators(array(
            'FormElements',
            'Form'
        ));
        
        $this->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'presupuesto',
                'action'    => '/presupuesto/new'
            ));

    } 
} 
