<?php
class Default_Form_PresupuestoCobroInsumo extends Zend_Form
{
    public function __construct($options = null)
    {
        parent::__construct($options);

        $presupuesto_id = new Zend_Form_Element_Hidden('presupuesto_id');
        $presupuesto_id->addValidator('Int')
                       ->setDecorators(array('ViewHelper'));

        $cobro_insumos = new Zend_Form_Element_Select('cobro_insumos');
        $cobro_insumos->setLabel('Valor cobro de insumos')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->addMultiOption('', '-- Seleccionar --')
                      ->addMultiOptions(Default_Model_CobroInsumo::getPairsToSelect())
                      ->setDecorators(array('ViewHelper'));
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Asignar valor')
               ->setDecorators(array('ViewHelper'));

        $this->addElements(
            array(
                $presupuesto_id, $cobro_insumos, $submit
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'name'      => 'cobro-insumo',
                'action'    => "/presupuesto/set-valor-insumos"
            ));
    }
}