<?php
class Default_Form_Propietario extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $validador_rut = new App_Validate_ValidRut();

        $razon_social = new Zend_Form_Element_Text('razon_social');
        $razon_social->setLabel('Razón social')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');

        $nombre_fantasia = new Zend_Form_Element_Text('nombre_fantasia');
        $nombre_fantasia->setLabel('Nombre fantasía')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');
             
        $rut = new Zend_Form_Element_Text('rut');
        $rut->setLabel('R.U.T.')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator($validador_rut);
             
        $direccion = new Zend_Form_Element_Text('direccion');
        $direccion->setLabel('Dirección')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
         
        $comuna = new Zend_Form_Element_Text('comuna');
        $comuna->setLabel('Comuna')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
        
        $ciudad = new Zend_Form_Element_Text('ciudad');
        $ciudad->setLabel('Ciudad')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
        
        $telefono = new Zend_Form_Element_Text('telefono');
        $telefono->setLabel('Teléfono')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 
              
        $giro = new Zend_Form_Element_Text('giro');
        $giro->setLabel('Giro')
              ->setRequired(false)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim'); 

        $mail = new Zend_Form_Element_Text('mail');
        $mail->setLabel('Email')
              ->setRequired(false)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('EmailAddress');

        $web = new Zend_Form_Element_Text('web');
        $web->setLabel('Web')
              ->setRequired(false)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');

        $fax = new Zend_Form_Element_Text('fax');
        $fax->setLabel('Fax')
              ->setRequired(false)
              ->addFilter('StripTags')
              ->addFilter('StringTrim'); 
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Guardar cambios')
               ->setAttrib('class','propietario')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'))
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $razon_social, $rut, $direccion,
                $comuna, $ciudad, $telefono, $giro,
                $mail, $web, $fax, $submit, $cancel
            )
        );

        $this->addDisplayGroup(
            array(
                'razon_social', 'rut', 'direccion',
                'comuna', 'ciudad', 'telefono',
                'giro'
            ),
            'infoInputs',
            array(
                'legend'=>'Datos de facturación'
            )
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array(
                'mail', 'web', 'fax'
            ),
            'infoInputs2',
            array(
                'legend'=>'Información adicional'
            )
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido',
                'name'      => 'propietario',
                'action'    => '/propietario/edit'
            ));
    } 
} 
