<?php
class Default_Form_RecepcionVehiculoEstado extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $descripcionDetalles = 'Indicar también si no los hay';

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $entregado_por = new Zend_Form_Element_Text('entregado_por');
        $entregado_por->setLabel('Entregado por')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $km_ingreso = new Zend_Form_Element_Text('km_ingreso');
        $km_ingreso->setLabel('Kilometraje actual')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addValidator('Int');
             
        $nivel_combustible = new Zend_Form_Element_Select('nivel_combustible');
        $nivel_combustible->setLabel('Nivel combustible')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->addMultiOption('','-- Seleccionar --')
                ->addMultiOption('VACIO', 'VACIO')
                ->addMultiOption('CUARTO','CUARTO')
                ->addMultiOption('MEDIO','MEDIO')
                ->addMultiOption('TRES CUARTOS','TRES CUARTOS')
                ->addMultiOption('LLENO','LLENO');

        $panel_radio = new Zend_Form_Element_Checkbox('panel_radio');
        $panel_radio->setLabel('¿Tiene panel  de radio?')
                ->setCheckedValue('SI')
                ->setUncheckedValue('NO')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $gata = new Zend_Form_Element_Checkbox('gata');
        $gata->setLabel('¿Tiene gata?')
                ->setCheckedValue('SI')
                ->setUncheckedValue('NO')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $extintor = new Zend_Form_Element_Checkbox('extintor');
        $extintor->setLabel('¿Tiene extintor?')
                ->setCheckedValue('SI')
                ->setUncheckedValue('NO')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $botiquin = new Zend_Form_Element_Checkbox('botiquin');
        $botiquin->setLabel('¿Tiene botiquín?')
                ->setCheckedValue('SI')
                ->setUncheckedValue('NO')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');

        $neumatico_repuesto = new Zend_Form_Element_Checkbox('neumatico_repuesto');
        $neumatico_repuesto->setLabel('¿Tiene neumático repuesto?')
                ->setCheckedValue('SI')
                ->setUncheckedValue('NO')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim');  

        $detalles_carroceria = new Zend_Form_Element_Textarea('detalles_carroceria');
        $detalles_carroceria->setLabel('Detalles en la carrocería')
                            ->setRequired(true)
                            ->addFilter('StripTags')
                            ->addFilter('StringTrim')
                            ->setAttrib('rows','4')
                            ->setAttrib('class','input-xlarge help')
                            ->setAttrib('title', $descripcionDetalles);

        $observaciones = new Zend_Form_Element_Textarea('observaciones');
        $observaciones->setLabel('Otras observaciones')
                      ->setRequired(false)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim')
                      ->setAttrib('rows','4')
                      ->setAttrib('class','input-xlarge');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Recibir vehículos')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $entregado_por, $km_ingreso,
                $nivel_combustible, $panel_radio, $gata,
                $botiquin, $neumatico_repuesto,
                $extintor, $detalles_carroceria,
                $submit, $cancel, $id, $observaciones
                )
        );
            
        $this->addDisplayGroup(
            array(
                'entregado_por', 'km_ingreso',
                'nivel_combustible', 'panel_radio',
                'gata', 'botiquin'
            ),
            'infoInputs' 
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span3'))
            ));
        
        $this->addDisplayGroup(
            array(
                'neumatico_repuesto',
                'extintor', 'detalles_carroceria', 'observaciones'
            ),
            'infoInputs2' 
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span4'))
            ));

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions clear'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group')),
            'Errors'
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-vertical',
                'name'      => 'recepcion-vehiculo-estado',
                'action'    => '/vehiculo-recepcion/estado'
            ));
        
    } 
} 
