<?php
class Default_Form_RechazarDocumento extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/solicitud-compra')
    { 
        parent::__construct($options);
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int')
           ->setDecorators(array('ViewHelper'));

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));

        $observaciones = new Zend_Form_Element_Textarea('observaciones');
        $observaciones->setLabel('Por favor, indique el motivo del rechazo.')
                      ->setRequired(true)
                      ->addFilter('StripTags')
                      ->addFilter('StringTrim');
            
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Rechazar operación')
               ->setAttrib('class','almacen')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $id,$observaciones,$submit,
                $cancel, $back
            )
        );

        $this->addDisplayGroup(
            array(
                'observaciones'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left-ancho'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'rechazo-documento',
                'action'    => $path . '/rechazar'
            ));
    } 
} 
