<?php
class Default_Form_RemTramoAsigFam extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Desde $')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('Int')
              ->setAttrib('class','help')
              ->setAttrib('title','Sólo números enteros - Cero (0) es válido sólo para el tramo inicial');

        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Hasta $')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('Int')
              ->setAttrib('class','help')
              ->setAttrib('title','Sólo números enteros - Cero (0) es válido sólo para el tramo final');

        $valor = new Zend_Form_Element_Text('valor');
        $valor->setLabel('Valor $')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('Int')
              ->setAttrib('class','help')
              ->setAttrib('title','Sólo números enteros.');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear tramo')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $id, $desde, $hasta, $valor, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'desde', 'hasta', 'valor', 
            ),
            'infoInputs',
            array('legend' => 'Formulario tramo asignación familiar')    
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array('FormElements','Fieldset'));

        $this->addDisplayGroup(array('submit', 'cancel','id'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'rem-tramo-asig-fam',
                'action'    => '/rem-tramo-asig-fam/new'
            ));

    } 
} 
