<?php
class Default_Form_RemTramoIu2cat extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $validadorFloat = new App_Validate_Float();

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $desde = new Zend_Form_Element_Text('desde');
        $desde->setLabel('Desde $')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator($validadorFloat)
              ->setAttrib('class','help')
              ->setAttrib('title','Números enteros o decimales - Los decimales usan punto, ej: 2.4 - Cero (0) es válido sólo para el tramo inicial');

        $hasta = new Zend_Form_Element_Text('hasta');
        $hasta->setLabel('Hasta $')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator($validadorFloat)
              ->setAttrib('class','help')
              ->setAttrib('title','Números enteros o decimales - Los decimales usan punto, ej: 2.4 - Cero (0) es válido sólo para el tramo final');

        $factor = new Zend_Form_Element_Text('factor');
        $factor->setLabel('Factor')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator($validadorFloat)
              ->setAttrib('class','help')
              ->setAttrib('title','Números enteros o decimales - Los decimales usan punto, ej: 2.4');
        
        $cantidad_a_rebajar = new Zend_Form_Element_Text('cantidad_a_rebajar');
        $cantidad_a_rebajar->setLabel('Cantidad a rebajar')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator($validadorFloat)
              ->setAttrib('class','help')
              ->setAttrib('title','Números enteros o decimales - Los decimales usan punto, ej: 2.4');
        
        $tasa_maxima = new Zend_Form_Element_Text('tasa_maxima');
        $tasa_maxima->setLabel('Tasa de impuesto efectiva máxima')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator($validadorFloat)
              ->setAttrib('class','help')
              ->setAttrib('title','Números enteros o decimales - Los decimales usan punto, ej: 2.4');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear tramo')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $id, $desde, $hasta, $factor, $cantidad_a_rebajar, 
                $tasa_maxima, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'desde', 'hasta', 'factor', 'cantidad_a_rebajar', 'tasa_maxima' 
            ),
            'infoInputs',
            array('legend' => 'Formulario tramo impuesto único 2ª categoría')    
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array('FormElements','Fieldset'));

        $this->addDisplayGroup(array('submit', 'cancel','id'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'rem-tramo-iu2cat',
                'action'    => '/rem-tramo-iu2cat/new'
            ));

    } 
} 
