<?php
class Default_Form_SendAttach extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->setRequired(true)
           ->addValidator('Int');

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Enviar a (nombre)')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $archivo = new Zend_Form_Element_Text('archivo');
        $archivo->setLabel('Archivo adjunto')
                   ->setRequired(true)
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim');

        $mail = new Zend_Form_Element_Text('mail');
        $mail->setLabel('Mail')
                   ->setRequired(true)
                   ->addFilter('StripTags')
                   ->addFilter('StringTrim')
                   ->addValidator('EmailAddress');

        $copia = new Zend_Form_Element_Checkbox('copia');
        $copia->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->setAttrib('checked','checked');

        $asunto = new Zend_Form_Element_Text('asunto');
        $asunto->setLabel('Asunto')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim');

        $mensaje = new Zend_Form_Element_Textarea('texto_mensaje');
        $mensaje->setLabel('Mensaje')
                ->setRequired(true)
                ->addFilter('StripTags')
                ->addFilter('StringTrim')
                ->setAttrib('class', 'input-xlarge')
                ->setAttrib('rows', '3');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $nombre, $mail, $mensaje,
                $submit, $cancel, $id, $asunto, 
                $archivo, $copia
                
            ));

        $this->addDisplayGroup(
            array(
                'nombre', 'mail', 'archivo', 'asunto', 'texto_mensaje', 'copia'
            ),
            'infoInputs',
            array('legend' => 'Formulario envío documentos')    
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            ));

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->setDecorators(array(
            'FormElements',
            'Form',
            array('FormErrors')
        ));   

        $this->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'envio-documento',
                'action'    => $path
            ));

    } 
} 
