<?php
class Default_Form_ServicioProducto extends Zend_Form
{
    public function __construct($options = null)
    {
        parent::__construct($options);

        $options = array('table' => 'servicios', 'field' => 'codigo');
        $validadorServicio = new Zend_Validate_Db_RecordExists($options);
        $validadorServicio->setMessage("Código inválido. Verifique que el servicio existe y está disponible para la venta");

        $validadorFloat = new App_Validate_Float();

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int')
           ->setDecorators(array('ViewHelper'));

        $buscador = new Zend_Form_Element_Text('buscador');
        $buscador->setLabel('Buscar servicio')
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->setRequired(false)
                 ->setAttrib('onkeypress', 'ajaxSearchServicio($(this), "#servicio", "#descripcion")');

        $producto = new Zend_Form_Element_Hidden('producto');
        $producto->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->setRequired(true);

        $servicio = new Zend_Form_Element_Text('servicio');
        $servicio->setLabel('Código del servicio')
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->setRequired(true);

        $unidades = new Zend_Form_Element_Text('unidades');
        $unidades->setLabel('Unidades')
                 ->setRequired(true)
                 ->addFilter('StripTags')
                 ->addFilter('StringTrim')
                 ->addValidator($validadorFloat);

        $descripcion = new Zend_Form_Element_Textarea('descripcion');
        $descripcion->setLabel('Descripción del servicio')
                    ->setRequired(true)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib('style', 'width:400px;height:120px;');

        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Agregar al producto')
               ->setDecorators(array('ViewHelper'));

        $this->addElements(
            array(
                $id, $producto, $servicio,
                $unidades, $descripcion, $submit,
                $buscador
            ));

        $this->addDisplayGroup(
            array(
                'buscador'
            ),
            'busquedaInputs'
        );

        $busquedaInputs = $this->getDisplayGroup('busquedaInputs');
        $busquedaInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-busqueda'))
            ));

        $this->addDisplayGroup(
            array(
                'servicio', 'unidades'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            ));

         $this->addDisplayGroup(
            array(
                'descripcion'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            ));

        $this->addDisplayGroup(
            array('submit', 'id', 'producto'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'item',
                'action'    => '/servicio-producto/new'
            ));
    }
}
