<?php
class Default_Form_SistemaMargenDefault extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $tipo = new Zend_Form_Element_Select('tipo');
        $tipo->setLabel('Rango para')
             ->setRequired(true)
             ->addMultiOption('','-- Seleccionar --')
             ->addMultiOptions(array(
                 'ARTICULO' => 'ARTICULO', 
                 'SERVICIO' => 'SERVICIO', 
                 'PRODUCTO' => 'PRODUCTO'
                ));   
        
        $min = new Zend_Form_Element_Text('min');
        $min->setLabel('Valor mínimo $')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addValidator('Int')
            ->setAttrib('class','help')
            ->setAttrib('title','Sólo números enteros.');

        $max = new Zend_Form_Element_Text('max');
        $max->setLabel('Valor máximo $')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addValidator('Int')
            ->setAttrib('class','help')
            ->setAttrib('title','Sólo números enteros.');

        $margen_sugerido = new Zend_Form_Element_Text('margen_sugerido');
        $margen_sugerido->setLabel('Margen sugerido %')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addValidator(new App_Validate_Float())
            ->setAttrib('class','help')
            ->setAttrib('title','Números enteros o decimales. Formato ejemplo: 10,5');

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear rango')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $id, $tipo, $min, $max, $margen_sugerido, 
                $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'tipo','min', 'max', 'margen_sugerido', 
            ),
            'infoInputs',
            array('legend' => 'Formulario márgenes por defecto')    
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array('FormElements','Fieldset'));

        $this->addDisplayGroup(array('submit', 'cancel','id'), 'submitButtons');
        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));
        
        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'margen-default',
                'action'    => '/sistema-margenes-default/new'
            ));

    } 
} 
