<?php
class Default_Form_SistemaUsuarioCambiarClave extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $validadorClave = new Zend_Validate_Alnum(false);

        $clave_actual = new Zend_Form_Element_Password('clave_actual');
        $clave_actual->setLabel('Clave actual')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->setAttrib('class','input-small')
                     ->setErrorMessages(array('Por favor ingrese su clave actual'));
              
        $clave_nueva = new Zend_Form_Element_Password('clave_nueva');
        $clave_nueva->setLabel('Nueva clave')
                    ->setRequired(true)
                    ->addFilter('StripTags')
                    ->addFilter('StringTrim')
                    ->setAttrib('class','input-small help')
                    ->setAttrib('title', 'Entre 6 y 10 caracteres. Sólo letras y números.')
                    ->addValidator('StringLength', false, array(6,10))
                    ->addValidator($validadorClave);

        $clave_nueva2 = new Zend_Form_Element_Password('clave_nueva2');
        $clave_nueva2->setLabel('Repetir nueva clave')
                     ->setRequired(true)
                     ->addFilter('StripTags')
                     ->addFilter('StringTrim')
                     ->setAttrib('class', 'input-small')
                     ->addValidator('Identical', false, array('token' => 'clave_nueva'));
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Cambiar clave')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn') 
               ->setAttrib('onclick', 'javascript:history.back();');
        
        $this->addElements(
            array(
                $clave_actual, $clave_nueva, 
                $clave_nueva2, $submit, $cancel
            ));

        $this->addDisplayGroup(
            array(
                'clave_actual', 'clave_nueva', 'clave_nueva2'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(array('FormElements','Fieldset'));

        $this->addDisplayGroup(array('submit', 'cancel'),'submitButtons');

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(array(
            'FormElements',
            array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
        ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->addDecorator('FormErrors')   
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'cambiar-clave',
                'action'    => '/sistema-usuario/cambiar-clave'
            ));
    } 
} 
