<?php
class Default_Form_TerminoContratoEmpleado extends Zend_Form
{ 
    public function __construct($options = null, $path = null)
    { 
        parent::__construct($options);
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $contrato_id = new Zend_Form_Element_Hidden('contrato_id');
        $contrato_id->setLabel('Empleado')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty');

        $fecha = new Zend_Form_Element_Text('fecha');
        $fecha->setLabel('Fecha término')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty')
              ->addValidator('Date');

        $motivo = new Zend_Form_Element_Textarea('motivo');
        $motivo->setLabel('Causal de término')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty');


        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('terminar contrato');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('cancelar');
        
        $this->addElements(
            array(
                $id, $contrato_id, $fecha, $motivo,
                $submit, $cancel
            ));
            

        /* alternative decoration */

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'normal',
                'name'      => 'termino_contrato_empleado',
                'action'    => $path . '/new'
            ))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));

        $id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));

        $contrato_id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));

        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));

        $cancel->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_cancel')),
        ));
    } 
} 
