<?php
class Default_Form_TipoEgresoArticulo extends Zend_Form
{ 
    public function __construct($options = null, $path = null, $history = '/status/base')
    { 
        parent::__construct($options);

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int')
           ->setDecorators(array('ViewHelper'));

        $back = new Zend_Form_Element_Hidden('back');
        $back->setValue($history)
             ->setDecorators(array('ViewHelper'));
              
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');     

        $alerta = new Zend_Form_Element_Radio('alerta');
        $alerta->setLabel('¿ Generar alerta ?')
               ->setRequired(true)
               ->addMultiOption('SI','SI')
               ->addMultiOption('NO','NO');
        
        $submit = new Zend_Form_Element_Button('submit');
        $submit->setLabel('Crear tipo de egreso')
               ->setAttrib('class','tipo-egreso-articulo')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'));
        
        $this->addElements(
            array(
                $id, $nombre, $alerta,
                $submit, $cancel, $back
            ));
            
       $this->addDisplayGroup(
            array(
                'nombre', 'alerta'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel','back', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido ajax',
                'name'      => 'tipo-egreso-articulo',
                'action'    => $path . '/new'
            ));

    } 
} 
