<?php
class Default_Form_UnidadMedida extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int')
           ->setDecorators(array('ViewHelper'));

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre unidad')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');

        $simbolo = new Zend_Form_Element_Text('simbolo');
        $simbolo->setLabel('Abreviatura')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim')
              ->addValidator('NotEmpty');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Agregar unidad de medida')
               ->setAttrib('class','almacen')
               ->setDecorators(array('ViewHelper'));

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setDecorators(array('ViewHelper'))
               ->setAttrib("onclick", "javascript:history.back();");
        
        $this->addElements(
            array(
                $id, $nombre, $simbolo,
                $submit, $cancel
            ));
            
        $this->addDisplayGroup(
            array(
                'nombre', 'simbolo'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-left'))
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-float-buttons'))
            ));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'dividido',
                'name'      => 'unidad-medida',
                'action'    => '/unidad-medida/new'
            ));
        
    } 
} 
