<?php
class Default_Form_Vehiculo extends Zend_Form 
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $validadorFormatoPatente = new Zend_Validate_StringLength();
        $validadorFormatoPatente->setMin(6);
        $validadorFormatoPatente->setMax(6);
        
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');
        
        $cliente_id = new Zend_Form_Element_Select('cliente_id');
        $cliente_id->setLabel('Cliente')
                  ->setRequired(true)
                  ->addFilter('StripTags') 
                  ->addFilter('StringTrim') 
                  ->addMultiOption('', '-- Seleccionar --')
                  ->addMultiOptions(Default_Model_Cliente::getPairsToSelect()); 

        $patente = new Zend_Form_Element_Text('patente');
        $patente->setLabel('Placa patente')
                ->setRequired(true)
                ->addFilter('StripTags') 
                ->addFilter('StringTrim')
                ->addValidator($validadorFormatoPatente);
        
        $vin_chassis = new Zend_Form_Element_Text('vin_chassis');
        $vin_chassis->setLabel('VIN Chassis')
                    ->setRequired(true)
                    ->addFilter('StripTags') 
                    ->addFilter('StringTrim');
        
        $numero_motor = new Zend_Form_Element_Text('numero_motor');
        $numero_motor->setLabel('Nº Motor')
                     ->setRequired(false)
                     ->addFilter('StripTags') 
                     ->addFilter('StringTrim');

        $color = new Zend_Form_Element_Text('color');
        $color->setLabel('Color carrocería')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
        
        $aire_acondicionado = new Zend_Form_Element_Select('aire_acondicionado');
        $aire_acondicionado->setLabel('Aire acondicionado')
                           ->setRequired(true)
                           ->addFilter('StripTags') 
                           ->addFilter('StringTrim')
                           ->addMultiOption('SI', 'SI')
                           ->addMultiOption('NO', 'NO');
         
        $anio = new Zend_Form_Element_Text('anio');
        $anio->setLabel('Año')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim'); 
        
        $mas_informacion = new Zend_Form_Element_Textarea('mas_informacion');
        $mas_informacion->setLabel('Más información')
                        ->setRequired(false)
                        ->addFilter('StripTags') 
                        ->addFilter('StringTrim')
                        ->setAttrib('class', 'input-xlarge')
                        ->setAttrib('rows', '3');  
        
        $marca_id = new Zend_Form_Element_Select('marca_id');
        $marca_id->setLabel('Marca')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim') 
              ->setAttrib('class', 'updateOther')
              ->setAttrib('data-url', '/ajax/get-modelos/')
              ->setAttrib('data-target', '#modelo_id')  
              ->addMultiOption('', '-- Seleccionar --')
              ->addMultiOptions(Default_Model_VehiculoMarca::getPairsToSelect()); 
             
        $modelo_id = new Zend_Form_Element_Select('modelo_id');
        $modelo_id->setLabel('Modelo')
                  ->setRequired(false)
                  ->addFilter('StripTags') 
                  ->addFilter('StringTrim') 
                  ->addMultiOption('0', '-- Seleccionar --');
        
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre modelo')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->setAttrib('class', 'info-ficha');
        
        $version = new Zend_Form_Element_Text('version');
        $version->setLabel('Versión')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->setAttrib('class', 'info-ficha');
        
        $cilindrada = new Zend_Form_Element_Text('cilindrada');
        $cilindrada->setLabel('Cilindrada')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->setAttrib('class', 'info-ficha');
        
        $tipo_combustible = new Zend_Form_Element_Select('tipo_combustible');
        $tipo_combustible->setLabel('Tipo Combustible')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->addMultiOption('GASOLINA','GASOLINA')
             ->addMultiOption('DIESEL','DIESEL')
             ->addMultiOption('ETANOL','ETANOL')
             ->addMultiOption('ALCOHOL','ALCOHOL')
             ->setAttrib('class', 'info-ficha');
        
        $traccion = new Zend_Form_Element_Text('traccion');
        $traccion->setLabel('Tracción')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->setAttrib('class', 'info-ficha');
        
        $transmision = new Zend_Form_Element_Select('transmision');
        $transmision->setLabel('Transmisión')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->addMultiOption('MANUAL', 'MANUAL')
             ->addMultiOption('AUTOMATICA', 'AUTOMATICA')
             ->setAttrib('class', 'info-ficha');
        
        $operacion = new Zend_Form_Element_Select('operacion');
        $operacion->setLabel('Operación')
             ->setRequired(true)
             ->addFilter('StripTags') 
             ->addFilter('StringTrim')
             ->addMultiOption('ASIGNAR', 'Asignar modelo')
             ->addMultiOption('CREAR', 'Crear nuevo modelo');

            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear vehículo')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn');
        
        $this->addElements(
            array(
                $id, $cliente_id, $patente, $vin_chassis,
                $numero_motor, $marca_id, $modelo_id,
                $color, $anio, $mas_informacion, $aire_acondicionado,
                $nombre, $version, $cilindrada, $tipo_combustible,
                $traccion, $transmision, $operacion,
                $submit, $cancel
                ));
        
        $this->addDisplayGroup(
            array(
                'cliente_id', 'patente', 'vin_chassis', 'numero_motor', 
                'color', 'anio', 'aire_acondicionado', 'mas_informacion'
            ),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span4'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'marca_id', 'modelo_id', 'nombre', 'version', 'cilindrada',
                'tipo_combustible', 'transmision', 'traccion'
            ),
            'infoInputs2'
        );

        $infoInputs2 = $this->getDisplayGroup('infoInputs2');
        $infoInputs2->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span4'))
            )
        );
        
        $this->addDisplayGroup(
            array(
                'operacion'
            ),
            'infoInputs3'
        );

        $infoInputs3 = $this->getDisplayGroup('infoInputs3');
        $infoInputs3->setDecorators(
            array(
                'FormElements',
                'Fieldset',
                array('HtmlTag', array('tag' => 'div', 'class' => 'span4'))
            )
        );
        
        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions clear'))
            ));

        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));
        
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-vertical',
                'name'      => 'vehiculo',
                'action'    => '/vehiculo/new'
            ));
    } 
} 
