<?php
class Default_Form_VehiculoMarca extends Zend_Form
{
    public function __construct($options = null)
    { 
        parent::__construct($options);

        $validadorFloat = new App_Validate_Float();

        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int');

        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre marca')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
              
        $cargo_adicional = new Zend_Form_Element_Text('cargo_adicional');
        $cargo_adicional->setLabel('Cargo adicional por dificultad %')
              ->setRequired(true)
              ->addValidator($validadorFloat)
              ->setValue(0);
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Crear marca')
               ->setAttrib('class','btn btn-primary');

        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setLabel('Cancelar')
               ->setAttrib('class', 'btn');
        
        $this->addElements(array($id, $nombre, $cargo_adicional,$submit, $cancel));
        $this->addDisplayGroup(
            array('nombre', 'cargo_adicional'),
            'infoInputs'
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset'
            )
        );

        $this->addDisplayGroup(
            array('submit', 'cancel', 'id'),
            'submitButtons'
        );

        $submitButtons = $this->getDisplayGroup('submitButtons');
        $submitButtons->setDecorators(
            array(
                'FormElements',
                array('HtmlTag',array('tag'=>'div','class'=>'form-actions'))
            ));
        
        $this->setElementDecorators(array(
            'ViewHelper',
            'Errors',
            array(array('data' => 'HtmlTag'),  array('tag' =>'div', 'class'=> 'controls')),
            array('Label', array('class' => 'control-label')),
            array(array('row' => 'Htmltag'), array('tag' => 'div', 'class' => 'control-group'))
        ));

        $submit->setDecorators(array('ViewHelper'));
        $cancel->setDecorators(array('ViewHelper'));
        $id->setDecorators(array('ViewHelper'));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'form-horizontal',
                'name'      => 'vehiculo-marca',
                'action'    => '/vehiculo-marca/new'
            ));
    } 
} 
