<?php
class Default_Model_Banco extends Zend_Db_Table_Abstract
{
    protected $_name = 'bancos';
    protected $_primary = 'id';

    private $_id;
    
    public function setId($id)
    {
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - Banco::setId ");
        }
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - Banco::getRow");
        }
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function getAll()
    {
        return $this->fetchAll()->toArray();
    }
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        return $row->save();
    }
    
    public function editar($data)
    {
        $row = $this->find($data['id'])->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - Banco::eliminar");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        try {
            $this->delete($where);
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
    
    public static function getPairsToSelect()
    {
        $adapter = self::getDefaultAdapter();
        $result = $adapter->fetchPairs("SELECT id, nombre FROM bancos ORDER BY nombre");
        return $result;
    }
}