<?php
class Default_Model_CajaChica extends Zend_Db_Table_Abstract
{
    protected $_name = 'cc_cajas';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    
    public function setId($id)
    {
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - setId ");
        }
        
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - getRow");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function getRowFull()
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $adapter->select()
            ->from(array('cc' => $this->_name),
                   array('id', 'monto_minimo', 'descripcion', 'estado'))
            ->join(array('u' => 'sistema_usuarios'), 'u.id=cc.id', array('asignada_a' => 'nombre'))
            ->where("id=?", $this->_id);
        return $adapter->fetchRow($select);
    }
    
    
    public function getEstado()
    {
        return $this->getRow()->estado;
    }
    
    public function setEstado($estado)
    {
        $row = $this->getRow();
        $row->estado = $estado;
        $row->save();
    }
        
    public function getAll()
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $adapter->select()
            ->from(array('cc' => 'cc_cajas'),
                   array('id', 'monto_minimo', 'descripcion', 'estado'))
            ->join(array('u' => 'sistema_usuarios'), 'u.id=cc.id', array('asignada_a' => 'nombre'));
        return $adapter->fetchAll($select);
    }
    
    public function crear($data)
    {
        $data['id'] = $data['responsable'];
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
        return $row->id;
    }
    
    public function iniciarCiclo($id)
    {
        $ciclo = new Default_Model_CajaChicaCiclo();
        return $ciclo->crear($id);
    }
    
    public function getCiclo()
    {
        $ciclo = new Default_Model_CajaChicaCiclo();
        return $ciclo->getRowByCajaId($this->_id);
    }
}