<?php
class Default_Model_CajaChicaCiclo extends Zend_Db_Table_Abstract
{
    protected $_name = 'cc_ciclos_cajas';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    
    public function setId($id)
    {
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - setId ");
        }
        
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - getRow");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function getEstado()
    {
        return $this->getRow()->estado;
    }
    
    public function setEstado($estado)
    {
        $row = $this->getRow();
        $row->estado = $estado;
        $row->save();
    }
    
    public function crear($id)
    {
        $row = $this->createRow();
        $row->caja_id = $id;
        $row->fecha_inicio = date("Y-m-d H:i:s");
        $row->save();
        return $row->id;
    }
    
    public function getRowByCajaId($id)
    {
        $where = $this->getAdapter()->quoteInto("caja_id", $id);
    }
}