<?php
class Default_Model_ClienteReserva extends Zend_Db_Table_Abstract
{
    protected $_name = 'clientes_reservas';
    protected $_primary = 'id';
    
    private $_orderByOptionsKeys = array('id', 'cliente', 'vehiculo', 'tipo', 'estado');
    private $_orderByOptionsValues = array('Nº', 'Cliente', 'Patente Vehículo', 'Tipo', 'Estado');
    private $_orderTypeOptions = array('ASC', 'DESC');
    private $_orderBy;
    private $_orderType;
    private $_id;
    
    
    public function setId($id)
    {
        $this->_id = (int)$id;
    }
    
    public function getEstado()
    {
        return $this->getRow()->estado;
    }
    
    public function getRow()
    {
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function setEstado($estado)
    {
        $row = $this->getRow();
        $row->estado = $estado;
        $row->save();
    }
    
    public function crear($data, $user)
    {
        $data['creador'] = $user;
        if($data['vehiculo']!='') { $data['vehiculo'] = strtoupper($data['vehiculo']); } else { $data['vehiculo']= NULL;}
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
        return $row->id;
    }
    
    public function editar($data, $id)
    {
        if(!$data || !$id){
            throw new Exception('No se enviaron todos los datos requeridos');
        }
        
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
        return $row->id;
    }
    
    public function getAll($currentPage = 1, $orderBy = null, $orderType = null)
    {
        $this->_setOrderBy($orderBy);
        $this->_setOrderType($orderType);
        $order = "$this->_orderBy $this->_orderType";
        $where = null;
        $reservas = $this->fetchAll($where, $order);
        $paginador = Zend_Paginator::factory($reservas);
        $paginador->setItemCountPerPage(10)
                  ->setCurrentPageNumber($currentPage);
        return $paginador;
    }
    
    public function eliminar()
    {
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        try {
            $this->delete($where);
            return true;
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }

    public function getOrderBy()
    {
        return $this->_orderBy;
    }
    
    public function getOrderType()
    {
        return $this->_orderType;
    }
    
    public function getOrderByOptions()
    {
        return array_combine($this->_orderByOptionsKeys, $this->_orderByOptionsValues);
    }
    
    private function _setOrderType($orderType)
    {
        if(in_array($orderType, $this->_orderTypeOptions)) {
            $this->_orderType = $orderType;
        } else {
            $this->_orderType = 'DESC';
        }
    }
    
    private function _setOrderBy($orderBy)
    {
        if(in_array($orderBy, $this->_orderByOptionsKeys)) {
            $this->_orderBy =  $orderBy;
        } else {
            $this->_orderBy = 'id';
        }
    }
}