<?php
class Default_Model_CobroInsumo extends Zend_Db_Table_Abstract
{
    protected $_name = 'cobros_insumos';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    public function setId($id)
    {
        $options = array('table' => 'cobros_insumos', 'field' => 'id');
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - setId ");
        }
        
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - getRow");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public static function getPairsToSelect()
    {
        $db = new Default_Model_CobroInsumo();
        $result = $db->getAdapter()->fetchPairs("SELECT id, valor FROM cobros_insumos ORDER BY valor");
        return $result;
    }
    
    public function getAll()
    {
        return $this->fetchAll();
    }
    
    public static function getValorDefault()
    {
        $sql = "SELECT `valor` FROM `cobros_insumos` WHERE `default`='1'"; 
        $model = new Default_Model_CobroInsumo();
        $valor = $model->getAdapter()->fetchOne($sql);
        if($valor){
            return $valor;
        }
        return 0;
    }
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id)
    {
        $row = $this->find($id)->current();
        if($data['default'] == 1) { 
            $this->_resetValorDefault();
        }
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - eliminar");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        
        try {
            $this->delete($where);
        
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
    
    private function _resetValorDefault()
    {
        $data = array('default' => 0);
        $this->update($data);
    }
}