<?php
class Default_Model_DocumentoCondicionGeneral extends Zend_Db_Table_Abstract
{
    protected $_name = 'documentos_condiciones_generales';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    public function setId($id)
    {
        $id = (int)$id;
        
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe");
        }
        $this->_id = $id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function editar($condiciones, $id)
    {
        $row = $this->find($id)->current();
        $row->condiciones = $condiciones;
        $row->save();
    }

    public static function getTexto($documento){
        $adapter = self::getDefaultAdapter();
        $documento = $adapter->quote($documento);
        $sql = "SELECT condiciones FROM documentos_condiciones_generales WHERE documento=$documento";
        return $adapter->fetchOne($sql);
    }

}