<?php
class Default_Model_DteFacturaCompraItem extends Zend_Db_Table_Abstract
{
    protected $_name = 'dtc_facturas_compras_items';
    protected $_primary = 'id';
    
    private $_id = null;
    
    public function setId($id)
    {
        $id = (int)$id;
        
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe");
        }
        
        $this->_id = $id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
       
    public function crear($data)
    {
        if($data['codigo']==''){ $data['codigo'] = NULL;}
        if($data['descripcion']==''){ $data['descripcion'] = NULL;}
        
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id)
    {
        if($data['codigo']==''){ $data['codigo'] = NULL;}
        if($data['descripcion']==''){ $data['descripcion'] = NULL;}
        
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar($data = null)
    {
        if(NULL == $data) {
            throw new Exception("No se ha enviado ningún ID para eliminar items");
        }
        
        $items = explode(",", $data);
            
        $adapter = $this->getAdapter();
        foreach($items as $id){
            
            try {
                $where = $adapter->quoteInto("id=?",  $id);
                $this->delete($where);
            } catch(Exception $e){
                return $e;
            }
        }
    }
    
    public function getRowsByDteFacturaCompraId($factura_id)
    {
        if(NULL == $factura_id) {
            throw new Exception("No se ha enviado el ID de la factura");
        }
        
        $where = $this->getAdapter()->quoteInto("factura_id=?", $factura_id);
        return $this->fetchAll($where);
    }
}