<?php
class Default_Model_LcContacto extends Zend_Db_Table_Abstract
{
    protected $_name = 'lc_contactos';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
        
        $this->_id = $row->id;
        
        $this->agregarDireccion($data['direccion']);
        $this->agregarMail($data['mail']);
        $this->agregarTelefono($data['telefono']);
    }
    
    public function asociar($cliente)
    {
        $modelClienteContacto = new Default_Model_ClienteContacto();
        $modelClienteContacto->asociar($this->_id, $cliente);
    }        
    
    public function agregarDireccion($direccion)
    {
        $data = array(
            'contacto_id' => $this->_id
        );
        
        $modelContactoDireccion = new Default_Model_LcDireccion();
        $modelContactoDireccion->crear($direccion, $this->_id);
    }
    
    public function agregarMail($mail)
    {
        $modelContactoMail = new Default_Model_LcMail();
        $modelContactoMail->crear($mail, $this->_id);
    }
    
    public function agregarTelefono($telefono)
    {
        $modelContactoTelefono = new Default_Model_LcTelefono();
        $modelContactoTelefono->crear($telefono, $this->_id);
    }
}