<?php
class Default_Model_OrdenServicioItem extends Zend_Db_Table_Abstract
{
    protected $_name = 'ordenes_servicios_items';
    protected $_primary = 'item_id';
    
    public function getRowsByOrdenId($orden_id = null)
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $adapter->select()
            ->from(array('io' => 'ordenes_servicios_items'))
            ->join(array('inv' => 'notas_ventas_items'), 'inv.id=io.item_id',
                   array('nombre', 'descripcion', 'cantidad', 'estado', 'nota_id'))
            ->where('io.orden_id=?', $orden_id);
        return $adapter->fetchAll($select);
    }
    
    public function getLastRowsByVehiculoId($vehiculo_id, $cantidad = 10)
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $adapter->select()
            ->from(array('i' => 'ordenes_servicios_items'), array('orden_id'))
            ->join(array('t' => 'notas_ventas_items'), 't.id=i.item_id', array('nombre', 'descripcion', 'tipo'))
            ->join(array('o' => 'ordenes_servicios'), 'o.id=i.orden_id', array('creacion'))
            ->where('o.vehiculo_id=?', $vehiculo_id)
            ->where('o.estado=?', "TERMINADA")
            ->order('o.id DESC')    
            ->limit($cantidad);
        return $adapter->fetchAll($select);
    }
    
    public function addFromNota($data, $orden_id)
    {
        $items = explode(",", $data);
        
        foreach($items as $item_id){
            $this->_crear($item_id, $orden_id);
        }
    }
    
    private function _crear($item_id, $orden_id)
    {
        $row = $this->createRow();
        $row->orden_id = (int)$orden_id;
        $row->item_id = (int)$item_id;
        $row->save();
    }
    
    public function eliminar($data = null)
    {
        if(NULL == $data) {
            throw new Exception("No se ha enviado ningún ID para eliminar items");
        }
        
        $items = explode(",", $data);
            
        $adapter = $this->getAdapter();
        foreach($items as $id){
            
            try {
                $where = $adapter->quoteInto("item_id=?",  $id);
                $this->delete($where);
            } catch(Exception $e){
                return $e;
            }
        }
    }
}