<?php
class Default_Model_PagoRecibidoDteBoleta extends Zend_Db_Table_Abstract
{
    protected $_name = 'pagos_recibidos_dte_boletas';
    protected $_primary = 'id';
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function getRowsByDteBoletaId($boleta_id)
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $adapter->select()
            ->from(array('pb' => 'pagos_recibidos_dte_boletas'),
                   array('pago_id', 'boleta_id', 'monto'))
            ->join(array('pr' => 'pagos_recibidos'), 'pr.id=pb.pago_id', array('fecha_pago' => 'creacion', 'tipo'))
            ->join(array('fp' => 'pagos_recibidos_formas'), 'fp.id=pr.forma_id', array('forma_pago' => 'nombre'))    
            ->where("pb.boleta_id=?", $boleta_id);
        return $adapter->fetchAll($select);
    }
    
    public function getRowsByPagoId($pago_id)
    {
        $where = $this->getAdapter()->quoteInto("pago_id=?", (int)$pago_id);
        return $this->fetchAll($where);
    }
    
    public function eliminar($id = NULL)
    {
        if(NULL == $id) {
            throw new Exception("No se ha configurado el ID");
        }
        $where = $this->getAdapter()->quoteInto("id=?", (int)$id);
        
        $pago_id = $this->fetchRow($where)->pago_id;
        
        try {
            
            $this->delete($where);
            return $pago_id;
            
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
    
    public function getTotalPagadoByBoletaId($boleta_id)
    {
        return self::getTotalAsignado($boleta_id);
    }
    
    public static function getTotalAsignado($boleta_id)
    {
        $adapter = self::getDefaultAdapter();
        $id = $adapter->quote($boleta_id);
        $sqlFacturas = "SELECT SUM(monto) FROM pagos_recibidos_dte_boletas WHERE boleta_id=$id";
        return $adapter->fetchOne($sqlFacturas);
    }
}