<?php
class Default_Model_PagoRecibidoDteFactura extends Zend_Db_Table_Abstract
{
    protected $_name = 'pagos_recibidos_dte_facturas';
    protected $_primary = 'id';
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function getRowsByDteFacturaId($factura_id)
    {
        $where = $this->getAdapter()->quoteInto("factura_id=?", (int)$factura_id);
        return $this->fetchAll($where);
    }
    
    public function getRowsByPagoId($pago_id)
    {
        $where = $this->getAdapter()->quoteInto("pago_id=?",  (int)$pago_id);
        return $this->fetchAll($where);
    }
    
    public function eliminar($id = NULL)
    {
        if(NULL == $id) {
            throw new Exception("No se ha configurado el ID");
        }
        $where = $this->getAdapter()->quoteInto("id=?", (int)$id);
        
        $pago_id = $this->fetchRow($where)->pago_id;
        
        try {
            
            $this->delete($where);
            return $pago_id;
            
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
    
    public function getTotalPagadoByFacturaId($factura_id)
    {
        return self::getTotalAsignado($factura_id);
    }
    
    public static function getTotalAsignado($factura_id)
    {
        $adapter = self::getDefaultAdapter();
        $id = $adapter->quote($factura_id);
        $sqlFacturas = "SELECT SUM(monto) FROM pagos_recibidos_dte_facturas WHERE factura_id=$id";
        return $adapter->fetchOne($sqlFacturas);
    }
}