<?php
class Default_Model_PagoRecibidoForma extends Zend_Db_Table_Abstract
{
    protected $_name = 'pagos_recibidos_formas';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    public function setId($id)
    {
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - setId ");
        }
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - getRow");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function getAll()
    {
        return $this->fetchAll(null, 'TIPO');
    }
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id)
    {
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - eliminar");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        
        try {
            $this->delete($where);
        
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }

    public static function getPairsToSelect()
    {
        $adapter = self::getDefaultAdapter();
        $result = $adapter->fetchPairs("SELECT id, CONCAT(tipo ,' : ', nombre) FROM pagos_recibidos_formas ORDER BY tipo ASC");
        return $result;
    }

    public static function getPorcentajeRecargo()
    {
        $adapter = self::getDefaultAdapter();
        $valor = $adapter->quote('SI'); 
        $sql = "SELECT porcentaje_recargo FROM pagos_recibidos_formas WHERE valor_referencial=$valor";
        $result = $adapter->fetchOne($sql);
        $multiplicador = 1 + ($result / 100);
        return $multiplicador;
    }
}