<?php
class Default_Model_PautaMantenimientoItem extends Zend_Db_Table_Abstract
{
    protected $_name = 'pautas_mantenimiento_items';
    protected $_primary = 'id';
    
    private $_id = null;
    
    public function setId($id)
    {
        $id = (int)$id;
        
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - PautaMantenimientoItem::setId()");
        }
        
        $this->_id = $id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - PautaMantenimientoItem::getRow()");
        }
        return $this->find($this->_id)->current();
    }
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
      
    public function editar($data, $id)
    {
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar($data = null)
    {
        if(NULL == $data) {
            throw new Exception("No se ha enviado ningún ID para eliminar items - PautaMantenimientoItem::eliminar()");
        }
        
        $items = explode(",", $data);
            
        $adapter = $this->getAdapter();
        foreach($items as $id){
            
            try {
                $where = $adapter->quoteInto("id=?",  $id);
                $this->delete($where);
            } catch(Exception $e){
                return $e;
            }
        }
    }
    
    public function getRowsByPautaId($pauta_id)
    {
        $where = $this->getAdapter()->quoteInto("pauta_id=?", $pauta_id);
        return $this->fetchAll($where);
    }

    public static function checkExist($pauta, $servicio)
    {
        $db = Zend_Registry::get('db');
        $db->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $db->select()
            ->from('items_pautas_mantenciones',array('id'))
            ->where('pauta_id = ?', $pauta)
            ->where('servicio_id = ?', $servicio)
            ->limit(1);
        $result = $db->fetchOne($select);
        if($result) {
            return  true;
        } else {
            return false;
        }
    }

    public static function checkExistByKm($km, $servicio)
    {
        
        $db = Zend_Registry::get('db');
        $db->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $db->select()
            ->from(array('ipm' => 'items_pautas_mantenciones'), array('id'))
            ->join(array('pm' => 'pautas_mantenciones'), 'pm.id=ipm.pauta_id', array('id'))
            ->where('pm.kilometraje = ?', $km)
            ->where('ipm.servicio_id = ?', $servicio)
            ->limit(1);
        $result = $db->fetchOne($select);
        if($result) {
            return  true;
        } else {
            return false;
        }
    }
}