<?php
class Default_Model_RemCargaFamiliar extends Zend_Db_Table_Abstract
{
    protected $_name = 'rem_cargas_familiares';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    
    public function setId($id)
    {
        $id = (int)$id;
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe");
        }
        
        $this->_id = $id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function crear($data, $user)
    {
        $data['creador'] = $user;
        $data['rut'] = App_Rut::cleanToDb($data['rut']);
        if($data['fecha_termino'] == '' ) { $data['fecha_termino'] = NULL;}
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id, $user)
    {
        $data['creador'] = $user;
        $data['rut'] = App_Rut::cleanToDb($data['rut']);
        if($data['fecha_termino'] == '' ) { $data['fecha_termino'] = NULL;}
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function getRowsByEmpleadoId($empleado_id)
    {
       $where = $this->getAdapter()->quoteInto("empleado_id=?", $empleado_id);
        return $this->fetchAll($where);
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        
        try {
            $this->delete($where);
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}