<?php
class Default_Model_RemFiniquito extends Zend_Db_Table_Abstract
{
    protected $_name = 'rem_finiquitos';
    protected $_primary = 'contrato_id';
    
    private $_contrato_id = NULL;
    
    
    public function setContratoId($id)
    {
        $id = (int)$id;
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe");
        }
        
        $this->_contrato_id = $id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_contrato_id) {
            throw new Exception("No se ha configurado el ID del contrato - getRow()");
        }
        $row = $this->find($this->_contrato_id)->current();
        return $row;
    }
    
    public function getRowByContratoId($contrato_id)
    {
        if($contrato_id == NULL || $contrato_id == '') {
            throw new Exception('No se ha enviado en ID de contrato - getLastByContratoId()');
        }
        $where = $this->getAdapter()->quoteInto("contrato_id = ?", $contrato_id);
        $this->getAdapter()->setFetchMode(Zend_Db::FETCH_ASSOC);
        return $this->fetchRow($where);
    }
    
    public function crear($data, $user)
    {
        $data['creador'] = $user;
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id, $user)
    {
        $data['creador'] = $user;
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        try {
            $this->delete($where);
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}