<?php
class Default_Model_RemPreferencia extends Zend_Db_Table_Abstract
{
    protected $_name = 'rem_preferencias';
    protected $_primary = 'id';

    private $_id = NULL;
    
    public function setId($id)
    {
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe");
        }
        
        $this->_id = $id;
    }
    
    public function getValidador()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        
        $row = $this->find($this->_id)->current();
        
        if($row->validador=='Float'){
            return new App_Validate_Float();
        }
        
        if($row->validador=='Int'){
            return new Zend_Validate_Int();
        }
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID");
        }
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function editar($valor, $id)
    {
        $row = $this->find($id)->current();
        $row->valor = $valor;
        $row->save();
    }
    
    public function getAll($currentPage = 1)
    {
        $order = "nombre";
        $preferencias = $this->fetchAll(null, $order);
        $paginador = Zend_Paginator::factory($preferencias);
        $paginador->setItemCountPerPage(10)
                  ->setCurrentPageNumber($currentPage);
        return $paginador;
    }        

    public static function getPref($id)
    {
        $adapter = self::getDefaultAdapter();
        $var = $adapter->quote($id);
        return $adapter->fetchOne("SELECT valor FROM rem_preferencias WHERE id=$var LIMIT 1");
    }
}