<?php
class Default_Model_SistemaLogIngreso extends Zend_Db_Table_Abstract
{
    protected $_name = 'sistema_log_ingresos';
    protected $_primary = 'id';
    
    
    public function getAll()
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_ASSOC);
        $select = $adapter->select();
        $select->from(array('sli' => 'sistema_log_ingresos'), array('id', 'creador', 'usuario_id', 'cierre'))
                ->join(array('su' => 'sistema_usuarios'), 'su.id=sli.usuario_id', array('usuario' => 'nombre')) 
                ->order("sli.id DESC");
        return $adapter->fetchAll($select);
    }
    
    public function getLastByUsuarioId($usuario_id)
    {
        $where = $this->getAdapter()->quoteInto("usuario_id=?", $usuario_id);
        $row = $this->fetchRow($where, "id DESC");
        if($row){
            return $row->creacion;
        }
        return NULL;
    }
    
    public function getRowsByUsuarioId($usuario_id)
    {
        $where = $this->getAdapter()->quoteInto("usuario_id=?", $usuario_id);
        return $this->fetchAll($where, 'id DESC', 20);
    }
    
    public function registrar($usuario_id)
    {
        $row = $this->createRow(array('usuario_id' => $usuario_id));
        $row->save();
    }
}