<?php
class Default_Model_SistemaMargenDefault extends Zend_Db_Table_Abstract
{
    protected $_name = 'sistema_margenes_default';
    protected $_primary = 'id';

    private $_id = NULL;
    
    
    public function setId($id)
    {
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - setId ");
        }
        
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - getRow");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id)
    {
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }

    public static function getMargenByValue($tipo, $valor)
    {
        $pref = new Default_Model_PreferenciaMargenDefault();
        $valorQuoted = $pref->getAdapter()->quote((int)$valor);
        $sql = "SELECT margen_sugerido FROM sistema_margenes_default WHERE"
             . "tipo='$tipo' AND $valorQuoted BETWEEN min AND max";
        $margen = $pref->getAdapter()->fetchOne($sql);
        return $margen;
    }
    
    public function getAll()
    {
        return $this->fetchAll(null, "tipo");
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - eliminar");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        
        try {
            $this->delete($where);
        
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}