<?php
class Default_Model_SistemaUsuario extends Zend_Db_Table_Abstract
{
    protected $_name = 'sistema_usuarios';
    protected $_primary = 'id';
    
    private $_id = NULL;
    
    public function setId($id)
    {
        $options = array('table' => 'sistema_usuarios', 'field' => 'id');
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - setId ");
        }
        
        $this->_id = (int)$id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el RUT - getRow");
        }
        
        $row = $this->find($this->_id)->current();
        return $row;
    }
    
    public function getAll()
    {
        return $this->fetchAll(null, 'nombre');
    }
    
    public function verificarClaveActual($value)
    {
        if(md5($value)!=$this->getRow()->clave){
            throw new Exception('La clave actual ingresada no es válida');
        }
    }
    
    public function crear($data)
    {
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
        return $row->id;
    }
    
    public function editar($data, $id)
    {
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function getEstado()
    {
        return $this->getRow()->estado;
    }
    
    public function setEstado($estado)
    {
        $row = $this->getRow();
        $row->estado = $estado;
        $row->save();
    }
    
    public function setEstadoInforme($estado)
    {
        $row = $this->getRow();
        $row->informe_produccion = $estado;
        $row->save();
    }
    
    public function cambiarClave($value)
    {
        $row = $this->getRow();
        $row->clave = md5($value);
        $row->save();
    }
    
    public static function getNombreById($id)
    {
        $adapter = self::getDefaultAdapter();
        $id = $adapter->quote((int)$id);
        $sql = "SELECT nombre AS usuario FROM sistema_usuarios WHERE id=$id";
        return $adapter->fetchOne($sql);
    }
    
     public static function getPairsToSelect()
    {
        $db = new Default_Model_Empleado();
        $result = $db->getAdapter()->fetchPairs("SELECT id, nombre FROM sistema_usuarios ORDER BY nombre");
        return $result;
    }

    
    private function _generatePassword($semilla)
    {
        $md5 = md5($semilla);
        $clave = substr($md5, 1, 8);
        return $clave;
    }
}