<?php
class Default_Model_SolicitudTaller extends Zend_Db_Table_Abstract
{
    protected $_name = 'solicitudes_taller';
    protected $_primary = 'id';
    
    public function getRowFull()
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $adapter->select()
            ->from(array('st' => 'solicitudes_taller'), array(
                'id', 'creacion', 'creador', 'vehiculo_id', 'tipo', 'cantidad_solicitada', 
                'muestra', 'calidad_solicitada', 'nombre', 'observaciones', 
                'estado'))
            ->join(array('usu' => 'sistema_usuarios'), 'usu.id=st.creador', array('usuario' => 'nombre'))
            ->joinLeft(array('veh' => 'vehiculos'), 'veh.id=st.vehiculo_id', array('patente'))
            ->joinLeft(array('mod' => 'vehiculos_modelos'), 'mod.id = veh.modelo_id',  array('modelo' => 'nombre'))
            ->joinLeft(array('mar' => 'vehiculos_marcas'), 'mar.id=mod.marca_id',  array('marca' => 'nombre'))    
            ->where("st.id=?", $this->_id);
        return $adapter->fetchRow($select);
    }
    
}