<?php
class Default_Model_VehiculoAnotacion extends Zend_Db_Table_Abstract
{
    protected $_name = 'vehiculos_anotaciones';
    protected $_primary = 'id'; 
    
    public function getRowsByVehiculo($patente)
    {
        $where = $this->getAdapter()->quoteInto("vehiculo=?", $patente);
        $order = "id DESC";
        return $this->fetchAll($where, $order);
    }
    
    public function crear($data, $user)
    {
        $data['creador'] = $user;
        $data['vehiculo'] = strtoupper($data['vehiculo']);
        
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public static function getRow($id)
    {
        $id = (int)$id;
        $options = array('table' => 'vehiculos_anotaciones', 'field' => 'id');
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - getRow / Model_AnotaciónVehiculo() ");
        }
        
        return self::find($id)->current();
    }
}