<?php
class Default_Model_VehiculoAnt extends Zend_Db_Table_Abstract
{
    protected $_name = 'vehiculos';
    protected $_primary = 'id';
    
   
    public function setId($id)
    {
        $options = array('table' => 'vehiculos_ant', 'field' => 'id');
        $validador = new Zend_Validate_Db_RecordExists($options);
        if(!$validador->isValid($id)){
            throw new Exception("El ID solicitado no existe - VehiculoAnt::setId() ");
        }
        $this->_id = $id; 
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - VehiculoAnt::getRow()");
        }
        
        return $this->find($this->_id)->current();
    }
    
   
    public function getNoAsignados($data = array())
    {
        $adapter = $this->getAdapter();
        $adapter->setFetchMode(Zend_Db::FETCH_ASSOC);
        $select = $adapter->select()
            ->from(array('v' => 'vehiculos_ant'), array('*'))
            ->join(array('mar' => 'vehiculos_marcas'), 'mar.id=v.marca_id', array('marca' => 'nombre'));
        
        if(count($data) > 0){
            if($data['marca'] != ''){
                $select->where("mar.nombre LIKE = ?", "%". $data['marca'] . "%");
            }
            if($data['modelo'] != ''){
                $select->where("v.modelo LIKE = ?", "%". $data['modelo'] . "%");
            }
        }
        
        $select->where("v.modelo_id IS NULL");
        
        return $adapter->fetchAll($select);
    }
    
    
    public function asignarModelo($data, $id)
    {
        
    }
}