<?php
class Default_Model_VehiculoModeloInfotecnica extends Zend_Db_Table_Abstract
{
    protected $_name = 'vehiculos_modelos_infotecnica';
    protected $_primary = 'id';  
    
    private $_id = null;
    
    public function setId($id)
    {
        $id = (int)$id;
        
        $options = array('table' => $this->_name, 'field' => $this->_primary);
        $validador = new Zend_Validate_Db_RecordExists($options);
        
        if(!$validador->isValid($id)){
            throw new Exception("El ID configurado no existe - VehiculoModeloInfotecnica::setId()");
        }
        
        $this->_id = $id;
    }
    
    public function getRow()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - VehiculoModeloInfotecnica::getRow()");
        }
        return $this->find($this->_id)->current();
    }
    
    public function getRowsByModeloId($modelo_id)
    {
        $where = $this->getAdapter()->quoteInto("modelo_id=?", $modelo_id);
        return $this->fetchAll($where);
    }
    
    public function crear($data, $usuario)
    {
        $data['creador'] = $usuario;
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $id)
    {
        $row = $this->find($id)->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - VehiculoModeloInfotecnica::eliminar()");
        }
        
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        try {
            $this->delete($where);
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}