var actualizarSelect = function(select, dir)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: dir,
        beforeSend: function(){
            $(select).html('<option value="">Cargando datos...</option>');
        },
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $(select).html('<option value="">-- Seleccionar --</option>');
                    if(requestData.grupos.length > 0) {
                        for (var x = 0; x < requestData.grupos.length; x++) { 
                            if(requestData.grupos[x].filas.length > 0){
                                $(select).append('<optgroup label="' + requestData.grupos[x].nombre + '">');
                                for (var z = 0; z < requestData.grupos[x].filas.length; z++) { 
                                    $(select).append('<option value="' + requestData.grupos[x].filas[z].id + '">' + requestData.grupos[x].filas[z].nombre + '</option>');
                                }
                                $(select).append('</optgroup>');
                            }
                        }
                    } else {
                        for (var y = 0; y < requestData.filas.length; y++) { 
                            $(select).append('<option value="' + requestData.filas[y].id + '">' + requestData.filas[y].nombre + '</option>');
                        }
                    }
                } else {
                    alert('Ocurrió un error al intentar cargar los datos del menú select');
                }
            }
        },
        error : function(){
            alert('Ocurrió un error al intentar cargar los datos del menú select');
        }
    });
};

$(document).ready(function() {
    $("a[rel=popover]").popover({placement:'left'});
    /**************************************************************************
     *** ACCIONES POR DEFECTO
     **************************************************************************/
    $("input:text.show-calendar").datepicker({showOn:"button",selectOtherMonths:true});
    $("button.ui-datepicker-trigger").button({text:false, icons:{primary:"ui-icon-calendar"}});
    
    $("input:text.show-list").parent().append('<a class="list-select-trigger" data-toggle="modal" href="#listados">Listado de proveedores</a>');
    $("a.list-select-trigger").button({text:false, icons: {primary: 'ui-icon-newwin'}});
    
    $("form#order_list").submit(function(){
        location = $("form#order_list").attr('action') + '1/' + $("select#order_by").val() + '/' + $("select#order_type").val();
    });

    $("form#selectorPagina").submit(function(){
        location = $(this).attr('action') + $("#pagina").val() + '/' + $("select#order_by").val() + '/' + $("select#order_type").val();
    });
    
    //$("tr.expand-table").hide();
    
    $(document).on('change', "select.updateOther", function(){
        actualizarSelect($(this).attr('data-target'), $(this).attr('data-url') + $(this).val());
    });
    
    $(document).on("toggle", "tr.expand-button th", function(){ 
        $("tr.expand-table").show(); 
        },
    function(){
        $("tr.expand-table").hide();
    });
    
    $("a.cargar-listado").click(function(e){
        e.preventDefault();
        obtenerListado($(this));
    });
    
    $("a.list-select-trigger").click(function(e){
        e.preventDefault();
        obtenerListado($(this).prev());
    });
    
    $("a.tab-ajax").click(function(){
        cargarTab($(this));
    });
    
    $("a.cargar-listado").click(function(e){
        e.preventDefault();
        obtenerListado($(this));
    });
    
    $(document).on("submit", "form.ajax, form#order_list, form#selectorPagina", function(){
        return false;
    });
    
    $(document).on("change", "#modelo_id", function(){
        cargarDetalleModelo($("#modelo_id").val());
    });
    
    $(document).on("click", "a.seleccionable", function(e){ 
        e.preventDefault();
        var $this = $(this);
        var targetNombre = $this.attr('data-target-nombre');
        var targetId = $this.attr('data-target-id');
        var valId = $this.attr('data-id');
        var valNombre = $this.attr('data-nombre');
        $(targetNombre).val(valNombre);
        $(targetId).val(valId);
        $(target).focus();
    }); 
    
    $(document).on("click", "a.show-alert", function(e){
        e.preventDefault();
        if(confirm($(this).attr('data-alert'))){
            location = $(this).attr('href');
        }
    });
    
    $(document).on("click", "a.cargar-formulario-popup", function(e){
        e.preventDefault();
        cargarFormularioPopup($(this));
    });   
    
    $(document).on("click", "button#enviar-form-ajax", function(e){
        e.preventDefault();
        enviarFormularioPopup($(this).attr('data-form'));
    });
    
    $(document).on("click", "input[class='delete-item']:checkbox", function(){
        var totalChecked = $("input[class='delete-item']:checked").length;
        if(totalChecked){
            $("a.delete-items").removeClass('disabled');
        } else {
            $("a.delete-items").addClass('disabled');
        }
        totalChecked = 0;
    });

    $(document).on("click", "a.delete-items", function(e){
        e.preventDefault();
        var totalChecked = $("input[class='delete-item']:checked").length;
        if(totalChecked){
            if(confirm('¿Está seguro que desea eliminar el/los ítem(s) seleccionados?')){
                $.ajax({
                    type: "POST",
                    url: $(this).attr("href"),
                    data : getIdElements($("input[class='delete-item']:checked")),
                    success: function(){
                        updateDiv('#actualizable');
                    },
                    error: function(){
                        alert('Ocurrió un error al procesar su solicitud.');
                    }
                });
            }
        }
    });
    
    $(document).on("click", "a.add-items", function(e){
        e.preventDefault();
        
        var target = $(this).attr("data-target");
        var dir = $(this).attr("href");
        
        if($("input.add-item:checked").length === 0){
            alert('Debe seleccionar uno o más ítems para agregar a la nota de venta.');
            return false;
        } else {
            $.ajax({
                type: "POST",
                url: dir,
                data : getIdElements($("input[class='add-item']:checked")),
                beforeSend: function(){
                    $(target + " div.modal-body").html("Enviando datos...");
                },
                success: function(requestData){
                    updateDiv('#actualizable');
                    $(target + " div.modal-body").html(requestData);
                },
                error: function(){
                    alert('Ocurrió un error al procesar su solicitud.');
                }
            });
        }
    });
    
    $(document).on("click", "input.select-servicio", function(){
        var numCheck = $("#" + $(this).attr("id") + ":checked").length;
        if(numCheck === 1){
            markSelect($(this).attr("rel"), 'servicio');
        } else {
            markUnselect($(this).attr("rel"), 'servicio');
        }
    });
    
    $(document).on("click", "input.select-repuesto", function(){
        var numCheck = $("#" + $(this).attr("id") + ":checked").length;
        if(numCheck === 1){
            markSelect($(this).attr("rel"), 'repuesto');
        } else {
            markUnselect($(this).attr("rel"), 'repuesto');
        }
    });
    
    $(document).on("click", "form#item #submit", function(e){
        e.preventDefault();
        enviarFormularioItem("form#item");
    });
    
    $("form input.calcular_margen").blur(function(){
        var vCompra = $($(this).attr('data-compra')).val();
        var vVenta = $(this).val();
        var margen = calculateMargen(vCompra, vVenta);
        $($(this).attr('data-target')).val(margen);
    });

    $("form input.calcular_precio_venta").blur(function(){
        var vCompra = $($(this).attr('data-compra')).val();
        var vMargen = $(this).val();
        var precioCompra = calculatePrecioVenta(vCompra, vMargen);
        $($(this).attr('data-target')).val(precioCompra);
    });
    
    $(document).on("click", "a.popup-segunda-capa", function(e){
        e.preventDefault();
        recargarPopup($(this));
    });
    
    $(document).on("click", "a.cargar-formulario", function(e){
        e.preventDefault();
        cargarFormulario($(this));
    });
    
    $(document).on("click", "a.dar-por-terminado", function(e){
        e.preventDefault();
        darPorTerminado($(this));
    });
    
    $(document).on("click", "button.mostrar-form", function(e){
        e.preventDefault();
        var idForm = $(this).attr('data-form');
        var idContainer = $(this).attr('data-container');
        $(idContainer).addClass('hidden');
        $(idForm).removeClass('hidden');
    });
    
    $(document).on("click", "button.ocultar-form", function(e){
        e.preventDefault();
        var idForm = $(this).attr('data-form'); 
        var idContainer = $(this).attr('data-container'); 
        $(idForm).addClass('hidden');
        $(idContainer).removeClass('hidden');
    });
    
    $(document).on("click", "button.guardar-textarea", function(e){
        e.preventDefault();
        guardarDataTextarea($(this));
    });
});

function guardarDataTextarea(button)
{
    var controller = button.attr('data-controller');
    var action = button.attr('data-action');
    var idTextarea = button.attr('data-textarea');
    var idContainer = button.attr('data-container');
    var idTextContainer = button.attr('data-text-container');
    var idForm = button.attr('data-form');
    var idOrden = button.attr('data-orden-id');
    var idHelperText = button.attr('data-helper-text');
    var dataText = $(idTextarea).val();
    
    $.ajax({
        dataType: 'html',
        type: "POST",
        url: '/' + controller + '/' + action + '/' + idOrden,
        data: 'data=' + dataText,
        beforeSend: function(){
            $(idHelperText).html("Guardando información...");
        },
        success: function(requestData){
            $(idHelperText).html('');
            $(idTextarea).html(dataText);
            $(idTextContainer).html(requestData);
            $(idForm).addClass('hidden');
            $(idContainer).removeClass('hidden');
        },
        error: function(){
            alert('Ocurrió un error al intentar guardar la información');
        }
    }); 
}

function obtenerListado(id)
{
    var title = $(id).attr('data-title');
    var dir = $(id).attr('data-url');
    
    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#listados div.modal-header h3").html(title);
            $("#listados div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#listados div.modal-body").html(requestData);
        },
        error: function(){
            $("#listados div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
}

function recargarPopup(id)
{
    var title = $(id).attr('data-title');
    var dir = $(id).attr('data-url');
    
    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#listados-sup div.modal-header h3").html(title);
            $("#listados-sup div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#listados-sup div.modal-body").html(requestData);
        },
        error: function(){
            $("#listados-sup div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
}

function cargarFormulario(id)
{
    var dir = $(id).attr('data-url');
    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#formularios div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#formularios div.modal-body").html(requestData);
            $("#formularios form input:first").focus();
        },
        error: function(){
            $("#formularios div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
}

function getInputsAjax() 
{
    formElements = $("form.ajax input:text, form.ajax input:checked, form.ajax input:hidden, form.ajax textarea, form.ajax select");
    var dataForm = "";
    formElements.each(function () {
        name = this.name;
        value = this.value;
        dataForm = dataForm+'&'+name+'='+value;
    });

    return dataForm;
}

function getIdElements(items)
{
    var elements = items;
    var data = "";
    var i = 0;
    elements.each(function () {
        if(i!==0){data=data+',';}
        data=data+this.name;
        i++;
    });
    var dataForm = 'data='+data;
    return dataForm;
}

function updateDiv(id)
{
    var action = $(id).prev("input:hidden[id='rv']").val();
    $.ajax({
        type: "POST",
        url: action,
        beforeSend: function(){
            $("#actualizable").html("<p style='margin:30px 0 0 20px;'>Actualizando datos...</p>");
        },
        success: function(requestData){
            $("#actualizable").html(requestData);
            $("#contenedor").focus();
        },
        error: function(){
            alert('Ocurrió un error al intentar actualizar los datos.');
        }
    });
}

function enviarFormularioItem(id)
{
    $.ajax({
        dataType: 'html',
        type: "POST",
        url: $(id).attr("action"),
        data : getInputsAjax(),
        beforeSend: function(){
            $("#formularios div.modal-body").html("Enviando datos... por favor espere.");
        },
        success: function(requestData){
            $("#formularios div.modal-body").html(requestData);
            $("#formularios form input:first").focus();
            updateDiv('#actualizable');
        },
        error: function(){
            $("#formularios div.modal-body").html('Ocurrió un error al intentar cargar el formulario');
        }
    });
}

function cargarDetalleModelo(id)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/ajax/get-detalle-modelo/' + id,
        success: function(requestData){
            if(requestData.error === false){
                $("#nombre").val(requestData.info.nombre);
                $("#version").val(requestData.info.version);
                $("#cilindrada").val(requestData.info.cilindrada);
                $("#tipo_combustible").val(requestData.info.tipo_combustible);
                $("#transmision").val(requestData.info.transmision);
                $("#traccion").val(requestData.info.traccion);
            } else {
                $("#nombre").val('');
                $("#version").val('');
                $("#cilindrada").val('');
                $("#tipo_combustible").val($("#tipo_combustible option:first").val());
                $("#transmision").val($("#transmision option:first").val());
                $("#traccion").val('');
            }
                    
        },
        error: function(){
            alert('Ocurrió un error al intentar cargar la información del modelo seleccionado.');
        }
    });
}

function darPorTerminado(id)
{
    var enlace = $(id).attr('href');
    var target = $(id).attr('data-target');
    $.ajax({
        type: "POST",
        url: enlace,
        success: function(){
            $(target).html('<span class="glyphicon glyphicon-ok"></span>');
        },
        error: function(){
            alert('Ocurrió un error al intentar dar por terminado');
        }
    });
}

function markSelect(itemId, tipo)
{
    $.ajax({
        type: "POST",
        url: '/presupuesto-' + tipo + '-externo-cotizado/select/' + itemId,
        success: function(){
            $("#" + tipo + "-" + itemId).parent().effect('highlight');
        },
        error: function(){
            alert('Ocurrió un error al intentar seleccionar el ítem');
        }
    });
}

function markUnselect(itemId, tipo)
{
    $.ajax({
        type: "POST",
        url: '/presupuesto-' + tipo + '-externo-cotizado/unselect/' + itemId,
        success: function(){
            $("#" + tipo + "-" + itemId).parent().effect('highlight');
        },
        error: function(){
            alert('Ocurrió un error al intentar seleccionar el ítem');
        }
    });
}

function calculatePrecioVenta(vCompra, vMargen)
{
    var pCompra = parseInt(vCompra);
    var margen = parseInt(vMargen);
    var pVenta = pCompra * (margen/100 + 1);
    return pVenta.toFixed(0);
}

function calculateMargen(vCompra, vVenta)
{
    var pCompra = parseInt(vCompra);
    var pVenta = parseInt(vVenta);
    var margen = ((pVenta - pCompra) / pCompra) * 100;
    return margen.toFixed(3);
}

function goTo(url)
{
    window.location = url;
}

function cargarFormularioPopup(id)
{
    var title = $(id).attr('data-title');
    var dir = $(id).attr('data-url');
    var f = $(id).attr('data-form');
    var b = $(id).attr('data-button');

    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#formulario-popup div.modal-header h3").html(title);
            $("#formulario-popup div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#formulario-popup div.modal-body").html(requestData);
            $("#formulario-popup div.modal-footer button").attr("data-form", f);
            $("#formulario-popup div.modal-footer button").html(b);
        },
        error: function(){
            $("#formulario-popup div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
} 

function enviarFormularioPopup(id)
{
    $.ajax({
        dataType: 'html',
        type: "POST",
        url: $(id).attr("action"),
        data : getInputsAjax(),
        beforeSend: function(){
            $("#formulario-popup div.modal-body").html("Enviando datos... por favor espere.");
        },
        success: function(requestData){
            $("#formulario-popup").modal('hide');
            updateDiv('#actualizable');
        },
        error: function(){
            $("#formulario-popup").modal('hide');
            alert('Ocurrió un error al intentar procesar el formulario');
        }
    });
} 

function cargarTab(tab)
{
    var idTab = tab.attr('href');
    var dir = tab.attr('data-url');
    $.ajax({
        dataType: "html", type: "POST",
        url: dir,
        success: function(requestData){
            $(idTab).html(requestData);
        }, 
        error: function(){
            $(idTab).html('Ocurrió un error al intentar cargar los datos.');
        }
    });
}