function cargarTab(tab){
    var idTab = tab.attr('href');
    var dir = tab.attr('data-url');
    $.ajax({
        dataType: "html", type: "POST",
        url: dir,
        success: function(requestData){
            $(idTab).html(requestData);
        }, 
        error: function(){
            $(idTab).html('Ocurrió un error al intentar cargar los datos.');
        }
    });
}


function obtenerListado(id)
{
    var title = $(id).attr('data-title');
    var dir = $(id).attr('data-url');
    
    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#listados div.modal-header h3").html(title);
            $("#listados div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#listados div.modal-body").html(requestData);
        },
        error: function(){
            $("#listados div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
}

function recargarPopup(id)
{
    var title = $(id).attr('data-title');
    var dir = $(id).attr('data-url');
    
    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#listados-sup div.modal-header h3").html(title);
            $("#listados-sup div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#listados-sup div.modal-body").html(requestData);
        },
        error: function(){
            $("#listados-sup div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
}

function cargarFormulario(id)
{
    var dir = $(id).attr('data-url');
    $.ajax({
        type: "POST",
        url: dir,
        beforeSend: function(){
            $("#formularios div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            $("#formularios div.modal-body").html(requestData);
            $("#formularios form input:first").focus();
        },
        error: function(){
            $("#formularios div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
}

function getInputsAjax() 
{
    formElements = $("form.ajax input:text, form.ajax input:checked, form.ajax input:hidden, form.ajax textarea, form.ajax select");
    var dataForm = "";
    formElements.each(function () {
        name = this.name;
        value = this.value;
        dataForm = dataForm+'&'+name+'='+value;
    });

    return dataForm;
}

function getIdElements(items)
{
    var elements = items;
    var data = "";
    var i = 0;
    elements.each(function () {
        if(i!=0){data=data+',';}
        data=data+this.name;
        i++;
    });
    var dataForm = 'data='+data;
    return dataForm;
}

function updateDiv(id)
{
    var action = $(id).prev("input:hidden[id='rv']").val();
    $.ajax({
        type: "POST",
        url: action,
        beforeSend: function(){
            $("#actualizable").html("<p style='margin:30px 0 0 20px;'>Actualizando datos...</p>");
        },
        success: function(requestData){
            $("#actualizable").html(requestData);
            $("#contenedor").focus();
        },
        error: function(){
            alert('Ocurrió un error al intentar actualizar los datos.');
        }
    });
}

function enviarFormularioItem(id)
{
    $.ajax({
        dataType: 'html',
        type: "POST",
        url: $(id).attr("action"),
        data : getInputsAjax(),
        beforeSend: function(){
            $("#formularios div.modal-body").html("Enviando datos... por favor espere.");
        },
        success: function(requestData){
            $("#formularios div.modal-body").html(requestData);
            $("#formularios form input:first").focus();
            updateDiv('#actualizable');
        },
        error: function(){
            $("#formularios div.modal-body").html('Ocurrió un error al intentar cargar el formulario');
        }
    });
}

function darPorTerminado(id)
{
    var enlace = $(id).attr('href');
    var target = $(id).attr('data-target');
    $.ajax({
        type: "POST",
        url: enlace,
        success: function(){
            $(target).html('<span class="glyphicon glyphicon-ok"></span>');
        },
        error: function(){
            alert('Ocurrió un error al intentar dar por terminado');
        }
    });
}


function markSelect(itemId, tipo)
{
    $.ajax({
        type: "POST",
        url: '/presupuesto-' + tipo + '-externo-cotizado/select/' + itemId,
        success: function(){
            $("#" + tipo + "-" + itemId).parent().effect('highlight');
        },
        error: function(){
            alert('Ocurrió un error al intentar seleccionar el ítem');
        }
    });
}

function markUnselect(itemId, tipo)
{
    $.ajax({
        type: "POST",
        url: '/presupuesto-' + tipo + '-externo-cotizado/unselect/' + itemId,
        success: function(){
            $("#" + tipo + "-" + itemId).parent().effect('highlight');
        },
        error: function(){
            alert('Ocurrió un error al intentar seleccionar el ítem');
        }
    });
}

function calculateTotalUnitario(){
    var pCompra = parseInt($("#valor_unitario_bruto").val());
    var margen = parseInt($("#margen").val());
    var pVenta = pCompra * (margen/100 + 1);
    return pVenta.toFixed(0);
}

function calculateMargen(){
    var pCompra = parseInt($("#valor_unitario_bruto").val());
    var pVenta = parseInt($("#precio_venta").val());
    var margen = ((pVenta - pCompra) / pCompra) * 100;
    return margen.toFixed(3);
}

function goTo(url)
{
    window.location = url;
}